import { GraphQLResolveInfo, GraphQLScalarType, GraphQLScalarTypeConfig } from 'graphql';
export declare type Maybe<T> = T | null;
export declare type Exact<T extends {
    [key: string]: any;
}> = {
    [K in keyof T]: T[K];
};
export declare type RequireFields<T, K extends keyof T> = {
    [X in Exclude<keyof T, K>]?: T[X];
} & {
    [P in K]-?: NonNullable<T[P]>;
};
export declare type Scalars = {
    ID: string;
    String: string;
    Boolean: boolean;
    Int: number;
    Float: number;
    StakeAddress: any;
    DateTime: any;
    Hash28Hex: any;
    StakePoolID: any;
    Hash32Hex: any;
    Hex: any;
    BigInt: any;
    VRFVerificationKey: any;
    AssetFingerprint: any;
    JSON: any;
    JSONObject: any;
    IPv4: any;
    IPv6: any;
    Percentage: any;
    Timestamp: any;
};
export declare type ActiveStake = {
    __typename?: 'ActiveStake';
    address: Scalars['StakeAddress'];
    amount: Scalars['String'];
    epoch?: Maybe<Epoch>;
    epochNo: Scalars['Int'];
    stakePoolHash: Scalars['Hash28Hex'];
    stakePoolId: Scalars['StakePoolID'];
    registeredWith: StakePool;
};
export declare type ActiveStake_Aggregate = {
    __typename?: 'ActiveStake_aggregate';
    aggregate?: Maybe<ActiveStake_Aggregate_Fields>;
};
export declare type ActiveStake_Aggregate_Fields = {
    __typename?: 'ActiveStake_aggregate_fields';
    avg: ActiveStake_Avg_Fields;
    count: Scalars['String'];
    max: ActiveStake_Max_Fields;
    min: ActiveStake_Min_Fields;
    sum: ActiveStake_Sum_Fields;
};
export declare type ActiveStake_Avg_Fields = {
    __typename?: 'ActiveStake_avg_fields';
    amount?: Maybe<Scalars['Float']>;
};
export declare type ActiveStake_Bool_Exp = {
    _and?: Maybe<Array<Maybe<ActiveStake_Bool_Exp>>>;
    _not?: Maybe<ActiveStake_Bool_Exp>;
    _or?: Maybe<Array<Maybe<ActiveStake_Bool_Exp>>>;
    address?: Maybe<StakeAddress_Comparison_Exp>;
    amount?: Maybe<Text_Comparison_Exp>;
    epoch?: Maybe<Epoch_Bool_Exp>;
    epochNo?: Maybe<Int_Comparison_Exp>;
    stakePoolHash?: Maybe<Hash28Hex_Comparison_Exp>;
    stakePoolId?: Maybe<StakePoolId_Comparison_Exp>;
    registeredWith?: Maybe<StakePool_Bool_Exp>;
};
export declare type ActiveStake_Max_Fields = {
    __typename?: 'ActiveStake_max_fields';
    amount?: Maybe<Scalars['String']>;
};
export declare type ActiveStake_Min_Fields = {
    __typename?: 'ActiveStake_min_fields';
    amount?: Maybe<Scalars['String']>;
};
export declare type ActiveStake_Order_By = {
    address?: Maybe<Order_By>;
    amount?: Maybe<Order_By>;
    epoch?: Maybe<Epoch_Order_By>;
    epochNo?: Maybe<Order_By>;
    stakePoolHash?: Maybe<Order_By>;
    stakePoolId?: Maybe<Order_By>;
    registeredWith?: Maybe<StakePool_Order_By>;
};
export declare type ActiveStake_Sum_Fields = {
    __typename?: 'ActiveStake_sum_fields';
    amount?: Maybe<Scalars['String']>;
};
export declare type Ada = {
    __typename?: 'Ada';
    supply: AssetSupply;
};
export declare type AdaPots = {
    __typename?: 'AdaPots';
    deposits: Scalars['String'];
    fees: Scalars['String'];
    reserves: Scalars['String'];
    rewards: Scalars['String'];
    slotNo: Scalars['Int'];
    treasury: Scalars['String'];
    utxo: Scalars['String'];
};
export declare type AlonzoGenesis = {
    __typename?: 'AlonzoGenesis';
    lovelacePerUTxOWord: Scalars['Int'];
    executionPrices: ExecutionPrices;
    maxTxExUnits: ExecutionUnits;
    maxBlockExUnits: ExecutionUnits;
    maxValueSize: Scalars['Int'];
    collateralPercentage: Scalars['Int'];
    maxCollateralInputs: Scalars['Int'];
};
export declare type Asset = {
    __typename?: 'Asset';
    assetId: Scalars['Hex'];
    assetName?: Maybe<Scalars['Hex']>;
    decimals?: Maybe<Scalars['Int']>;
    description?: Maybe<Scalars['String']>;
    fingerprint?: Maybe<Scalars['AssetFingerprint']>;
    logo?: Maybe<Scalars['String']>;
    metadataHash?: Maybe<Scalars['String']>;
    tokenMints: Array<Maybe<TokenMint>>;
    tokenMints_aggregate: TokenMint_Aggregate;
    name?: Maybe<Scalars['String']>;
    policyId: Scalars['Hash28Hex'];
    ticker?: Maybe<Scalars['String']>;
    url?: Maybe<Scalars['String']>;
};
export declare type AssetTokenMintsArgs = {
    limit?: Maybe<Scalars['Int']>;
    order_by?: Maybe<Array<TokenMint_Order_By>>;
    offset?: Maybe<Scalars['Int']>;
    where?: Maybe<TokenMint_Bool_Exp>;
};
export declare type AssetTokenMints_AggregateArgs = {
    limit?: Maybe<Scalars['Int']>;
    order_by?: Maybe<Array<TokenMint_Order_By>>;
    offset?: Maybe<Scalars['Int']>;
    where?: Maybe<TokenMint_Bool_Exp>;
};
export declare type Asset_Aggregate = {
    __typename?: 'Asset_aggregate';
    aggregate?: Maybe<Asset_Aggregate_Fields>;
};
export declare type Asset_Aggregate_Fields = {
    __typename?: 'Asset_aggregate_fields';
    count: Scalars['String'];
};
export declare type Asset_Bool_Exp = {
    _and?: Maybe<Array<Maybe<Asset_Bool_Exp>>>;
    _not?: Maybe<Asset_Bool_Exp>;
    _or?: Maybe<Array<Maybe<Asset_Bool_Exp>>>;
    ticker?: Maybe<Text_Comparison_Exp>;
    assetId?: Maybe<Hex_Comparison_Exp>;
    assetName?: Maybe<Hex_Comparison_Exp>;
    decimals?: Maybe<Int_Comparison_Exp>;
    description?: Maybe<Text_Comparison_Exp>;
    fingerprint?: Maybe<AssetFingerprint_Comparison_Exp>;
    logo?: Maybe<Text_Comparison_Exp>;
    name?: Maybe<Text_Comparison_Exp>;
    policyId?: Maybe<Hash28Hex_Comparison_Exp>;
    tokenMints?: Maybe<TokenMint_Bool_Exp>;
    url?: Maybe<Text_Comparison_Exp>;
};
export declare type Asset_Order_By = {
    assetId?: Maybe<Order_By>;
    decimals?: Maybe<Order_By>;
    fingerprint?: Maybe<Order_By>;
    name?: Maybe<Order_By>;
};
export declare type AssetBalance = {
    __typename?: 'AssetBalance';
    asset: Asset;
    quantity: Scalars['String'];
};
export declare type AssetFingerprint_Comparison_Exp = {
    _eq?: Maybe<Scalars['String']>;
    _in?: Maybe<Array<Maybe<Scalars['String']>>>;
    _neq?: Maybe<Scalars['String']>;
    _nin?: Maybe<Array<Maybe<Scalars['String']>>>;
};
export declare type AssetSupply = {
    __typename?: 'AssetSupply';
    circulating: Scalars['String'];
    max: Scalars['String'];
    total?: Maybe<Scalars['String']>;
};
export declare type AssetSupply_Bool_Exp = {
    _and?: Maybe<Array<Maybe<AssetSupply_Bool_Exp>>>;
    _not?: Maybe<AssetSupply_Bool_Exp>;
    _or?: Maybe<Array<Maybe<AssetSupply_Bool_Exp>>>;
    circulating?: Maybe<Text_Comparison_Exp>;
    max?: Maybe<Text_Comparison_Exp>;
    total?: Maybe<Text_Comparison_Exp>;
};
export declare type AssetSupply_Order_By = {
    circulating?: Maybe<Order_By>;
    max?: Maybe<Order_By>;
    total?: Maybe<Order_By>;
};
export declare type BigInt_Comparison_Exp = {
    _eq?: Maybe<Scalars['BigInt']>;
    _gt?: Maybe<Scalars['BigInt']>;
    _gte?: Maybe<Scalars['BigInt']>;
    _in?: Maybe<Array<Scalars['BigInt']>>;
    _is_null?: Maybe<Scalars['Boolean']>;
    _lt?: Maybe<Scalars['BigInt']>;
    _lte?: Maybe<Scalars['BigInt']>;
    _neq?: Maybe<Scalars['BigInt']>;
    _nin?: Maybe<Array<Scalars['BigInt']>>;
};
export declare type Block = {
    __typename?: 'Block';
    epoch?: Maybe<Epoch>;
    epochNo?: Maybe<Scalars['Int']>;
    fees: Scalars['BigInt'];
    forgedAt: Scalars['DateTime'];
    slotLeader: SlotLeader;
    hash: Scalars['Hash32Hex'];
    number?: Maybe<Scalars['Int']>;
    opCert?: Maybe<Scalars['Hash32Hex']>;
    slotInEpoch?: Maybe<Scalars['Int']>;
    slotNo?: Maybe<Scalars['Int']>;
    previousBlock?: Maybe<Block>;
    protocolVersion?: Maybe<Scalars['JSONObject']>;
    nextBlock?: Maybe<Block>;
    size: Scalars['BigInt'];
    transactions: Array<Maybe<Transaction>>;
    transactions_aggregate: Transaction_Aggregate;
    transactionsCount: Scalars['String'];
    vrfKey?: Maybe<Scalars['VRFVerificationKey']>;
};
export declare type BlockTransactionsArgs = {
    limit?: Maybe<Scalars['Int']>;
    order_by?: Maybe<Array<Transaction_Order_By>>;
    offset?: Maybe<Scalars['Int']>;
    where?: Maybe<Transaction_Bool_Exp>;
};
export declare type BlockTransactions_AggregateArgs = {
    limit?: Maybe<Scalars['Int']>;
    order_by?: Maybe<Array<Transaction_Order_By>>;
    offset?: Maybe<Scalars['Int']>;
    where?: Maybe<Transaction_Bool_Exp>;
};
export declare type Block_Aggregate = {
    __typename?: 'Block_aggregate';
    aggregate?: Maybe<Block_Aggregate_Fields>;
};
export declare type Block_Aggregate_Fields = {
    __typename?: 'Block_aggregate_fields';
    avg: Block_Avg_Fields;
    count: Scalars['String'];
    max: Block_Max_Fields;
    min: Block_Min_Fields;
    sum: Block_Sum_Fields;
};
export declare type Block_Avg_Fields = {
    __typename?: 'Block_avg_fields';
    fees?: Maybe<Scalars['Float']>;
    size?: Maybe<Scalars['Float']>;
};
export declare type Block_Bool_Exp = {
    _and?: Maybe<Array<Maybe<Block_Bool_Exp>>>;
    _not?: Maybe<Block_Bool_Exp>;
    _or?: Maybe<Array<Maybe<Block_Bool_Exp>>>;
    forgedAt?: Maybe<Date_Comparison_Exp>;
    slotLeader?: Maybe<SlotLeader_Bool_Exp>;
    epoch?: Maybe<Epoch_Bool_Exp>;
    fees?: Maybe<BigInt_Comparison_Exp>;
    hash?: Maybe<Hash32Hex_Comparison_Exp>;
    number?: Maybe<Int_Comparison_Exp>;
    previousBlock?: Maybe<Block_Bool_Exp>;
    nextBlock?: Maybe<Block_Bool_Exp>;
    size?: Maybe<BigInt_Comparison_Exp>;
    slotInEpoch?: Maybe<Int_Comparison_Exp>;
    slotNo?: Maybe<Int_Comparison_Exp>;
    transactions?: Maybe<Transaction_Bool_Exp>;
    transactionsCount?: Maybe<Text_Comparison_Exp>;
    vrfKey?: Maybe<VrfVerificationKey_Comparison_Exp>;
};
export declare type Block_Max_Fields = {
    __typename?: 'Block_max_fields';
    fees?: Maybe<Scalars['String']>;
    size?: Maybe<Scalars['String']>;
};
export declare type Block_Min_Fields = {
    __typename?: 'Block_min_fields';
    fees?: Maybe<Scalars['String']>;
    size?: Maybe<Scalars['String']>;
};
export declare type Block_Order_By = {
    forgedAt?: Maybe<Order_By>;
    slotLeader?: Maybe<SlotLeader_Order_By>;
    epoch?: Maybe<Epoch_Order_By>;
    fees?: Maybe<Order_By>;
    hash?: Maybe<Order_By>;
    number?: Maybe<Order_By_With_Nulls>;
    size?: Maybe<Order_By>;
    slotNo?: Maybe<Order_By_With_Nulls>;
    transactionsCount?: Maybe<Order_By>;
    vrfKey?: Maybe<Order_By_With_Nulls>;
};
export declare type Block_Sum_Fields = {
    __typename?: 'Block_sum_fields';
    fees?: Maybe<Scalars['String']>;
    size?: Maybe<Scalars['String']>;
};
export declare type Boolean_Comparison_Exp = {
    _eq?: Maybe<Scalars['Boolean']>;
    _gt?: Maybe<Scalars['Boolean']>;
    _gte?: Maybe<Scalars['Boolean']>;
    _in?: Maybe<Array<Scalars['Boolean']>>;
    _is_null?: Maybe<Scalars['Boolean']>;
    _lt?: Maybe<Scalars['Boolean']>;
    _lte?: Maybe<Scalars['Boolean']>;
    _neq?: Maybe<Scalars['Boolean']>;
    _nin?: Maybe<Array<Scalars['Boolean']>>;
};
export declare type ByronBlockVersionData = {
    __typename?: 'ByronBlockVersionData';
    scriptVersion: Scalars['Int'];
    slotDuration: Scalars['Int'];
    maxBlockSize: Scalars['Int'];
    maxHeaderSize: Scalars['Int'];
    maxTxSize: Scalars['Int'];
    maxProposalSize: Scalars['Int'];
    mpcThd: Scalars['String'];
    heavyDelThd: Scalars['String'];
    updateVoteThd: Scalars['String'];
    updateProposalThd: Scalars['String'];
    updateImplicit: Scalars['String'];
    softforkRule: ByronSoftForkRule;
    txFeePolicy: ByronTxFeePolicy;
    unlockStakeEpoch: Scalars['String'];
};
export declare type ByronGenesis = {
    __typename?: 'ByronGenesis';
    bootStakeholders: Scalars['JSONObject'];
    heavyDelegation: Scalars['JSONObject'];
    startTime: Scalars['Timestamp'];
    nonAvvmBalances: Scalars['JSONObject'];
    blockVersionData: ByronBlockVersionData;
    protocolConsts: ByronProtocolConsts;
    avvmDistr: Scalars['JSONObject'];
};
export declare type ByronProtocolConsts = {
    __typename?: 'ByronProtocolConsts';
    k: Scalars['Int'];
    protocolMagic?: Maybe<Scalars['Int']>;
};
export declare type ByronSoftForkRule = {
    __typename?: 'ByronSoftForkRule';
    initThd: Scalars['String'];
    minThd: Scalars['String'];
    thdDecrement: Scalars['String'];
};
export declare type ByronTxFeePolicy = {
    __typename?: 'ByronTxFeePolicy';
    summand: Scalars['String'];
    multiplier: Scalars['String'];
};
export declare type Cardano = {
    __typename?: 'Cardano';
    tip: Block;
    currentEpoch: Epoch;
};
export declare type CardanoDbMeta = {
    __typename?: 'CardanoDbMeta';
    initialized: Scalars['Boolean'];
    syncPercentage: Scalars['Percentage'];
};
export declare type CollateralInput = {
    __typename?: 'CollateralInput';
    address: Scalars['String'];
    sourceTransaction: Transaction;
    sourceTxHash: Scalars['Hash32Hex'];
    sourceTxIndex: Scalars['Int'];
    tokens: Array<Maybe<Token>>;
    tokens_aggregate: Token_Aggregate;
    transaction: Transaction;
    txHash: Scalars['Hash32Hex'];
    value: Scalars['String'];
};
export declare type CollateralInput_Aggregate = {
    __typename?: 'CollateralInput_aggregate';
    aggregate?: Maybe<TransactionInput_Aggregate_Fields>;
};
export declare type CollateralInput_Aggregate_Fields = {
    __typename?: 'CollateralInput_aggregate_fields';
    avg: CollateralInput_Avg_Fields;
    count: Scalars['String'];
    max: CollateralInput_Max_Fields;
    min: CollateralInput_Min_Fields;
    sum: CollateralInput_Sum_Fields;
};
export declare type CollateralInput_Avg_Fields = {
    __typename?: 'CollateralInput_avg_fields';
    tokens?: Maybe<Token_Avg_Fields>;
    value?: Maybe<Scalars['String']>;
};
export declare type CollateralInput_Bool_Exp = {
    _and?: Maybe<Array<Maybe<CollateralInput_Bool_Exp>>>;
    _not?: Maybe<CollateralInput_Bool_Exp>;
    _or?: Maybe<Array<Maybe<CollateralInput_Bool_Exp>>>;
    address?: Maybe<Text_Comparison_Exp>;
    sourceTransaction?: Maybe<Transaction_Bool_Exp>;
    tokens?: Maybe<Token_Bool_Exp>;
    transaction?: Maybe<Transaction_Bool_Exp>;
    value?: Maybe<Text_Comparison_Exp>;
};
export declare type CollateralInput_Max_Fields = {
    __typename?: 'CollateralInput_max_fields';
    tokens?: Maybe<Token_Max_Fields>;
    value?: Maybe<Scalars['String']>;
};
export declare type CollateralInput_Min_Fields = {
    __typename?: 'CollateralInput_min_fields';
    tokens?: Maybe<Token_Min_Fields>;
    value?: Maybe<Scalars['String']>;
};
export declare type CollateralInput_Order_By = {
    address?: Maybe<Order_By>;
    sourceTxHash?: Maybe<Order_By>;
    transaction?: Maybe<Transaction_Order_By>;
    txHash?: Maybe<Order_By>;
    value?: Maybe<Order_By>;
};
export declare type CollateralInput_Sum_Fields = {
    __typename?: 'CollateralInput_sum_fields';
    tokens?: Maybe<Token_Sum_Fields>;
    value?: Maybe<Scalars['String']>;
};
export declare type CollateralOutput = {
    __typename?: 'CollateralOutput';
    address: Scalars['String'];
    addressHasScript: Scalars['Boolean'];
    datum?: Maybe<Datum>;
    index: Scalars['Int'];
    paymentCredential?: Maybe<Scalars['Hash28Hex']>;
    script?: Maybe<Script>;
    transaction: Transaction;
    txHash: Scalars['Hash32Hex'];
    value: Scalars['String'];
};
export declare type CollateralOutput_Aggregate = {
    __typename?: 'CollateralOutput_aggregate';
    aggregate?: Maybe<CollateralOutput_Aggregate_Fields>;
};
export declare type CollateralOutput_Aggregate_Fields = {
    __typename?: 'CollateralOutput_aggregate_fields';
    avg: CollateralOutput_Avg_Fields;
    count: Scalars['String'];
    max: CollateralOutput_Max_Fields;
    min: CollateralOutput_Min_Fields;
    sum: CollateralOutput_Sum_Fields;
};
export declare type CollateralOutput_Avg_Fields = {
    __typename?: 'CollateralOutput_avg_fields';
    value?: Maybe<Scalars['String']>;
};
export declare type CollateralOutput_Bool_Exp = {
    _and?: Maybe<Array<Maybe<CollateralOutput_Bool_Exp>>>;
    _not?: Maybe<CollateralOutput_Bool_Exp>;
    _or?: Maybe<Array<Maybe<CollateralOutput_Bool_Exp>>>;
    address?: Maybe<Text_Comparison_Exp>;
    addressHasScript?: Maybe<Boolean_Comparison_Exp>;
    datum?: Maybe<Datum_Bool_Exp>;
    index?: Maybe<Int_Comparison_Exp>;
    script?: Maybe<Script_Bool_Exp>;
    transaction?: Maybe<Transaction_Bool_Exp>;
    value?: Maybe<Text_Comparison_Exp>;
};
export declare enum CollateralOutput_Distinct_On {
    Address = "address"
}
export declare type CollateralOutput_Max_Fields = {
    __typename?: 'CollateralOutput_max_fields';
    value?: Maybe<Scalars['String']>;
};
export declare type CollateralOutput_Min_Fields = {
    __typename?: 'CollateralOutput_min_fields';
    value?: Maybe<Scalars['String']>;
};
export declare type CollateralOutput_Order_By = {
    address?: Maybe<Order_By>;
    addressHasScript?: Maybe<Order_By>;
    datum?: Maybe<Transaction_Order_By>;
    index?: Maybe<Order_By>;
    txHash?: Maybe<Order_By>;
    value?: Maybe<Order_By>;
};
export declare type CollateralOutput_Sum_Fields = {
    __typename?: 'CollateralOutput_sum_fields';
    value?: Maybe<Scalars['String']>;
};
export declare type Date_Comparison_Exp = {
    _eq?: Maybe<Scalars['DateTime']>;
    _gt?: Maybe<Scalars['DateTime']>;
    _gte?: Maybe<Scalars['DateTime']>;
    _in?: Maybe<Array<Maybe<Scalars['DateTime']>>>;
    _lt?: Maybe<Scalars['DateTime']>;
    _lte?: Maybe<Scalars['DateTime']>;
    _neq?: Maybe<Scalars['DateTime']>;
    _nin?: Maybe<Array<Maybe<Scalars['DateTime']>>>;
};
export declare type Datum = {
    __typename?: 'Datum';
    bytes: Scalars['Hex'];
    hash: Scalars['Hash32Hex'];
    firstIncludedIn: Transaction;
    value: Scalars['JSONObject'];
};
export declare type Datum_Bool_Exp = {
    firstIncludedIn?: Maybe<Transaction_Bool_Exp>;
    hash?: Maybe<Hex_Comparison_Exp>;
};
export declare type Delegation = {
    __typename?: 'Delegation';
    address: Scalars['StakeAddress'];
    redeemer?: Maybe<Redeemer>;
    stakePool: StakePool;
    stakePoolHash: Scalars['Hash28Hex'];
    stakePoolId: Scalars['StakePoolID'];
    transaction?: Maybe<Transaction>;
};
export declare type Delegation_Aggregate = {
    __typename?: 'Delegation_aggregate';
    aggregate?: Maybe<Delegation_Aggregate_Fields>;
};
export declare type Delegation_Aggregate_Fields = {
    __typename?: 'Delegation_aggregate_fields';
    count?: Maybe<Scalars['String']>;
};
export declare type Delegation_Bool_Exp = {
    _and?: Maybe<Array<Maybe<Delegation_Bool_Exp>>>;
    _not?: Maybe<Delegation_Bool_Exp>;
    _or?: Maybe<Array<Maybe<Delegation_Bool_Exp>>>;
    address?: Maybe<StakeAddress_Comparison_Exp>;
    stakePool?: Maybe<StakePool_Bool_Exp>;
    stakePoolHash?: Maybe<Hash28Hex_Comparison_Exp>;
    stakePoolId?: Maybe<StakePoolId_Comparison_Exp>;
    transaction?: Maybe<Transaction_Bool_Exp>;
};
export declare type Delegation_Order_By = {
    address?: Maybe<Order_By>;
    stakePool?: Maybe<StakePool_Order_By>;
    stakePoolHash?: Maybe<Order_By>;
    stakePoolId?: Maybe<Order_By>;
    transaction?: Maybe<Transaction_Order_By>;
};
export declare type Epoch = {
    __typename?: 'Epoch';
    activeStake?: Maybe<Array<Maybe<ActiveStake>>>;
    activeStake_aggregate?: Maybe<ActiveStake_Aggregate>;
    adaPots?: Maybe<AdaPots>;
    blocks: Array<Block>;
    blocks_aggregate: Block_Aggregate;
    blocksCount: Scalars['String'];
    fees: Scalars['BigInt'];
    output: Scalars['String'];
    nonce?: Maybe<Scalars['Hash32Hex']>;
    number: Scalars['Int'];
    protocolParams?: Maybe<ProtocolParams>;
    transactionsCount: Scalars['String'];
    startedAt: Scalars['DateTime'];
    lastBlockTime: Scalars['DateTime'];
};
export declare type EpochBlocksArgs = {
    limit?: Maybe<Scalars['Int']>;
    order_by?: Maybe<Array<Block_Order_By>>;
    offset?: Maybe<Scalars['Int']>;
    where?: Maybe<Block_Bool_Exp>;
};
export declare type EpochBlocks_AggregateArgs = {
    limit?: Maybe<Scalars['Int']>;
    order_by?: Maybe<Array<Block_Order_By>>;
    offset?: Maybe<Scalars['Int']>;
    where?: Maybe<Block_Bool_Exp>;
};
export declare type Epoch_Aggregate = {
    __typename?: 'Epoch_aggregate';
    aggregate: Epoch_Aggregate_Fields;
};
export declare type Epoch_Aggregate_Fields = {
    __typename?: 'Epoch_aggregate_fields';
    avg: Epoch_Avg_Fields;
    count: Scalars['String'];
    max: Epoch_Max_Fields;
    min: Epoch_Min_Fields;
    sum: Epoch_Sum_Fields;
};
export declare type Epoch_Avg_Fields = {
    __typename?: 'Epoch_avg_fields';
    fees: Scalars['Float'];
    output: Scalars['Float'];
    transactionsCount: Scalars['Float'];
};
export declare type Epoch_Bool_Exp = {
    _and?: Maybe<Array<Maybe<Epoch_Bool_Exp>>>;
    _not?: Maybe<Epoch_Bool_Exp>;
    _or?: Maybe<Array<Maybe<Epoch_Bool_Exp>>>;
    blocks?: Maybe<Block_Bool_Exp>;
    blocksCount?: Maybe<Text_Comparison_Exp>;
    fees?: Maybe<BigInt_Comparison_Exp>;
    number?: Maybe<Int_Comparison_Exp>;
    output?: Maybe<Text_Comparison_Exp>;
    startedAt?: Maybe<Date_Comparison_Exp>;
    transactionsCount?: Maybe<Text_Comparison_Exp>;
};
export declare type Epoch_Max_Fields = {
    __typename?: 'Epoch_max_fields';
    blocksCount: Scalars['String'];
    fees: Scalars['String'];
    number: Scalars['Int'];
    output: Scalars['String'];
    transactionsCount: Scalars['String'];
};
export declare type Epoch_Min_Fields = {
    __typename?: 'Epoch_min_fields';
    blocksCount: Scalars['String'];
    fees: Scalars['String'];
    output: Scalars['String'];
    transactionsCount: Scalars['String'];
};
export declare type Epoch_Order_By = {
    blocksCount?: Maybe<Order_By>;
    fees?: Maybe<Order_By>;
    number?: Maybe<Order_By>;
    output?: Maybe<Order_By>;
    transactionsCount?: Maybe<Order_By>;
};
export declare type Epoch_Sum_Fields = {
    __typename?: 'Epoch_sum_fields';
    blocksCount: Scalars['String'];
    fees: Scalars['String'];
    output: Scalars['String'];
    transactionsCount: Scalars['String'];
};
export declare type ExecutionPrice = {
    __typename?: 'ExecutionPrice';
    numerator: Scalars['Int'];
    denominator: Scalars['Int'];
};
export declare type ExecutionPrices = {
    __typename?: 'ExecutionPrices';
    prSteps: ExecutionPrice;
    prMem: ExecutionPrice;
};
export declare type ExecutionUnits = {
    __typename?: 'ExecutionUnits';
    exUnitsMem: Scalars['BigInt'];
    exUnitsSteps: Scalars['BigInt'];
};
export declare type Float_Comparison_Exp = {
    _eq?: Maybe<Scalars['Float']>;
    _gt?: Maybe<Scalars['Float']>;
    _gte?: Maybe<Scalars['Float']>;
    _in?: Maybe<Array<Scalars['Float']>>;
    _is_null?: Maybe<Scalars['Boolean']>;
    _lt?: Maybe<Scalars['Float']>;
    _lte?: Maybe<Scalars['Float']>;
    _neq?: Maybe<Scalars['Float']>;
    _nin?: Maybe<Array<Scalars['Float']>>;
};
export declare type Genesis = {
    __typename?: 'Genesis';
    alonzo?: Maybe<AlonzoGenesis>;
    byron?: Maybe<ByronGenesis>;
    shelley?: Maybe<ShelleyGenesis>;
};
export declare type Hash28Hex_Comparison_Exp = {
    _eq?: Maybe<Scalars['Hash28Hex']>;
    _in?: Maybe<Array<Maybe<Scalars['Hash28Hex']>>>;
    _neq?: Maybe<Scalars['Hash28Hex']>;
    _nin?: Maybe<Array<Maybe<Scalars['Hash28Hex']>>>;
};
export declare type Hash32Hex_Comparison_Exp = {
    _eq?: Maybe<Scalars['Hash32Hex']>;
    _in?: Maybe<Array<Maybe<Scalars['Hash32Hex']>>>;
    _neq?: Maybe<Scalars['Hash32Hex']>;
    _nin?: Maybe<Array<Maybe<Scalars['Hash32Hex']>>>;
};
export declare type Hex_Comparison_Exp = {
    _eq?: Maybe<Scalars['Hex']>;
    _in?: Maybe<Array<Maybe<Scalars['Hex']>>>;
    _neq?: Maybe<Scalars['Hex']>;
    _nin?: Maybe<Array<Maybe<Scalars['Hex']>>>;
};
export declare type Int_Comparison_Exp = {
    _eq?: Maybe<Scalars['Int']>;
    _gt?: Maybe<Scalars['Int']>;
    _gte?: Maybe<Scalars['Int']>;
    _in?: Maybe<Array<Scalars['Int']>>;
    _is_null?: Maybe<Scalars['Boolean']>;
    _lt?: Maybe<Scalars['Int']>;
    _lte?: Maybe<Scalars['Int']>;
    _neq?: Maybe<Scalars['Int']>;
    _nin?: Maybe<Array<Scalars['Int']>>;
};
export declare type Mutation = {
    __typename?: 'Mutation';
    submitTransaction: TransactionSubmitResponse;
};
export declare type MutationSubmitTransactionArgs = {
    transaction: Scalars['String'];
};
export declare enum Order_By {
    Asc = "asc",
    Desc = "desc"
}
export declare enum Order_By_With_Nulls {
    Asc = "asc",
    AscNullsFirst = "asc_nulls_first",
    AscNullsLast = "asc_nulls_last",
    Desc = "desc",
    DescNullsFirst = "desc_nulls_first",
    DescNullsLast = "desc_nulls_last"
}
export declare type PaymentAddress = {
    __typename?: 'PaymentAddress';
    address: Scalars['String'];
    summary?: Maybe<PaymentAddressSummary>;
};
export declare type PaymentAddressSummaryArgs = {
    atBlock?: Maybe<Scalars['Int']>;
};
export declare type PaymentAddressSummary = {
    __typename?: 'PaymentAddressSummary';
    assetBalances: Array<Maybe<AssetBalance>>;
    utxosCount: Scalars['Int'];
};
export declare type Percentage_Comparison_Exp = {
    _eq?: Maybe<Scalars['Percentage']>;
    _gt?: Maybe<Scalars['Percentage']>;
    _gte?: Maybe<Scalars['Percentage']>;
    _lt?: Maybe<Scalars['Percentage']>;
    _lte?: Maybe<Scalars['Percentage']>;
    _neq?: Maybe<Scalars['Percentage']>;
};
export declare type ProtocolParams = {
    __typename?: 'ProtocolParams';
    a0: Scalars['Float'];
    coinsPerUtxoByte?: Maybe<Scalars['Int']>;
    collateralPercent?: Maybe<Scalars['Int']>;
    costModels?: Maybe<Scalars['JSONObject']>;
    decentralisationParam: Scalars['Float'];
    eMax: Scalars['Int'];
    extraEntropy?: Maybe<Scalars['JSONObject']>;
    keyDeposit: Scalars['Int'];
    maxBlockBodySize: Scalars['Int'];
    maxBlockExMem?: Maybe<Scalars['String']>;
    maxBlockExSteps?: Maybe<Scalars['String']>;
    maxBlockHeaderSize: Scalars['Int'];
    maxCollateralInputs?: Maybe<Scalars['Int']>;
    maxTxExMem?: Maybe<Scalars['String']>;
    maxTxExSteps?: Maybe<Scalars['String']>;
    maxTxSize: Scalars['Int'];
    maxValSize?: Maybe<Scalars['String']>;
    minFeeA: Scalars['Int'];
    minFeeB: Scalars['Int'];
    minPoolCost: Scalars['Int'];
    minUTxOValue: Scalars['Int'];
    nOpt: Scalars['Int'];
    poolDeposit: Scalars['Int'];
    priceMem?: Maybe<Scalars['Float']>;
    priceStep?: Maybe<Scalars['Float']>;
    protocolVersion: Scalars['JSONObject'];
    rho: Scalars['Float'];
    tau: Scalars['Float'];
};
export declare type Query = {
    __typename?: 'Query';
    activeStake: Array<Maybe<ActiveStake>>;
    activeStake_aggregate: ActiveStake_Aggregate;
    ada: Ada;
    assets: Array<Maybe<Asset>>;
    assets_aggregate: Asset_Aggregate;
    blocks: Array<Maybe<Block>>;
    blocks_aggregate: Block_Aggregate;
    cardano: Cardano;
    cardanoDbMeta: CardanoDbMeta;
    collateralInputs: Array<Maybe<CollateralInput>>;
    collateralInputs_aggregate: CollateralInput_Aggregate;
    collateralOutputs: Array<Maybe<CollateralOutput>>;
    collateralOutputs_aggregate: CollateralOutput_Aggregate;
    delegations?: Maybe<Array<Maybe<Delegation>>>;
    delegations_aggregate?: Maybe<Delegation_Aggregate>;
    epochs: Array<Maybe<Epoch>>;
    epochs_aggregate: Epoch_Aggregate;
    genesis: Genesis;
    paymentAddresses?: Maybe<Array<Maybe<PaymentAddress>>>;
    redeemers: Array<Maybe<Redeemer>>;
    redeemers_aggregate: Redeemer_Aggregate;
    rewards: Array<Maybe<Reward>>;
    rewards_aggregate: Reward_Aggregate;
    scripts: Array<Maybe<Script>>;
    scripts_aggregate: Script_Aggregate;
    stakeDeregistrations?: Maybe<Array<Maybe<StakeDeregistration>>>;
    stakeDeregistrations_aggregate?: Maybe<StakeDeregistration_Aggregate>;
    stakePools?: Maybe<Array<Maybe<StakePool>>>;
    stakePools_aggregate?: Maybe<StakePool_Aggregate>;
    stakeRegistrations?: Maybe<Array<Maybe<StakeRegistration>>>;
    stakeRegistrations_aggregate?: Maybe<StakeRegistration_Aggregate>;
    tokenMints: Array<Maybe<TokenMint>>;
    tokenMints_aggregate: TokenMint_Aggregate;
    transactions: Array<Maybe<Transaction>>;
    transactions_aggregate: Transaction_Aggregate;
    utxos: Array<Maybe<TransactionOutput>>;
    utxos_aggregate: TransactionOutput_Aggregate;
    withdrawals: Array<Maybe<Withdrawal>>;
    withdrawals_aggregate?: Maybe<Withdrawal_Aggregate>;
};
export declare type QueryActiveStakeArgs = {
    limit?: Maybe<Scalars['Int']>;
    order_by?: Maybe<Array<ActiveStake_Order_By>>;
    offset?: Maybe<Scalars['Int']>;
    where?: Maybe<ActiveStake_Bool_Exp>;
};
export declare type QueryActiveStake_AggregateArgs = {
    limit?: Maybe<Scalars['Int']>;
    order_by?: Maybe<Array<ActiveStake_Order_By>>;
    offset?: Maybe<Scalars['Int']>;
    where?: Maybe<ActiveStake_Bool_Exp>;
};
export declare type QueryAssetsArgs = {
    limit?: Maybe<Scalars['Int']>;
    order_by?: Maybe<Array<Asset_Order_By>>;
    offset?: Maybe<Scalars['Int']>;
    where?: Maybe<Asset_Bool_Exp>;
};
export declare type QueryAssets_AggregateArgs = {
    limit?: Maybe<Scalars['Int']>;
    order_by?: Maybe<Array<Asset_Order_By>>;
    offset?: Maybe<Scalars['Int']>;
    where?: Maybe<Asset_Bool_Exp>;
};
export declare type QueryBlocksArgs = {
    limit?: Maybe<Scalars['Int']>;
    order_by?: Maybe<Array<Block_Order_By>>;
    offset?: Maybe<Scalars['Int']>;
    where?: Maybe<Block_Bool_Exp>;
};
export declare type QueryBlocks_AggregateArgs = {
    limit?: Maybe<Scalars['Int']>;
    order_by?: Maybe<Array<Block_Order_By>>;
    offset?: Maybe<Scalars['Int']>;
    where?: Maybe<Block_Bool_Exp>;
};
export declare type QueryCollateralInputsArgs = {
    limit?: Maybe<Scalars['Int']>;
    order_by?: Maybe<Array<CollateralInput_Order_By>>;
    offset?: Maybe<Scalars['Int']>;
    where?: Maybe<CollateralInput_Bool_Exp>;
};
export declare type QueryCollateralInputs_AggregateArgs = {
    limit?: Maybe<Scalars['Int']>;
    order_by?: Maybe<Array<CollateralInput_Order_By>>;
    offset?: Maybe<Scalars['Int']>;
    where?: Maybe<CollateralInput_Bool_Exp>;
};
export declare type QueryCollateralOutputsArgs = {
    limit?: Maybe<Scalars['Int']>;
    order_by?: Maybe<Array<CollateralOutput_Order_By>>;
    offset?: Maybe<Scalars['Int']>;
    where?: Maybe<CollateralOutput_Bool_Exp>;
};
export declare type QueryCollateralOutputs_AggregateArgs = {
    limit?: Maybe<Scalars['Int']>;
    order_by?: Maybe<Array<CollateralOutput_Order_By>>;
    offset?: Maybe<Scalars['Int']>;
    where?: Maybe<CollateralOutput_Bool_Exp>;
};
export declare type QueryDelegationsArgs = {
    limit?: Maybe<Scalars['Int']>;
    order_by?: Maybe<Array<Delegation_Order_By>>;
    offset?: Maybe<Scalars['Int']>;
    where?: Maybe<Delegation_Bool_Exp>;
};
export declare type QueryDelegations_AggregateArgs = {
    limit?: Maybe<Scalars['Int']>;
    order_by?: Maybe<Array<Delegation_Order_By>>;
    offset?: Maybe<Scalars['Int']>;
    where?: Maybe<Delegation_Bool_Exp>;
};
export declare type QueryEpochsArgs = {
    limit?: Maybe<Scalars['Int']>;
    order_by?: Maybe<Array<Epoch_Order_By>>;
    offset?: Maybe<Scalars['Int']>;
    where?: Maybe<Epoch_Bool_Exp>;
};
export declare type QueryEpochs_AggregateArgs = {
    limit?: Maybe<Scalars['Int']>;
    order_by?: Maybe<Array<Epoch_Order_By>>;
    offset?: Maybe<Scalars['Int']>;
    where?: Maybe<Epoch_Bool_Exp>;
};
export declare type QueryPaymentAddressesArgs = {
    addresses: Array<Maybe<Scalars['String']>>;
};
export declare type QueryRedeemersArgs = {
    limit?: Maybe<Scalars['Int']>;
    order_by?: Maybe<Array<Redeemer_Order_By>>;
    offset?: Maybe<Scalars['Int']>;
    where?: Maybe<Redeemer_Bool_Exp>;
};
export declare type QueryRedeemers_AggregateArgs = {
    limit?: Maybe<Scalars['Int']>;
    order_by?: Maybe<Array<Redeemer_Order_By>>;
    offset?: Maybe<Scalars['Int']>;
    where?: Maybe<Redeemer_Bool_Exp>;
};
export declare type QueryRewardsArgs = {
    limit?: Maybe<Scalars['Int']>;
    order_by?: Maybe<Array<Reward_Order_By>>;
    offset?: Maybe<Scalars['Int']>;
    where?: Maybe<Reward_Bool_Exp>;
};
export declare type QueryRewards_AggregateArgs = {
    limit?: Maybe<Scalars['Int']>;
    order_by?: Maybe<Array<Reward_Order_By>>;
    offset?: Maybe<Scalars['Int']>;
    where?: Maybe<Reward_Bool_Exp>;
};
export declare type QueryScriptsArgs = {
    limit?: Maybe<Scalars['Int']>;
    order_by?: Maybe<Array<Script_Order_By>>;
    offset?: Maybe<Scalars['Int']>;
    where?: Maybe<Script_Bool_Exp>;
};
export declare type QueryScripts_AggregateArgs = {
    limit?: Maybe<Scalars['Int']>;
    order_by?: Maybe<Array<Script_Order_By>>;
    offset?: Maybe<Scalars['Int']>;
    where?: Maybe<Script_Bool_Exp>;
};
export declare type QueryStakeDeregistrationsArgs = {
    limit?: Maybe<Scalars['Int']>;
    order_by?: Maybe<Array<StakeDeregistration_Order_By>>;
    offset?: Maybe<Scalars['Int']>;
    where?: Maybe<StakeDeregistration_Bool_Exp>;
};
export declare type QueryStakeDeregistrations_AggregateArgs = {
    limit?: Maybe<Scalars['Int']>;
    order_by?: Maybe<Array<StakeDeregistration_Order_By>>;
    offset?: Maybe<Scalars['Int']>;
    where?: Maybe<StakeDeregistration_Bool_Exp>;
};
export declare type QueryStakePoolsArgs = {
    limit?: Maybe<Scalars['Int']>;
    order_by?: Maybe<Array<StakePool_Order_By>>;
    offset?: Maybe<Scalars['Int']>;
    where?: Maybe<StakePool_Bool_Exp>;
};
export declare type QueryStakePools_AggregateArgs = {
    limit?: Maybe<Scalars['Int']>;
    order_by?: Maybe<Array<StakePool_Order_By>>;
    offset?: Maybe<Scalars['Int']>;
    where?: Maybe<StakePool_Bool_Exp>;
};
export declare type QueryStakeRegistrationsArgs = {
    limit?: Maybe<Scalars['Int']>;
    order_by?: Maybe<Array<StakeRegistration_Order_By>>;
    offset?: Maybe<Scalars['Int']>;
    where?: Maybe<StakeRegistration_Bool_Exp>;
};
export declare type QueryStakeRegistrations_AggregateArgs = {
    limit?: Maybe<Scalars['Int']>;
    order_by?: Maybe<Array<StakeRegistration_Order_By>>;
    offset?: Maybe<Scalars['Int']>;
    where?: Maybe<StakeRegistration_Bool_Exp>;
};
export declare type QueryTokenMintsArgs = {
    distinct_on?: Maybe<Array<TokenMint_Aggregate_Distinct_On>>;
    limit?: Maybe<Scalars['Int']>;
    order_by?: Maybe<Array<TokenMint_Order_By>>;
    offset?: Maybe<Scalars['Int']>;
    where?: Maybe<TokenMint_Bool_Exp>;
};
export declare type QueryTokenMints_AggregateArgs = {
    distinct_on?: Maybe<Array<TokenMint_Aggregate_Distinct_On>>;
    limit?: Maybe<Scalars['Int']>;
    order_by?: Maybe<Array<TokenMint_Order_By>>;
    offset?: Maybe<Scalars['Int']>;
    where?: Maybe<TokenMint_Bool_Exp>;
};
export declare type QueryTransactionsArgs = {
    limit?: Maybe<Scalars['Int']>;
    order_by?: Maybe<Array<Transaction_Order_By>>;
    offset?: Maybe<Scalars['Int']>;
    where?: Maybe<Transaction_Bool_Exp>;
};
export declare type QueryTransactions_AggregateArgs = {
    limit?: Maybe<Scalars['Int']>;
    order_by?: Maybe<Array<Transaction_Order_By>>;
    offset?: Maybe<Scalars['Int']>;
    where?: Maybe<Transaction_Bool_Exp>;
};
export declare type QueryUtxosArgs = {
    distinct_on?: Maybe<Array<TransactionOutput_Distinct_On>>;
    limit?: Maybe<Scalars['Int']>;
    order_by?: Maybe<Array<TransactionOutput_Order_By>>;
    offset?: Maybe<Scalars['Int']>;
    where?: Maybe<TransactionOutput_Bool_Exp>;
};
export declare type QueryUtxos_AggregateArgs = {
    distinct_on?: Maybe<Array<TransactionOutput_Distinct_On>>;
    limit?: Maybe<Scalars['Int']>;
    order_by?: Maybe<Array<TransactionOutput_Order_By>>;
    offset?: Maybe<Scalars['Int']>;
    where?: Maybe<TransactionOutput_Bool_Exp>;
};
export declare type QueryWithdrawalsArgs = {
    limit?: Maybe<Scalars['Int']>;
    order_by?: Maybe<Array<Withdrawal_Order_By>>;
    offset?: Maybe<Scalars['Int']>;
    where?: Maybe<Withdrawal_Bool_Exp>;
};
export declare type QueryWithdrawals_AggregateArgs = {
    limit?: Maybe<Scalars['Int']>;
    order_by?: Maybe<Array<Withdrawal_Order_By>>;
    offset?: Maybe<Scalars['Int']>;
    where?: Maybe<Withdrawal_Bool_Exp>;
};
export declare type Redeemer = {
    __typename?: 'Redeemer';
    datum?: Maybe<Datum>;
    fee?: Maybe<Scalars['BigInt']>;
    index: Scalars['Int'];
    purpose: Scalars['String'];
    scriptHash: Scalars['Hash28Hex'];
    transaction: Transaction;
    unitMem: Scalars['BigInt'];
    unitSteps: Scalars['BigInt'];
};
export declare type Redeemer_Aggregate = {
    __typename?: 'Redeemer_aggregate';
    aggregate?: Maybe<Redeemer_Aggregate_Fields>;
};
export declare type Redeemer_Aggregate_Fields = {
    __typename?: 'Redeemer_aggregate_fields';
    avg: Redeemer_Avg_Fields;
    count: Scalars['String'];
    max: Redeemer_Max_Fields;
    min: Redeemer_Min_Fields;
    sum: Redeemer_Sum_Fields;
};
export declare type Redeemer_Avg_Fields = {
    __typename?: 'Redeemer_avg_fields';
    fee?: Maybe<Scalars['Float']>;
    unitMem?: Maybe<Scalars['Float']>;
    unitSteps?: Maybe<Scalars['Float']>;
};
export declare type Redeemer_Bool_Exp = {
    _and?: Maybe<Array<Maybe<Redeemer_Bool_Exp>>>;
    _not?: Maybe<Redeemer_Bool_Exp>;
    _or?: Maybe<Array<Maybe<Redeemer_Bool_Exp>>>;
    datum?: Maybe<Datum_Bool_Exp>;
    fee?: Maybe<BigInt_Comparison_Exp>;
    index?: Maybe<Int_Comparison_Exp>;
    purpose?: Maybe<Text_Comparison_Exp>;
    scriptHash?: Maybe<Text_Comparison_Exp>;
    transaction?: Maybe<Transaction_Bool_Exp>;
    unitMem?: Maybe<BigInt_Comparison_Exp>;
    unitSteps?: Maybe<BigInt_Comparison_Exp>;
};
export declare type Redeemer_Max_Fields = {
    __typename?: 'Redeemer_max_fields';
    fee?: Maybe<Scalars['BigInt']>;
    unitMem?: Maybe<Scalars['BigInt']>;
    unitSteps?: Maybe<Scalars['BigInt']>;
};
export declare type Redeemer_Min_Fields = {
    __typename?: 'Redeemer_min_fields';
    fee?: Maybe<Scalars['BigInt']>;
    unitMem?: Maybe<Scalars['BigInt']>;
    unitSteps?: Maybe<Scalars['BigInt']>;
};
export declare type Redeemer_Order_By = {
    purpose?: Maybe<Order_By>;
    scriptHash?: Maybe<Order_By>;
    transaction?: Maybe<Transaction_Order_By>;
    unitMem?: Maybe<Order_By>;
    unitSteps?: Maybe<Order_By>;
};
export declare type Redeemer_Sum_Fields = {
    __typename?: 'Redeemer_sum_fields';
    fee?: Maybe<Scalars['BigInt']>;
    unitMem?: Maybe<Scalars['BigInt']>;
    unitSteps?: Maybe<Scalars['BigInt']>;
};
export declare type Relay = {
    __typename?: 'Relay';
    ipv4?: Maybe<Scalars['IPv4']>;
    ipv6?: Maybe<Scalars['IPv6']>;
    dnsName?: Maybe<Scalars['String']>;
    dnsSrvName?: Maybe<Scalars['String']>;
    port?: Maybe<Scalars['Int']>;
};
export declare type Relay_Bool_Exp = {
    _and?: Maybe<Array<Maybe<Relay_Bool_Exp>>>;
    _not?: Maybe<Relay_Bool_Exp>;
    _or?: Maybe<Array<Maybe<Relay_Bool_Exp>>>;
    ipv4?: Maybe<Text_Comparison_Exp>;
    ipv6?: Maybe<Text_Comparison_Exp>;
    dnsName?: Maybe<Text_Comparison_Exp>;
    dnsSrvName?: Maybe<Text_Comparison_Exp>;
    port?: Maybe<Int_Comparison_Exp>;
};
export declare type Reward = {
    __typename?: 'Reward';
    address: Scalars['StakeAddress'];
    amount: Scalars['String'];
    earnedIn: Epoch;
    receivedIn?: Maybe<Epoch>;
    stakePool?: Maybe<StakePool>;
    type: Scalars['String'];
};
export declare type Reward_Aggregate = {
    __typename?: 'Reward_aggregate';
    aggregate?: Maybe<Reward_Aggregate_Fields>;
};
export declare type Reward_Aggregate_Fields = {
    __typename?: 'Reward_aggregate_fields';
    avg: Reward_Avg_Fields;
    count: Scalars['String'];
    max: Reward_Max_Fields;
    min: Reward_Min_Fields;
    sum: Reward_Sum_Fields;
};
export declare type Reward_Avg_Fields = {
    __typename?: 'Reward_avg_fields';
    amount?: Maybe<Scalars['Float']>;
};
export declare type Reward_Bool_Exp = {
    _and?: Maybe<Array<Maybe<Reward_Bool_Exp>>>;
    _not?: Maybe<Reward_Bool_Exp>;
    _or?: Maybe<Array<Maybe<Reward_Bool_Exp>>>;
    address?: Maybe<StakeAddress_Comparison_Exp>;
    amount?: Maybe<Text_Comparison_Exp>;
    earnedIn?: Maybe<Epoch_Bool_Exp>;
    receivedIn?: Maybe<Epoch_Bool_Exp>;
    stakePool?: Maybe<StakePool_Bool_Exp>;
    type?: Maybe<Text_Comparison_Exp>;
};
export declare type Reward_Max_Fields = {
    __typename?: 'Reward_max_fields';
    amount?: Maybe<Scalars['String']>;
};
export declare type Reward_Min_Fields = {
    __typename?: 'Reward_min_fields';
    amount?: Maybe<Scalars['String']>;
};
export declare type Reward_Order_By = {
    address?: Maybe<Order_By>;
    amount?: Maybe<Order_By>;
    earnedIn?: Maybe<Epoch_Order_By>;
    receivedIn?: Maybe<Epoch_Order_By>;
    stakePool?: Maybe<StakePool_Order_By>;
    type?: Maybe<Order_By>;
};
export declare type Reward_Sum_Fields = {
    __typename?: 'Reward_sum_fields';
    amount?: Maybe<Scalars['String']>;
};
export declare type Script = {
    __typename?: 'Script';
    hash: Scalars['Hash28Hex'];
    serialisedSize?: Maybe<Scalars['BigInt']>;
    transaction: Transaction;
    type: Scalars['String'];
};
export declare type Script_Aggregate = {
    __typename?: 'Script_aggregate';
    aggregate?: Maybe<Script_Aggregate_Fields>;
};
export declare type Script_Aggregate_Fields = {
    __typename?: 'Script_aggregate_fields';
    avg: Script_Avg_Fields;
    count: Scalars['String'];
    max: Script_Max_Fields;
    min: Script_Min_Fields;
    sum: Script_Sum_Fields;
};
export declare type Script_Avg_Fields = {
    __typename?: 'Script_avg_fields';
    serialisedSize?: Maybe<Scalars['Float']>;
};
export declare type Script_Bool_Exp = {
    _and?: Maybe<Array<Maybe<Script_Bool_Exp>>>;
    _not?: Maybe<Script_Bool_Exp>;
    _or?: Maybe<Array<Maybe<Script_Bool_Exp>>>;
    serialisedSize?: Maybe<BigInt_Comparison_Exp>;
    transaction?: Maybe<Transaction_Bool_Exp>;
    type?: Maybe<Text_Comparison_Exp>;
};
export declare type Script_Max_Fields = {
    __typename?: 'Script_max_fields';
    serialisedSize?: Maybe<Scalars['BigInt']>;
};
export declare type Script_Min_Fields = {
    __typename?: 'Script_min_fields';
    serialisedSize?: Maybe<Scalars['BigInt']>;
};
export declare type Script_Order_By = {
    serialisedSize?: Maybe<Order_By>;
    transaction?: Maybe<Transaction_Order_By>;
    type?: Maybe<Order_By>;
};
export declare type Script_Sum_Fields = {
    __typename?: 'Script_sum_fields';
    serialisedSize?: Maybe<Scalars['BigInt']>;
};
export declare type ShelleyGenesis = {
    __typename?: 'ShelleyGenesis';
    activeSlotsCoeff: Scalars['Float'];
    epochLength: Scalars['Int'];
    genDelegs?: Maybe<Scalars['JSONObject']>;
    initialFunds: Scalars['JSONObject'];
    maxKESEvolutions: Scalars['Int'];
    maxLovelaceSupply: Scalars['String'];
    networkId: Scalars['String'];
    networkMagic: Scalars['Int'];
    protocolParams: ShelleyProtocolParams;
    securityParam: Scalars['Int'];
    slotLength: Scalars['Int'];
    slotsPerKESPeriod: Scalars['Int'];
    staking?: Maybe<ShelleyGenesisStaking>;
    systemStart: Scalars['String'];
    updateQuorum: Scalars['Int'];
};
export declare type ShelleyGenesisStaking = {
    __typename?: 'ShelleyGenesisStaking';
    pools: Scalars['JSONObject'];
    stake: Scalars['JSONObject'];
};
export declare type ShelleyProtocolParams = {
    __typename?: 'ShelleyProtocolParams';
    a0: Scalars['Float'];
    decentralisationParam: Scalars['Float'];
    eMax: Scalars['Int'];
    extraEntropy?: Maybe<Scalars['JSONObject']>;
    keyDeposit: Scalars['Int'];
    maxBlockBodySize: Scalars['Int'];
    maxBlockHeaderSize: Scalars['Int'];
    maxTxSize: Scalars['Int'];
    minFeeA: Scalars['Int'];
    minFeeB: Scalars['Int'];
    minPoolCost: Scalars['Int'];
    minUTxOValue: Scalars['Int'];
    nOpt: Scalars['Int'];
    poolDeposit: Scalars['Int'];
    protocolVersion: Scalars['JSONObject'];
    rho: Scalars['Float'];
    tau: Scalars['Float'];
};
export declare type SlotLeader = {
    __typename?: 'SlotLeader';
    description: Scalars['String'];
    hash: Scalars['Hash28Hex'];
    stakePool?: Maybe<StakePool>;
};
export declare type SlotLeader_Bool_Exp = {
    _and?: Maybe<Array<Maybe<SlotLeader_Bool_Exp>>>;
    _not?: Maybe<SlotLeader_Bool_Exp>;
    _or?: Maybe<Array<Maybe<SlotLeader_Bool_Exp>>>;
    description?: Maybe<Text_Comparison_Exp>;
    hash?: Maybe<Hash28Hex_Comparison_Exp>;
    stakePool?: Maybe<StakePool_Bool_Exp>;
};
export declare type SlotLeader_Order_By = {
    hash?: Maybe<Order_By>;
    stakePool?: Maybe<StakePool_Order_By>;
};
export declare type StakeAddress_Comparison_Exp = {
    _eq?: Maybe<Scalars['StakeAddress']>;
    _in?: Maybe<Array<Maybe<Scalars['StakeAddress']>>>;
    _neq?: Maybe<Scalars['StakeAddress']>;
    _nin?: Maybe<Array<Maybe<Scalars['StakeAddress']>>>;
};
export declare type StakeDeregistration = {
    __typename?: 'StakeDeregistration';
    address: Scalars['StakeAddress'];
    redeemer?: Maybe<Redeemer>;
    transaction: Transaction;
};
export declare type StakeDeregistration_Aggregate = {
    __typename?: 'StakeDeregistration_aggregate';
    aggregate?: Maybe<StakeDeregistration_Aggregate_Fields>;
};
export declare type StakeDeregistration_Aggregate_Fields = {
    __typename?: 'StakeDeregistration_aggregate_fields';
    count?: Maybe<Scalars['String']>;
};
export declare type StakeDeregistration_Bool_Exp = {
    _and?: Maybe<Array<Maybe<StakeDeregistration_Bool_Exp>>>;
    _not?: Maybe<StakeDeregistration_Bool_Exp>;
    _or?: Maybe<Array<Maybe<StakeDeregistration_Bool_Exp>>>;
    address?: Maybe<StakeAddress_Comparison_Exp>;
    transaction?: Maybe<Transaction_Bool_Exp>;
};
export declare type StakeDeregistration_Order_By = {
    address?: Maybe<Order_By>;
    transaction?: Maybe<Transaction_Order_By>;
};
export declare type StakePool = {
    __typename?: 'StakePool';
    activeStake: Array<Maybe<ActiveStake>>;
    activeStake_aggregate: ActiveStake_Aggregate;
    blocks: Array<Block>;
    blocks_aggregate: Block_Aggregate;
    delegators: Array<Maybe<Delegation>>;
    delegators_aggregate: Delegation_Aggregate;
    fixedCost: Scalars['String'];
    hash: Scalars['Hash28Hex'];
    id: Scalars['StakePoolID'];
    margin: Scalars['Float'];
    metadataHash?: Maybe<Scalars['Hash32Hex']>;
    owners: Array<StakePoolOwner>;
    pledge: Scalars['String'];
    relays?: Maybe<Array<Maybe<Relay>>>;
    retirements?: Maybe<Array<Maybe<StakePoolRetirement>>>;
    rewardAddress: Scalars['StakeAddress'];
    rewards: Array<Maybe<Reward>>;
    rewards_aggregate: Reward_Aggregate;
    updatedIn: Transaction;
    url?: Maybe<Scalars['String']>;
};
export declare type StakePoolActiveStakeArgs = {
    limit?: Maybe<Scalars['Int']>;
    order_by?: Maybe<Array<ActiveStake_Order_By>>;
    offset?: Maybe<Scalars['Int']>;
    where?: Maybe<ActiveStake_Bool_Exp>;
};
export declare type StakePoolActiveStake_AggregateArgs = {
    limit?: Maybe<Scalars['Int']>;
    order_by?: Maybe<Array<ActiveStake_Order_By>>;
    offset?: Maybe<Scalars['Int']>;
    where?: Maybe<ActiveStake_Bool_Exp>;
};
export declare type StakePoolBlocksArgs = {
    limit?: Maybe<Scalars['Int']>;
    order_by?: Maybe<Array<Block_Order_By>>;
    offset?: Maybe<Scalars['Int']>;
    where?: Maybe<Block_Bool_Exp>;
};
export declare type StakePoolBlocks_AggregateArgs = {
    limit?: Maybe<Scalars['Int']>;
    order_by?: Maybe<Array<Block_Order_By>>;
    offset?: Maybe<Scalars['Int']>;
    where?: Maybe<Block_Bool_Exp>;
};
export declare type StakePoolDelegatorsArgs = {
    limit?: Maybe<Scalars['Int']>;
    order_by?: Maybe<Array<Delegation_Order_By>>;
    offset?: Maybe<Scalars['Int']>;
    where?: Maybe<Delegation_Bool_Exp>;
};
export declare type StakePoolDelegators_AggregateArgs = {
    limit?: Maybe<Scalars['Int']>;
    order_by?: Maybe<Array<Delegation_Order_By>>;
    offset?: Maybe<Scalars['Int']>;
    where?: Maybe<Delegation_Bool_Exp>;
};
export declare type StakePoolRewards_AggregateArgs = {
    limit?: Maybe<Scalars['Int']>;
    order_by?: Maybe<Array<Reward_Order_By>>;
    offset?: Maybe<Scalars['Int']>;
    where?: Maybe<Reward_Bool_Exp>;
};
export declare type StakePool_Aggregate = {
    __typename?: 'StakePool_aggregate';
    aggregate?: Maybe<StakePool_Aggregate_Fields>;
};
export declare type StakePool_Aggregate_Fields = {
    __typename?: 'StakePool_aggregate_fields';
    avg: StakePool_Avg_Fields;
    count: Scalars['String'];
    max: StakePool_Max_Fields;
    min: StakePool_Min_Fields;
    sum: StakePool_Sum_Fields;
};
export declare type StakePool_Avg_Fields = {
    __typename?: 'StakePool_avg_fields';
    fixedCost?: Maybe<Scalars['String']>;
    margin?: Maybe<Scalars['Float']>;
    pledge?: Maybe<Scalars['String']>;
};
export declare type StakePool_Bool_Exp = {
    _and?: Maybe<Array<Maybe<StakePool_Bool_Exp>>>;
    _not?: Maybe<StakePool_Bool_Exp>;
    _or?: Maybe<Array<Maybe<StakePool_Bool_Exp>>>;
    hash?: Maybe<Hash28Hex_Comparison_Exp>;
    id?: Maybe<StakePoolId_Comparison_Exp>;
    margin?: Maybe<Float_Comparison_Exp>;
    metadataHash?: Maybe<Hash32Hex_Comparison_Exp>;
    owners?: Maybe<StakePoolOwner_Bool_Exp>;
    pledge?: Maybe<Text_Comparison_Exp>;
    registrationTransaction?: Maybe<Transaction_Bool_Exp>;
    relays?: Maybe<Relay_Bool_Exp>;
    retirements?: Maybe<StakePoolRetirement_Bool_Exp>;
    rewardAddress?: Maybe<Text_Comparison_Exp>;
    rewards?: Maybe<Reward_Bool_Exp>;
    url?: Maybe<Text_Comparison_Exp>;
};
export declare type StakePool_Max_Fields = {
    __typename?: 'StakePool_max_fields';
    fixedCost?: Maybe<Scalars['String']>;
    margin?: Maybe<Scalars['Float']>;
    pledge?: Maybe<Scalars['String']>;
};
export declare type StakePool_Min_Fields = {
    __typename?: 'StakePool_min_fields';
    fixedCost?: Maybe<Scalars['String']>;
    margin?: Maybe<Scalars['Float']>;
    pledge?: Maybe<Scalars['String']>;
};
export declare type StakePool_Order_By = {
    fixedCost?: Maybe<Order_By>;
    hash?: Maybe<Order_By>;
    id?: Maybe<Order_By>;
    margin?: Maybe<Order_By>;
    pledge?: Maybe<Order_By>;
    updatedIn?: Maybe<Transaction_Order_By>;
    url?: Maybe<Order_By>;
};
export declare type StakePool_Sum_Fields = {
    __typename?: 'StakePool_sum_fields';
    fixedCost?: Maybe<Scalars['String']>;
    margin?: Maybe<Scalars['Float']>;
    pledge?: Maybe<Scalars['String']>;
};
export declare type StakePoolId_Comparison_Exp = {
    _eq?: Maybe<Scalars['StakePoolID']>;
    _in?: Maybe<Array<Maybe<Scalars['StakePoolID']>>>;
    _neq?: Maybe<Scalars['StakePoolID']>;
    _nin?: Maybe<Array<Maybe<Scalars['StakePoolID']>>>;
};
export declare type StakePoolOwner = {
    __typename?: 'StakePoolOwner';
    hash: Scalars['Hash28Hex'];
};
export declare type StakePoolOwner_Bool_Exp = {
    _and?: Maybe<Array<Maybe<StakePoolOwner_Bool_Exp>>>;
    _not?: Maybe<StakePoolOwner_Bool_Exp>;
    _or?: Maybe<Array<Maybe<StakePoolOwner_Bool_Exp>>>;
    hash?: Maybe<Hash28Hex_Comparison_Exp>;
};
export declare type StakePoolRetirement = {
    __typename?: 'StakePoolRetirement';
    announcedIn?: Maybe<Transaction>;
    inEffectFrom: Scalars['Int'];
    retiredInEpoch?: Maybe<Epoch>;
};
export declare type StakePoolRetirement_Bool_Exp = {
    _and?: Maybe<Array<Maybe<StakePoolRetirement_Bool_Exp>>>;
    _not?: Maybe<StakePoolRetirement_Bool_Exp>;
    _or?: Maybe<Array<Maybe<StakePoolRetirement_Bool_Exp>>>;
    announcedIn?: Maybe<Transaction_Bool_Exp>;
    inEffectFrom?: Maybe<Int_Comparison_Exp>;
};
export declare type StakeRegistration = {
    __typename?: 'StakeRegistration';
    address: Scalars['StakeAddress'];
    transaction: Transaction;
};
export declare type StakeRegistration_Aggregate = {
    __typename?: 'StakeRegistration_aggregate';
    aggregate?: Maybe<StakeRegistration_Aggregate_Fields>;
};
export declare type StakeRegistration_Aggregate_Fields = {
    __typename?: 'StakeRegistration_aggregate_fields';
    count?: Maybe<Scalars['String']>;
};
export declare type StakeRegistration_Bool_Exp = {
    _and?: Maybe<Array<Maybe<StakeRegistration_Bool_Exp>>>;
    _not?: Maybe<StakeRegistration_Bool_Exp>;
    _or?: Maybe<Array<Maybe<StakeRegistration_Bool_Exp>>>;
    address?: Maybe<StakeAddress_Comparison_Exp>;
    transaction?: Maybe<Transaction_Bool_Exp>;
};
export declare type StakeRegistration_Order_By = {
    address?: Maybe<Order_By>;
    transaction?: Maybe<Transaction_Order_By>;
};
export declare type Text_Comparison_Exp = {
    _eq?: Maybe<Scalars['String']>;
    _gt?: Maybe<Scalars['String']>;
    _gte?: Maybe<Scalars['String']>;
    _ilike?: Maybe<Scalars['String']>;
    _in?: Maybe<Array<Maybe<Scalars['String']>>>;
    _is_null?: Maybe<Scalars['Boolean']>;
    _like?: Maybe<Scalars['String']>;
    _lt?: Maybe<Scalars['String']>;
    _lte?: Maybe<Scalars['String']>;
    _neq?: Maybe<Scalars['String']>;
    _nilike?: Maybe<Scalars['String']>;
    _nin?: Maybe<Array<Maybe<Scalars['String']>>>;
    _nlike?: Maybe<Scalars['String']>;
    _nsimilar?: Maybe<Scalars['String']>;
    _similar?: Maybe<Scalars['String']>;
};
export declare type Token = {
    __typename?: 'Token';
    asset: Asset;
    quantity: Scalars['String'];
    transactionOutput: TransactionOutput;
};
export declare type Token_Aggregate = {
    __typename?: 'Token_aggregate';
    aggregate?: Maybe<Token_Aggregate_Fields>;
    nodes: Array<Token>;
};
export declare type Token_Aggregate_Fields = {
    __typename?: 'Token_aggregate_fields';
    avg: Token_Avg_Fields;
    count: Scalars['String'];
    max: Token_Max_Fields;
    min: Token_Min_Fields;
    sum: Token_Sum_Fields;
};
export declare type Token_Avg_Fields = {
    __typename?: 'Token_avg_fields';
    quantity?: Maybe<Scalars['String']>;
};
export declare type Token_Bool_Exp = {
    _and?: Maybe<Array<Maybe<Token_Bool_Exp>>>;
    _not?: Maybe<Token_Bool_Exp>;
    _or?: Maybe<Array<Maybe<Token_Bool_Exp>>>;
    asset?: Maybe<Asset_Bool_Exp>;
    quantity?: Maybe<Text_Comparison_Exp>;
    transactionOutput?: Maybe<TransactionOutput_Bool_Exp>;
};
export declare type Token_Max_Fields = {
    __typename?: 'Token_max_fields';
    quantity?: Maybe<Scalars['String']>;
};
export declare type Token_Min_Fields = {
    __typename?: 'Token_min_fields';
    quantity?: Maybe<Scalars['String']>;
};
export declare type Token_Order_By = {
    asset?: Maybe<Asset_Order_By>;
    quantity?: Maybe<Order_By>;
};
export declare type Token_Sum_Fields = {
    __typename?: 'Token_sum_fields';
    quantity?: Maybe<Scalars['String']>;
};
export declare type TokenMint = {
    __typename?: 'TokenMint';
    asset: Asset;
    quantity: Scalars['String'];
    transaction: Transaction;
};
export declare type TokenMint_Aggregate = {
    __typename?: 'TokenMint_aggregate';
    aggregate?: Maybe<TokenMint_Aggregate_Fields>;
    nodes: Array<TokenMint>;
};
export declare enum TokenMint_Aggregate_Distinct_On {
    AssetId = "assetId",
    PolicyId = "policyId"
}
export declare type TokenMint_Aggregate_Fields = {
    __typename?: 'TokenMint_aggregate_fields';
    avg: TokenMint_Avg_Fields;
    count: Scalars['String'];
    max: TokenMint_Max_Fields;
    min: TokenMint_Min_Fields;
    sum: TokenMint_Sum_Fields;
};
export declare type TokenMint_Avg_Fields = {
    __typename?: 'TokenMint_avg_fields';
    quantity?: Maybe<Scalars['String']>;
};
export declare type TokenMint_Bool_Exp = {
    _and?: Maybe<Array<Maybe<TokenMint_Bool_Exp>>>;
    _not?: Maybe<TokenMint_Bool_Exp>;
    _or?: Maybe<Array<Maybe<TokenMint_Bool_Exp>>>;
    asset?: Maybe<Asset_Bool_Exp>;
    quantity?: Maybe<Text_Comparison_Exp>;
    transaction?: Maybe<Transaction_Bool_Exp>;
};
export declare type TokenMint_Max_Fields = {
    __typename?: 'TokenMint_max_fields';
    quantity?: Maybe<Scalars['String']>;
};
export declare type TokenMint_Min_Fields = {
    __typename?: 'TokenMint_min_fields';
    quantity?: Maybe<Scalars['String']>;
};
export declare type TokenMint_Order_By = {
    asset?: Maybe<Asset_Order_By>;
    quantity?: Maybe<Order_By>;
    transaction?: Maybe<Transaction_Order_By>;
};
export declare type TokenMint_Sum_Fields = {
    __typename?: 'TokenMint_sum_fields';
    quantity?: Maybe<Scalars['String']>;
};
export declare type Transaction = {
    __typename?: 'Transaction';
    block?: Maybe<Block>;
    blockIndex: Scalars['Int'];
    collateralInputs?: Maybe<Array<Maybe<CollateralInput>>>;
    collateralInputs_aggregate: CollateralInput_Aggregate;
    collateralOutputs?: Maybe<Array<Maybe<CollateralOutput>>>;
    collateralOutputs_aggregate: CollateralOutput_Aggregate;
    deposit: Scalars['BigInt'];
    fee: Scalars['BigInt'];
    hash: Scalars['Hash32Hex'];
    inputs: Array<TransactionInput>;
    inputs_aggregate: TransactionInput_Aggregate;
    invalidBefore?: Maybe<Scalars['String']>;
    invalidHereafter?: Maybe<Scalars['String']>;
    metadata?: Maybe<Array<Maybe<TransactionMetadata>>>;
    mint: Array<Token>;
    mint_aggregate: Token_Aggregate;
    outputs: Array<Maybe<TransactionOutput>>;
    outputs_aggregate: TransactionOutput_Aggregate;
    redeemers?: Maybe<Array<Maybe<Redeemer>>>;
    referenceInputs: Array<TransactionInput>;
    referenceInputs_aggregate: TransactionInput_Aggregate;
    scripts?: Maybe<Array<Maybe<Script>>>;
    scriptSize: Scalars['Int'];
    size: Scalars['BigInt'];
    totalOutput: Scalars['String'];
    includedAt: Scalars['DateTime'];
    validContract: Scalars['Boolean'];
    withdrawals: Array<Maybe<Withdrawal>>;
    withdrawals_aggregate: Withdrawal_Aggregate;
};
export declare type TransactionCollateralInputsArgs = {
    limit?: Maybe<Scalars['Int']>;
    order_by?: Maybe<Array<Maybe<CollateralInput_Order_By>>>;
    offset?: Maybe<Scalars['Int']>;
    where?: Maybe<CollateralInput_Bool_Exp>;
};
export declare type TransactionCollateralInputs_AggregateArgs = {
    limit?: Maybe<Scalars['Int']>;
    order_by?: Maybe<Array<Maybe<CollateralInput_Order_By>>>;
    offset?: Maybe<Scalars['Int']>;
    where?: Maybe<CollateralInput_Bool_Exp>;
};
export declare type TransactionCollateralOutputsArgs = {
    limit?: Maybe<Scalars['Int']>;
    order_by?: Maybe<Array<Maybe<CollateralOutput_Order_By>>>;
    offset?: Maybe<Scalars['Int']>;
    where?: Maybe<CollateralOutput_Bool_Exp>;
};
export declare type TransactionCollateralOutputs_AggregateArgs = {
    limit?: Maybe<Scalars['Int']>;
    order_by?: Maybe<Array<Maybe<CollateralOutput_Order_By>>>;
    offset?: Maybe<Scalars['Int']>;
    where?: Maybe<CollateralOutput_Bool_Exp>;
};
export declare type TransactionInputsArgs = {
    limit?: Maybe<Scalars['Int']>;
    order_by?: Maybe<Array<Maybe<TransactionInput_Order_By>>>;
    offset?: Maybe<Scalars['Int']>;
    where?: Maybe<TransactionInput_Bool_Exp>;
};
export declare type TransactionInputs_AggregateArgs = {
    limit?: Maybe<Scalars['Int']>;
    order_by?: Maybe<Array<Maybe<TransactionInput_Order_By>>>;
    offset?: Maybe<Scalars['Int']>;
    where?: Maybe<TransactionInput_Bool_Exp>;
};
export declare type TransactionMintArgs = {
    limit?: Maybe<Scalars['Int']>;
    order_by?: Maybe<Array<Maybe<Token_Order_By>>>;
    offset?: Maybe<Scalars['Int']>;
    where?: Maybe<Token_Bool_Exp>;
};
export declare type TransactionMint_AggregateArgs = {
    limit?: Maybe<Scalars['Int']>;
    order_by?: Maybe<Array<Maybe<Token_Order_By>>>;
    offset?: Maybe<Scalars['Int']>;
    where?: Maybe<Token_Bool_Exp>;
};
export declare type TransactionOutputsArgs = {
    limit?: Maybe<Scalars['Int']>;
    order_by?: Maybe<Array<Maybe<TransactionOutput_Order_By>>>;
    offset?: Maybe<Scalars['Int']>;
    where?: Maybe<TransactionOutput_Bool_Exp>;
};
export declare type TransactionOutputs_AggregateArgs = {
    limit?: Maybe<Scalars['Int']>;
    order_by?: Maybe<Array<Maybe<TransactionOutput_Order_By>>>;
    offset?: Maybe<Scalars['Int']>;
    where?: Maybe<TransactionOutput_Bool_Exp>;
};
export declare type TransactionReferenceInputsArgs = {
    limit?: Maybe<Scalars['Int']>;
    order_by?: Maybe<Array<Maybe<TransactionInput_Order_By>>>;
    offset?: Maybe<Scalars['Int']>;
    where?: Maybe<TransactionInput_Bool_Exp>;
};
export declare type TransactionReferenceInputs_AggregateArgs = {
    limit?: Maybe<Scalars['Int']>;
    order_by?: Maybe<Array<Maybe<TransactionInput_Order_By>>>;
    offset?: Maybe<Scalars['Int']>;
    where?: Maybe<TransactionInput_Bool_Exp>;
};
export declare type TransactionWithdrawals_AggregateArgs = {
    limit?: Maybe<Scalars['Int']>;
    order_by?: Maybe<Array<Maybe<Withdrawal_Order_By>>>;
    offset?: Maybe<Scalars['Int']>;
    where?: Maybe<Withdrawal_Bool_Exp>;
};
export declare type Transaction_Aggregate = {
    __typename?: 'Transaction_aggregate';
    aggregate?: Maybe<Transaction_Aggregate_Fields>;
};
export declare type Transaction_Aggregate_Fields = {
    __typename?: 'Transaction_aggregate_fields';
    avg: Transaction_Avg_Fields;
    count: Scalars['String'];
    max: Transaction_Max_Fields;
    min: Transaction_Min_Fields;
    sum: Transaction_Sum_Fields;
};
export declare type Transaction_Avg_Fields = {
    __typename?: 'Transaction_avg_fields';
    deposit?: Maybe<Scalars['Float']>;
    fee?: Maybe<Scalars['Float']>;
    mint?: Maybe<Token_Avg_Fields>;
    scriptSize?: Maybe<Scalars['Float']>;
    size?: Maybe<Scalars['Float']>;
    totalOutput?: Maybe<Scalars['Float']>;
    withdrawals?: Maybe<Withdrawal_Avg_Fields>;
};
export declare type Transaction_Bool_Exp = {
    _and?: Maybe<Array<Maybe<Transaction_Bool_Exp>>>;
    _not?: Maybe<Transaction_Bool_Exp>;
    _or?: Maybe<Array<Maybe<Transaction_Bool_Exp>>>;
    block?: Maybe<Block_Bool_Exp>;
    blockIndex?: Maybe<Int_Comparison_Exp>;
    collateral?: Maybe<TransactionInput_Bool_Exp>;
    deposit?: Maybe<BigInt_Comparison_Exp>;
    fee?: Maybe<BigInt_Comparison_Exp>;
    hash?: Maybe<Hash32Hex_Comparison_Exp>;
    includedAt?: Maybe<Date_Comparison_Exp>;
    inputs?: Maybe<TransactionInput_Bool_Exp>;
    invalidBefore?: Maybe<Text_Comparison_Exp>;
    invalidHereafter?: Maybe<Text_Comparison_Exp>;
    metadata?: Maybe<TransactionMetadata_Bool_Exp>;
    mint?: Maybe<Token_Bool_Exp>;
    outputs?: Maybe<TransactionOutput_Bool_Exp>;
    scriptSize?: Maybe<Int_Comparison_Exp>;
    size?: Maybe<BigInt_Comparison_Exp>;
    totalOutput?: Maybe<Text_Comparison_Exp>;
    validContract?: Maybe<Boolean_Comparison_Exp>;
    withdrawals?: Maybe<Withdrawal_Bool_Exp>;
};
export declare type Transaction_Max_Fields = {
    __typename?: 'Transaction_max_fields';
    deposit?: Maybe<Scalars['String']>;
    fee?: Maybe<Scalars['String']>;
    invalidBefore?: Maybe<Scalars['String']>;
    invalidHereafter?: Maybe<Scalars['String']>;
    mint?: Maybe<Token_Max_Fields>;
    scriptSize?: Maybe<Scalars['Int']>;
    size?: Maybe<Scalars['String']>;
    totalOutput?: Maybe<Scalars['String']>;
    withdrawals?: Maybe<Withdrawal_Max_Fields>;
};
export declare type Transaction_Min_Fields = {
    __typename?: 'Transaction_min_fields';
    deposit?: Maybe<Scalars['String']>;
    fee?: Maybe<Scalars['String']>;
    invalidBefore?: Maybe<Scalars['String']>;
    invalidHereafter?: Maybe<Scalars['String']>;
    mint?: Maybe<Token_Min_Fields>;
    scriptSize?: Maybe<Scalars['Int']>;
    size?: Maybe<Scalars['String']>;
    totalOutput?: Maybe<Scalars['String']>;
    withdrawals?: Maybe<Withdrawal_Min_Fields>;
};
export declare type Transaction_Order_By = {
    block?: Maybe<Block_Order_By>;
    blockIndex?: Maybe<Order_By>;
    deposit?: Maybe<Order_By>;
    fee?: Maybe<Order_By>;
    hash?: Maybe<Order_By>;
    includedAt?: Maybe<Order_By>;
    invalidBefore?: Maybe<Order_By_With_Nulls>;
    invalidHereafter?: Maybe<Order_By_With_Nulls>;
    scriptSize?: Maybe<Order_By_With_Nulls>;
    size?: Maybe<Order_By>;
    totalOutput?: Maybe<Order_By>;
    validContract?: Maybe<Order_By>;
    withdrawals?: Maybe<Order_By>;
};
export declare type Transaction_Sum_Fields = {
    __typename?: 'Transaction_sum_fields';
    deposit?: Maybe<Scalars['String']>;
    fee?: Maybe<Scalars['String']>;
    mint?: Maybe<Token_Sum_Fields>;
    scriptSize?: Maybe<Scalars['BigInt']>;
    size?: Maybe<Scalars['String']>;
    totalOutput?: Maybe<Scalars['String']>;
    withdrawals?: Maybe<Withdrawal_Sum_Fields>;
};
export declare type TransactionInput = {
    __typename?: 'TransactionInput';
    address: Scalars['String'];
    redeemer?: Maybe<Redeemer>;
    sourceTransaction: Transaction;
    sourceTxHash: Scalars['Hash32Hex'];
    sourceTxIndex: Scalars['Int'];
    tokens: Array<Maybe<Token>>;
    tokens_aggregate: Token_Aggregate;
    transaction: Transaction;
    txHash: Scalars['Hash32Hex'];
    value: Scalars['String'];
};
export declare type TransactionInput_Aggregate = {
    __typename?: 'TransactionInput_aggregate';
    aggregate?: Maybe<TransactionInput_Aggregate_Fields>;
};
export declare type TransactionInput_Aggregate_Fields = {
    __typename?: 'TransactionInput_aggregate_fields';
    avg: TransactionInput_Avg_Fields;
    count: Scalars['String'];
    max: TransactionInput_Max_Fields;
    min: TransactionInput_Min_Fields;
    sum: TransactionInput_Sum_Fields;
};
export declare type TransactionInput_Avg_Fields = {
    __typename?: 'TransactionInput_avg_fields';
    tokens?: Maybe<Token_Avg_Fields>;
    value?: Maybe<Scalars['String']>;
};
export declare type TransactionInput_Bool_Exp = {
    _and?: Maybe<Array<Maybe<TransactionInput_Bool_Exp>>>;
    _not?: Maybe<TransactionInput_Bool_Exp>;
    _or?: Maybe<Array<Maybe<TransactionInput_Bool_Exp>>>;
    address?: Maybe<Text_Comparison_Exp>;
    sourceTransaction?: Maybe<Transaction_Bool_Exp>;
    tokens?: Maybe<Token_Bool_Exp>;
    transaction?: Maybe<Transaction_Bool_Exp>;
    value?: Maybe<Text_Comparison_Exp>;
};
export declare type TransactionInput_Max_Fields = {
    __typename?: 'TransactionInput_max_fields';
    tokens?: Maybe<Token_Max_Fields>;
    value?: Maybe<Scalars['String']>;
};
export declare type TransactionInput_Min_Fields = {
    __typename?: 'TransactionInput_min_fields';
    tokens?: Maybe<Token_Min_Fields>;
    value?: Maybe<Scalars['String']>;
};
export declare type TransactionInput_Order_By = {
    address?: Maybe<Order_By>;
    sourceTxHash?: Maybe<Order_By>;
    transaction?: Maybe<Transaction_Order_By>;
    txHash?: Maybe<Order_By>;
    value?: Maybe<Order_By>;
};
export declare type TransactionInput_Sum_Fields = {
    __typename?: 'TransactionInput_sum_fields';
    tokens?: Maybe<Token_Sum_Fields>;
    value?: Maybe<Scalars['String']>;
};
export declare type TransactionMetadata = {
    __typename?: 'TransactionMetadata';
    key: Scalars['String'];
    value: Scalars['JSON'];
};
export declare type TransactionMetadata_Bool_Exp = {
    key?: Maybe<Text_Comparison_Exp>;
};
export declare type TransactionOutput = {
    __typename?: 'TransactionOutput';
    address: Scalars['String'];
    addressHasScript: Scalars['Boolean'];
    datum?: Maybe<Datum>;
    index: Scalars['Int'];
    paymentCredential?: Maybe<Scalars['Hash28Hex']>;
    script?: Maybe<Script>;
    transaction: Transaction;
    txHash: Scalars['Hash32Hex'];
    tokens: Array<Token>;
    tokens_aggregate: Token_Aggregate;
    value: Scalars['String'];
};
export declare type TransactionOutput_Aggregate = {
    __typename?: 'TransactionOutput_aggregate';
    aggregate?: Maybe<TransactionOutput_Aggregate_Fields>;
};
export declare type TransactionOutput_Aggregate_Fields = {
    __typename?: 'TransactionOutput_aggregate_fields';
    avg: TransactionOutput_Avg_Fields;
    count: Scalars['String'];
    max: TransactionOutput_Max_Fields;
    min: TransactionOutput_Min_Fields;
    sum: TransactionOutput_Sum_Fields;
};
export declare type TransactionOutput_Avg_Fields = {
    __typename?: 'TransactionOutput_avg_fields';
    tokens?: Maybe<Token_Avg_Fields>;
    value?: Maybe<Scalars['String']>;
};
export declare type TransactionOutput_Bool_Exp = {
    _and?: Maybe<Array<Maybe<TransactionOutput_Bool_Exp>>>;
    _not?: Maybe<TransactionOutput_Bool_Exp>;
    _or?: Maybe<Array<Maybe<TransactionOutput_Bool_Exp>>>;
    address?: Maybe<Text_Comparison_Exp>;
    addressHasScript?: Maybe<Boolean_Comparison_Exp>;
    datum?: Maybe<Datum_Bool_Exp>;
    index?: Maybe<Int_Comparison_Exp>;
    script?: Maybe<Script_Bool_Exp>;
    tokens?: Maybe<Token_Bool_Exp>;
    transaction?: Maybe<Transaction_Bool_Exp>;
    value?: Maybe<Text_Comparison_Exp>;
};
export declare enum TransactionOutput_Distinct_On {
    Address = "address"
}
export declare type TransactionOutput_Max_Fields = {
    __typename?: 'TransactionOutput_max_fields';
    tokens?: Maybe<Token_Max_Fields>;
    value?: Maybe<Scalars['String']>;
};
export declare type TransactionOutput_Min_Fields = {
    __typename?: 'TransactionOutput_min_fields';
    tokens?: Maybe<Token_Min_Fields>;
    value?: Maybe<Scalars['String']>;
};
export declare type TransactionOutput_Order_By = {
    address?: Maybe<Order_By>;
    addressHasScript?: Maybe<Order_By>;
    datum?: Maybe<Transaction_Order_By>;
    index?: Maybe<Order_By>;
    txHash?: Maybe<Order_By>;
    value?: Maybe<Order_By>;
};
export declare type TransactionOutput_Sum_Fields = {
    __typename?: 'TransactionOutput_sum_fields';
    tokens?: Maybe<Token_Sum_Fields>;
    value?: Maybe<Scalars['String']>;
};
export declare type TransactionSubmitResponse = {
    __typename?: 'TransactionSubmitResponse';
    hash: Scalars['String'];
};
export declare type VrfVerificationKey_Comparison_Exp = {
    _eq?: Maybe<Scalars['VRFVerificationKey']>;
    _in?: Maybe<Array<Maybe<Scalars['VRFVerificationKey']>>>;
    _is_null?: Maybe<Scalars['Boolean']>;
    _neq?: Maybe<Scalars['VRFVerificationKey']>;
    _nin?: Maybe<Array<Maybe<Scalars['VRFVerificationKey']>>>;
};
export declare type Withdrawal = {
    __typename?: 'Withdrawal';
    address: Scalars['StakeAddress'];
    amount: Scalars['String'];
    redeemer?: Maybe<Redeemer>;
    transaction: Transaction;
};
export declare type Withdrawal_Aggregate = {
    __typename?: 'Withdrawal_aggregate';
    aggregate: Withdrawal_Aggregate_Fields;
};
export declare type Withdrawal_Aggregate_Fields = {
    __typename?: 'Withdrawal_aggregate_fields';
    count: Scalars['String'];
    avg: Withdrawal_Avg_Fields;
    max: Withdrawal_Max_Fields;
    min: Withdrawal_Min_Fields;
    sum: Withdrawal_Sum_Fields;
};
export declare type Withdrawal_Avg_Fields = {
    __typename?: 'Withdrawal_avg_fields';
    amount?: Maybe<Scalars['String']>;
};
export declare type Withdrawal_Bool_Exp = {
    _and?: Maybe<Array<Maybe<Withdrawal_Bool_Exp>>>;
    _not?: Maybe<Withdrawal_Bool_Exp>;
    _or?: Maybe<Array<Maybe<Withdrawal_Bool_Exp>>>;
    address?: Maybe<StakeAddress_Comparison_Exp>;
    amount?: Maybe<Text_Comparison_Exp>;
    transaction?: Maybe<Transaction_Bool_Exp>;
};
export declare type Withdrawal_Max_Fields = {
    __typename?: 'Withdrawal_max_fields';
    amount?: Maybe<Scalars['String']>;
};
export declare type Withdrawal_Min_Fields = {
    __typename?: 'Withdrawal_min_fields';
    amount?: Maybe<Scalars['String']>;
};
export declare type Withdrawal_Order_By = {
    address?: Maybe<Order_By>;
    amount?: Maybe<Order_By>;
    transaction?: Maybe<Transaction_Order_By>;
};
export declare type Withdrawal_Sum_Fields = {
    __typename?: 'Withdrawal_sum_fields';
    amount?: Maybe<Scalars['String']>;
};
export declare type WithIndex<TObject> = TObject & Record<string, any>;
export declare type ResolversObject<TObject> = WithIndex<TObject>;
export declare type ResolverTypeWrapper<T> = Promise<T> | T;
export declare type LegacyStitchingResolver<TResult, TParent, TContext, TArgs> = {
    fragment: string;
    resolve: ResolverFn<TResult, TParent, TContext, TArgs>;
};
export declare type NewStitchingResolver<TResult, TParent, TContext, TArgs> = {
    selectionSet: string;
    resolve: ResolverFn<TResult, TParent, TContext, TArgs>;
};
export declare type StitchingResolver<TResult, TParent, TContext, TArgs> = LegacyStitchingResolver<TResult, TParent, TContext, TArgs> | NewStitchingResolver<TResult, TParent, TContext, TArgs>;
export declare type Resolver<TResult, TParent = {}, TContext = {}, TArgs = {}> = ResolverFn<TResult, TParent, TContext, TArgs> | StitchingResolver<TResult, TParent, TContext, TArgs>;
export declare type ResolverFn<TResult, TParent, TContext, TArgs> = (parent: TParent, args: TArgs, context: TContext, info: GraphQLResolveInfo) => Promise<TResult> | TResult;
export declare type SubscriptionSubscribeFn<TResult, TParent, TContext, TArgs> = (parent: TParent, args: TArgs, context: TContext, info: GraphQLResolveInfo) => AsyncIterator<TResult> | Promise<AsyncIterator<TResult>>;
export declare type SubscriptionResolveFn<TResult, TParent, TContext, TArgs> = (parent: TParent, args: TArgs, context: TContext, info: GraphQLResolveInfo) => TResult | Promise<TResult>;
export interface SubscriptionSubscriberObject<TResult, TKey extends string, TParent, TContext, TArgs> {
    subscribe: SubscriptionSubscribeFn<{
        [key in TKey]: TResult;
    }, TParent, TContext, TArgs>;
    resolve?: SubscriptionResolveFn<TResult, {
        [key in TKey]: TResult;
    }, TContext, TArgs>;
}
export interface SubscriptionResolverObject<TResult, TParent, TContext, TArgs> {
    subscribe: SubscriptionSubscribeFn<any, TParent, TContext, TArgs>;
    resolve: SubscriptionResolveFn<TResult, any, TContext, TArgs>;
}
export declare type SubscriptionObject<TResult, TKey extends string, TParent, TContext, TArgs> = SubscriptionSubscriberObject<TResult, TKey, TParent, TContext, TArgs> | SubscriptionResolverObject<TResult, TParent, TContext, TArgs>;
export declare type SubscriptionResolver<TResult, TKey extends string, TParent = {}, TContext = {}, TArgs = {}> = ((...args: any[]) => SubscriptionObject<TResult, TKey, TParent, TContext, TArgs>) | SubscriptionObject<TResult, TKey, TParent, TContext, TArgs>;
export declare type TypeResolveFn<TTypes, TParent = {}, TContext = {}> = (parent: TParent, context: TContext, info: GraphQLResolveInfo) => Maybe<TTypes> | Promise<Maybe<TTypes>>;
export declare type IsTypeOfResolverFn<T = {}> = (obj: T, info: GraphQLResolveInfo) => boolean | Promise<boolean>;
export declare type NextResolverFn<T> = () => Promise<T>;
export declare type DirectiveResolverFn<TResult = {}, TParent = {}, TContext = {}, TArgs = {}> = (next: NextResolverFn<TResult>, parent: TParent, args: TArgs, context: TContext, info: GraphQLResolveInfo) => TResult | Promise<TResult>;
export declare type ResolversTypes = ResolversObject<{
    Query: ResolverTypeWrapper<{}>;
    Int: ResolverTypeWrapper<Scalars['Int']>;
    ActiveStake_order_by: ActiveStake_Order_By;
    order_by: Order_By;
    Epoch_order_by: Epoch_Order_By;
    StakePool_order_by: StakePool_Order_By;
    Transaction_order_by: Transaction_Order_By;
    Block_order_by: Block_Order_By;
    SlotLeader_order_by: SlotLeader_Order_By;
    order_by_with_nulls: Order_By_With_Nulls;
    ActiveStake_bool_exp: ActiveStake_Bool_Exp;
    StakeAddress_comparison_exp: StakeAddress_Comparison_Exp;
    StakeAddress: ResolverTypeWrapper<Scalars['StakeAddress']>;
    text_comparison_exp: Text_Comparison_Exp;
    String: ResolverTypeWrapper<Scalars['String']>;
    Boolean: ResolverTypeWrapper<Scalars['Boolean']>;
    Epoch_bool_exp: Epoch_Bool_Exp;
    Block_bool_exp: Block_Bool_Exp;
    Date_comparison_exp: Date_Comparison_Exp;
    DateTime: ResolverTypeWrapper<Scalars['DateTime']>;
    SlotLeader_bool_exp: SlotLeader_Bool_Exp;
    Hash28Hex_comparison_exp: Hash28Hex_Comparison_Exp;
    Hash28Hex: ResolverTypeWrapper<Scalars['Hash28Hex']>;
    StakePool_bool_exp: StakePool_Bool_Exp;
    StakePoolID_comparison_exp: StakePoolId_Comparison_Exp;
    StakePoolID: ResolverTypeWrapper<Scalars['StakePoolID']>;
    Float_comparison_exp: Float_Comparison_Exp;
    Float: ResolverTypeWrapper<Scalars['Float']>;
    Hash32Hex_comparison_exp: Hash32Hex_Comparison_Exp;
    Hash32Hex: ResolverTypeWrapper<Scalars['Hash32Hex']>;
    StakePoolOwner_bool_exp: StakePoolOwner_Bool_Exp;
    Transaction_bool_exp: Transaction_Bool_Exp;
    Int_comparison_exp: Int_Comparison_Exp;
    TransactionInput_bool_exp: TransactionInput_Bool_Exp;
    Token_bool_exp: Token_Bool_Exp;
    Asset_bool_exp: Asset_Bool_Exp;
    Hex_comparison_exp: Hex_Comparison_Exp;
    Hex: ResolverTypeWrapper<Scalars['Hex']>;
    AssetFingerprint_comparison_exp: AssetFingerprint_Comparison_Exp;
    TokenMint_bool_exp: TokenMint_Bool_Exp;
    TransactionOutput_bool_exp: TransactionOutput_Bool_Exp;
    Boolean_comparison_exp: Boolean_Comparison_Exp;
    Datum_bool_exp: Datum_Bool_Exp;
    Script_bool_exp: Script_Bool_Exp;
    BigInt_comparison_exp: BigInt_Comparison_Exp;
    BigInt: ResolverTypeWrapper<Scalars['BigInt']>;
    TransactionMetadata_bool_exp: TransactionMetadata_Bool_Exp;
    Withdrawal_bool_exp: Withdrawal_Bool_Exp;
    Relay_bool_exp: Relay_Bool_Exp;
    StakePoolRetirement_bool_exp: StakePoolRetirement_Bool_Exp;
    Reward_bool_exp: Reward_Bool_Exp;
    VRFVerificationKey_comparison_exp: VrfVerificationKey_Comparison_Exp;
    VRFVerificationKey: ResolverTypeWrapper<Scalars['VRFVerificationKey']>;
    ActiveStake: ResolverTypeWrapper<ActiveStake>;
    Epoch: ResolverTypeWrapper<Epoch>;
    ActiveStake_aggregate: ResolverTypeWrapper<ActiveStake_Aggregate>;
    ActiveStake_aggregate_fields: ResolverTypeWrapper<ActiveStake_Aggregate_Fields>;
    ActiveStake_avg_fields: ResolverTypeWrapper<ActiveStake_Avg_Fields>;
    ActiveStake_max_fields: ResolverTypeWrapper<ActiveStake_Max_Fields>;
    ActiveStake_min_fields: ResolverTypeWrapper<ActiveStake_Min_Fields>;
    ActiveStake_sum_fields: ResolverTypeWrapper<ActiveStake_Sum_Fields>;
    AdaPots: ResolverTypeWrapper<AdaPots>;
    Block: ResolverTypeWrapper<Block>;
    SlotLeader: ResolverTypeWrapper<SlotLeader>;
    StakePool: ResolverTypeWrapper<StakePool>;
    Block_aggregate: ResolverTypeWrapper<Block_Aggregate>;
    Block_aggregate_fields: ResolverTypeWrapper<Block_Aggregate_Fields>;
    Block_avg_fields: ResolverTypeWrapper<Block_Avg_Fields>;
    Block_max_fields: ResolverTypeWrapper<Block_Max_Fields>;
    Block_min_fields: ResolverTypeWrapper<Block_Min_Fields>;
    Block_sum_fields: ResolverTypeWrapper<Block_Sum_Fields>;
    Delegation_order_by: Delegation_Order_By;
    Delegation_bool_exp: Delegation_Bool_Exp;
    Delegation: ResolverTypeWrapper<Delegation>;
    Redeemer: ResolverTypeWrapper<Redeemer>;
    Datum: ResolverTypeWrapper<Datum>;
    Transaction: ResolverTypeWrapper<Transaction>;
    CollateralInput_order_by: CollateralInput_Order_By;
    CollateralInput_bool_exp: CollateralInput_Bool_Exp;
    CollateralInput: ResolverTypeWrapper<CollateralInput>;
    Token: ResolverTypeWrapper<Token>;
    Asset: ResolverTypeWrapper<Asset>;
    AssetFingerprint: ResolverTypeWrapper<Scalars['AssetFingerprint']>;
    TokenMint_order_by: TokenMint_Order_By;
    Asset_order_by: Asset_Order_By;
    TokenMint: ResolverTypeWrapper<TokenMint>;
    TokenMint_aggregate: ResolverTypeWrapper<TokenMint_Aggregate>;
    TokenMint_aggregate_fields: ResolverTypeWrapper<TokenMint_Aggregate_Fields>;
    TokenMint_avg_fields: ResolverTypeWrapper<TokenMint_Avg_Fields>;
    TokenMint_max_fields: ResolverTypeWrapper<TokenMint_Max_Fields>;
    TokenMint_min_fields: ResolverTypeWrapper<TokenMint_Min_Fields>;
    TokenMint_sum_fields: ResolverTypeWrapper<TokenMint_Sum_Fields>;
    TransactionOutput: ResolverTypeWrapper<TransactionOutput>;
    Script: ResolverTypeWrapper<Script>;
    Token_aggregate: ResolverTypeWrapper<Token_Aggregate>;
    Token_aggregate_fields: ResolverTypeWrapper<Token_Aggregate_Fields>;
    Token_avg_fields: ResolverTypeWrapper<Token_Avg_Fields>;
    Token_max_fields: ResolverTypeWrapper<Token_Max_Fields>;
    Token_min_fields: ResolverTypeWrapper<Token_Min_Fields>;
    Token_sum_fields: ResolverTypeWrapper<Token_Sum_Fields>;
    CollateralInput_aggregate: ResolverTypeWrapper<CollateralInput_Aggregate>;
    TransactionInput_aggregate_fields: ResolverTypeWrapper<TransactionInput_Aggregate_Fields>;
    TransactionInput_avg_fields: ResolverTypeWrapper<TransactionInput_Avg_Fields>;
    TransactionInput_max_fields: ResolverTypeWrapper<TransactionInput_Max_Fields>;
    TransactionInput_min_fields: ResolverTypeWrapper<TransactionInput_Min_Fields>;
    TransactionInput_sum_fields: ResolverTypeWrapper<TransactionInput_Sum_Fields>;
    CollateralOutput_order_by: CollateralOutput_Order_By;
    CollateralOutput_bool_exp: CollateralOutput_Bool_Exp;
    CollateralOutput: ResolverTypeWrapper<CollateralOutput>;
    CollateralOutput_aggregate: ResolverTypeWrapper<CollateralOutput_Aggregate>;
    CollateralOutput_aggregate_fields: ResolverTypeWrapper<CollateralOutput_Aggregate_Fields>;
    CollateralOutput_avg_fields: ResolverTypeWrapper<CollateralOutput_Avg_Fields>;
    CollateralOutput_max_fields: ResolverTypeWrapper<CollateralOutput_Max_Fields>;
    CollateralOutput_min_fields: ResolverTypeWrapper<CollateralOutput_Min_Fields>;
    CollateralOutput_sum_fields: ResolverTypeWrapper<CollateralOutput_Sum_Fields>;
    TransactionInput_order_by: TransactionInput_Order_By;
    TransactionInput: ResolverTypeWrapper<TransactionInput>;
    TransactionInput_aggregate: ResolverTypeWrapper<TransactionInput_Aggregate>;
    TransactionMetadata: ResolverTypeWrapper<TransactionMetadata>;
    JSON: ResolverTypeWrapper<Scalars['JSON']>;
    Token_order_by: Token_Order_By;
    TransactionOutput_order_by: TransactionOutput_Order_By;
    TransactionOutput_aggregate: ResolverTypeWrapper<TransactionOutput_Aggregate>;
    TransactionOutput_aggregate_fields: ResolverTypeWrapper<TransactionOutput_Aggregate_Fields>;
    TransactionOutput_avg_fields: ResolverTypeWrapper<TransactionOutput_Avg_Fields>;
    TransactionOutput_max_fields: ResolverTypeWrapper<TransactionOutput_Max_Fields>;
    TransactionOutput_min_fields: ResolverTypeWrapper<TransactionOutput_Min_Fields>;
    TransactionOutput_sum_fields: ResolverTypeWrapper<TransactionOutput_Sum_Fields>;
    Withdrawal: ResolverTypeWrapper<Withdrawal>;
    Withdrawal_order_by: Withdrawal_Order_By;
    Withdrawal_aggregate: ResolverTypeWrapper<Withdrawal_Aggregate>;
    Withdrawal_aggregate_fields: ResolverTypeWrapper<Withdrawal_Aggregate_Fields>;
    Withdrawal_avg_fields: ResolverTypeWrapper<Withdrawal_Avg_Fields>;
    Withdrawal_max_fields: ResolverTypeWrapper<Withdrawal_Max_Fields>;
    Withdrawal_min_fields: ResolverTypeWrapper<Withdrawal_Min_Fields>;
    Withdrawal_sum_fields: ResolverTypeWrapper<Withdrawal_Sum_Fields>;
    JSONObject: ResolverTypeWrapper<Scalars['JSONObject']>;
    Delegation_aggregate: ResolverTypeWrapper<Delegation_Aggregate>;
    Delegation_aggregate_fields: ResolverTypeWrapper<Delegation_Aggregate_Fields>;
    StakePoolOwner: ResolverTypeWrapper<StakePoolOwner>;
    Relay: ResolverTypeWrapper<Relay>;
    IPv4: ResolverTypeWrapper<Scalars['IPv4']>;
    IPv6: ResolverTypeWrapper<Scalars['IPv6']>;
    StakePoolRetirement: ResolverTypeWrapper<StakePoolRetirement>;
    Reward: ResolverTypeWrapper<Reward>;
    Reward_order_by: Reward_Order_By;
    Reward_aggregate: ResolverTypeWrapper<Reward_Aggregate>;
    Reward_aggregate_fields: ResolverTypeWrapper<Reward_Aggregate_Fields>;
    Reward_avg_fields: ResolverTypeWrapper<Reward_Avg_Fields>;
    Reward_max_fields: ResolverTypeWrapper<Reward_Max_Fields>;
    Reward_min_fields: ResolverTypeWrapper<Reward_Min_Fields>;
    Reward_sum_fields: ResolverTypeWrapper<Reward_Sum_Fields>;
    Transaction_aggregate: ResolverTypeWrapper<Transaction_Aggregate>;
    Transaction_aggregate_fields: ResolverTypeWrapper<Transaction_Aggregate_Fields>;
    Transaction_avg_fields: ResolverTypeWrapper<Transaction_Avg_Fields>;
    Transaction_max_fields: ResolverTypeWrapper<Transaction_Max_Fields>;
    Transaction_min_fields: ResolverTypeWrapper<Transaction_Min_Fields>;
    Transaction_sum_fields: ResolverTypeWrapper<Transaction_Sum_Fields>;
    ProtocolParams: ResolverTypeWrapper<ProtocolParams>;
    Ada: ResolverTypeWrapper<Ada>;
    AssetSupply: ResolverTypeWrapper<AssetSupply>;
    Asset_aggregate: ResolverTypeWrapper<Asset_Aggregate>;
    Asset_aggregate_fields: ResolverTypeWrapper<Asset_Aggregate_Fields>;
    Cardano: ResolverTypeWrapper<Cardano>;
    CardanoDbMeta: ResolverTypeWrapper<CardanoDbMeta>;
    Percentage: ResolverTypeWrapper<Scalars['Percentage']>;
    Epoch_aggregate: ResolverTypeWrapper<Epoch_Aggregate>;
    Epoch_aggregate_fields: ResolverTypeWrapper<Epoch_Aggregate_Fields>;
    Epoch_avg_fields: ResolverTypeWrapper<Epoch_Avg_Fields>;
    Epoch_max_fields: ResolverTypeWrapper<Epoch_Max_Fields>;
    Epoch_min_fields: ResolverTypeWrapper<Epoch_Min_Fields>;
    Epoch_sum_fields: ResolverTypeWrapper<Epoch_Sum_Fields>;
    Genesis: ResolverTypeWrapper<Genesis>;
    AlonzoGenesis: ResolverTypeWrapper<AlonzoGenesis>;
    ExecutionPrices: ResolverTypeWrapper<ExecutionPrices>;
    ExecutionPrice: ResolverTypeWrapper<ExecutionPrice>;
    ExecutionUnits: ResolverTypeWrapper<ExecutionUnits>;
    ByronGenesis: ResolverTypeWrapper<ByronGenesis>;
    Timestamp: ResolverTypeWrapper<Scalars['Timestamp']>;
    ByronBlockVersionData: ResolverTypeWrapper<ByronBlockVersionData>;
    ByronSoftForkRule: ResolverTypeWrapper<ByronSoftForkRule>;
    ByronTxFeePolicy: ResolverTypeWrapper<ByronTxFeePolicy>;
    ByronProtocolConsts: ResolverTypeWrapper<ByronProtocolConsts>;
    ShelleyGenesis: ResolverTypeWrapper<ShelleyGenesis>;
    ShelleyProtocolParams: ResolverTypeWrapper<ShelleyProtocolParams>;
    ShelleyGenesisStaking: ResolverTypeWrapper<ShelleyGenesisStaking>;
    PaymentAddress: ResolverTypeWrapper<PaymentAddress>;
    PaymentAddressSummary: ResolverTypeWrapper<PaymentAddressSummary>;
    AssetBalance: ResolverTypeWrapper<AssetBalance>;
    Redeemer_order_by: Redeemer_Order_By;
    Redeemer_bool_exp: Redeemer_Bool_Exp;
    Redeemer_aggregate: ResolverTypeWrapper<Redeemer_Aggregate>;
    Redeemer_aggregate_fields: ResolverTypeWrapper<Redeemer_Aggregate_Fields>;
    Redeemer_avg_fields: ResolverTypeWrapper<Redeemer_Avg_Fields>;
    Redeemer_max_fields: ResolverTypeWrapper<Redeemer_Max_Fields>;
    Redeemer_min_fields: ResolverTypeWrapper<Redeemer_Min_Fields>;
    Redeemer_sum_fields: ResolverTypeWrapper<Redeemer_Sum_Fields>;
    Script_order_by: Script_Order_By;
    Script_aggregate: ResolverTypeWrapper<Script_Aggregate>;
    Script_aggregate_fields: ResolverTypeWrapper<Script_Aggregate_Fields>;
    Script_avg_fields: ResolverTypeWrapper<Script_Avg_Fields>;
    Script_max_fields: ResolverTypeWrapper<Script_Max_Fields>;
    Script_min_fields: ResolverTypeWrapper<Script_Min_Fields>;
    Script_sum_fields: ResolverTypeWrapper<Script_Sum_Fields>;
    StakeDeregistration_order_by: StakeDeregistration_Order_By;
    StakeDeregistration_bool_exp: StakeDeregistration_Bool_Exp;
    StakeDeregistration: ResolverTypeWrapper<StakeDeregistration>;
    StakeDeregistration_aggregate: ResolverTypeWrapper<StakeDeregistration_Aggregate>;
    StakeDeregistration_aggregate_fields: ResolverTypeWrapper<StakeDeregistration_Aggregate_Fields>;
    StakePool_aggregate: ResolverTypeWrapper<StakePool_Aggregate>;
    StakePool_aggregate_fields: ResolverTypeWrapper<StakePool_Aggregate_Fields>;
    StakePool_avg_fields: ResolverTypeWrapper<StakePool_Avg_Fields>;
    StakePool_max_fields: ResolverTypeWrapper<StakePool_Max_Fields>;
    StakePool_min_fields: ResolverTypeWrapper<StakePool_Min_Fields>;
    StakePool_sum_fields: ResolverTypeWrapper<StakePool_Sum_Fields>;
    StakeRegistration_order_by: StakeRegistration_Order_By;
    StakeRegistration_bool_exp: StakeRegistration_Bool_Exp;
    StakeRegistration: ResolverTypeWrapper<StakeRegistration>;
    StakeRegistration_aggregate: ResolverTypeWrapper<StakeRegistration_Aggregate>;
    StakeRegistration_aggregate_fields: ResolverTypeWrapper<StakeRegistration_Aggregate_Fields>;
    TokenMint_aggregate_distinct_on: TokenMint_Aggregate_Distinct_On;
    TransactionOutput_distinct_on: TransactionOutput_Distinct_On;
    Mutation: ResolverTypeWrapper<{}>;
    TransactionSubmitResponse: ResolverTypeWrapper<TransactionSubmitResponse>;
    AssetSupply_bool_exp: AssetSupply_Bool_Exp;
    AssetSupply_order_by: AssetSupply_Order_By;
    CollateralInput_aggregate_fields: ResolverTypeWrapper<CollateralInput_Aggregate_Fields>;
    CollateralInput_avg_fields: ResolverTypeWrapper<CollateralInput_Avg_Fields>;
    CollateralInput_max_fields: ResolverTypeWrapper<CollateralInput_Max_Fields>;
    CollateralInput_min_fields: ResolverTypeWrapper<CollateralInput_Min_Fields>;
    CollateralInput_sum_fields: ResolverTypeWrapper<CollateralInput_Sum_Fields>;
    CollateralOutput_distinct_on: CollateralOutput_Distinct_On;
    Percentage_comparison_exp: Percentage_Comparison_Exp;
}>;
export declare type ResolversParentTypes = ResolversObject<{
    Query: {};
    Int: Scalars['Int'];
    ActiveStake_order_by: ActiveStake_Order_By;
    Epoch_order_by: Epoch_Order_By;
    StakePool_order_by: StakePool_Order_By;
    Transaction_order_by: Transaction_Order_By;
    Block_order_by: Block_Order_By;
    SlotLeader_order_by: SlotLeader_Order_By;
    ActiveStake_bool_exp: ActiveStake_Bool_Exp;
    StakeAddress_comparison_exp: StakeAddress_Comparison_Exp;
    StakeAddress: Scalars['StakeAddress'];
    text_comparison_exp: Text_Comparison_Exp;
    String: Scalars['String'];
    Boolean: Scalars['Boolean'];
    Epoch_bool_exp: Epoch_Bool_Exp;
    Block_bool_exp: Block_Bool_Exp;
    Date_comparison_exp: Date_Comparison_Exp;
    DateTime: Scalars['DateTime'];
    SlotLeader_bool_exp: SlotLeader_Bool_Exp;
    Hash28Hex_comparison_exp: Hash28Hex_Comparison_Exp;
    Hash28Hex: Scalars['Hash28Hex'];
    StakePool_bool_exp: StakePool_Bool_Exp;
    StakePoolID_comparison_exp: StakePoolId_Comparison_Exp;
    StakePoolID: Scalars['StakePoolID'];
    Float_comparison_exp: Float_Comparison_Exp;
    Float: Scalars['Float'];
    Hash32Hex_comparison_exp: Hash32Hex_Comparison_Exp;
    Hash32Hex: Scalars['Hash32Hex'];
    StakePoolOwner_bool_exp: StakePoolOwner_Bool_Exp;
    Transaction_bool_exp: Transaction_Bool_Exp;
    Int_comparison_exp: Int_Comparison_Exp;
    TransactionInput_bool_exp: TransactionInput_Bool_Exp;
    Token_bool_exp: Token_Bool_Exp;
    Asset_bool_exp: Asset_Bool_Exp;
    Hex_comparison_exp: Hex_Comparison_Exp;
    Hex: Scalars['Hex'];
    AssetFingerprint_comparison_exp: AssetFingerprint_Comparison_Exp;
    TokenMint_bool_exp: TokenMint_Bool_Exp;
    TransactionOutput_bool_exp: TransactionOutput_Bool_Exp;
    Boolean_comparison_exp: Boolean_Comparison_Exp;
    Datum_bool_exp: Datum_Bool_Exp;
    Script_bool_exp: Script_Bool_Exp;
    BigInt_comparison_exp: BigInt_Comparison_Exp;
    BigInt: Scalars['BigInt'];
    TransactionMetadata_bool_exp: TransactionMetadata_Bool_Exp;
    Withdrawal_bool_exp: Withdrawal_Bool_Exp;
    Relay_bool_exp: Relay_Bool_Exp;
    StakePoolRetirement_bool_exp: StakePoolRetirement_Bool_Exp;
    Reward_bool_exp: Reward_Bool_Exp;
    VRFVerificationKey_comparison_exp: VrfVerificationKey_Comparison_Exp;
    VRFVerificationKey: Scalars['VRFVerificationKey'];
    ActiveStake: ActiveStake;
    Epoch: Epoch;
    ActiveStake_aggregate: ActiveStake_Aggregate;
    ActiveStake_aggregate_fields: ActiveStake_Aggregate_Fields;
    ActiveStake_avg_fields: ActiveStake_Avg_Fields;
    ActiveStake_max_fields: ActiveStake_Max_Fields;
    ActiveStake_min_fields: ActiveStake_Min_Fields;
    ActiveStake_sum_fields: ActiveStake_Sum_Fields;
    AdaPots: AdaPots;
    Block: Block;
    SlotLeader: SlotLeader;
    StakePool: StakePool;
    Block_aggregate: Block_Aggregate;
    Block_aggregate_fields: Block_Aggregate_Fields;
    Block_avg_fields: Block_Avg_Fields;
    Block_max_fields: Block_Max_Fields;
    Block_min_fields: Block_Min_Fields;
    Block_sum_fields: Block_Sum_Fields;
    Delegation_order_by: Delegation_Order_By;
    Delegation_bool_exp: Delegation_Bool_Exp;
    Delegation: Delegation;
    Redeemer: Redeemer;
    Datum: Datum;
    Transaction: Transaction;
    CollateralInput_order_by: CollateralInput_Order_By;
    CollateralInput_bool_exp: CollateralInput_Bool_Exp;
    CollateralInput: CollateralInput;
    Token: Token;
    Asset: Asset;
    AssetFingerprint: Scalars['AssetFingerprint'];
    TokenMint_order_by: TokenMint_Order_By;
    Asset_order_by: Asset_Order_By;
    TokenMint: TokenMint;
    TokenMint_aggregate: TokenMint_Aggregate;
    TokenMint_aggregate_fields: TokenMint_Aggregate_Fields;
    TokenMint_avg_fields: TokenMint_Avg_Fields;
    TokenMint_max_fields: TokenMint_Max_Fields;
    TokenMint_min_fields: TokenMint_Min_Fields;
    TokenMint_sum_fields: TokenMint_Sum_Fields;
    TransactionOutput: TransactionOutput;
    Script: Script;
    Token_aggregate: Token_Aggregate;
    Token_aggregate_fields: Token_Aggregate_Fields;
    Token_avg_fields: Token_Avg_Fields;
    Token_max_fields: Token_Max_Fields;
    Token_min_fields: Token_Min_Fields;
    Token_sum_fields: Token_Sum_Fields;
    CollateralInput_aggregate: CollateralInput_Aggregate;
    TransactionInput_aggregate_fields: TransactionInput_Aggregate_Fields;
    TransactionInput_avg_fields: TransactionInput_Avg_Fields;
    TransactionInput_max_fields: TransactionInput_Max_Fields;
    TransactionInput_min_fields: TransactionInput_Min_Fields;
    TransactionInput_sum_fields: TransactionInput_Sum_Fields;
    CollateralOutput_order_by: CollateralOutput_Order_By;
    CollateralOutput_bool_exp: CollateralOutput_Bool_Exp;
    CollateralOutput: CollateralOutput;
    CollateralOutput_aggregate: CollateralOutput_Aggregate;
    CollateralOutput_aggregate_fields: CollateralOutput_Aggregate_Fields;
    CollateralOutput_avg_fields: CollateralOutput_Avg_Fields;
    CollateralOutput_max_fields: CollateralOutput_Max_Fields;
    CollateralOutput_min_fields: CollateralOutput_Min_Fields;
    CollateralOutput_sum_fields: CollateralOutput_Sum_Fields;
    TransactionInput_order_by: TransactionInput_Order_By;
    TransactionInput: TransactionInput;
    TransactionInput_aggregate: TransactionInput_Aggregate;
    TransactionMetadata: TransactionMetadata;
    JSON: Scalars['JSON'];
    Token_order_by: Token_Order_By;
    TransactionOutput_order_by: TransactionOutput_Order_By;
    TransactionOutput_aggregate: TransactionOutput_Aggregate;
    TransactionOutput_aggregate_fields: TransactionOutput_Aggregate_Fields;
    TransactionOutput_avg_fields: TransactionOutput_Avg_Fields;
    TransactionOutput_max_fields: TransactionOutput_Max_Fields;
    TransactionOutput_min_fields: TransactionOutput_Min_Fields;
    TransactionOutput_sum_fields: TransactionOutput_Sum_Fields;
    Withdrawal: Withdrawal;
    Withdrawal_order_by: Withdrawal_Order_By;
    Withdrawal_aggregate: Withdrawal_Aggregate;
    Withdrawal_aggregate_fields: Withdrawal_Aggregate_Fields;
    Withdrawal_avg_fields: Withdrawal_Avg_Fields;
    Withdrawal_max_fields: Withdrawal_Max_Fields;
    Withdrawal_min_fields: Withdrawal_Min_Fields;
    Withdrawal_sum_fields: Withdrawal_Sum_Fields;
    JSONObject: Scalars['JSONObject'];
    Delegation_aggregate: Delegation_Aggregate;
    Delegation_aggregate_fields: Delegation_Aggregate_Fields;
    StakePoolOwner: StakePoolOwner;
    Relay: Relay;
    IPv4: Scalars['IPv4'];
    IPv6: Scalars['IPv6'];
    StakePoolRetirement: StakePoolRetirement;
    Reward: Reward;
    Reward_order_by: Reward_Order_By;
    Reward_aggregate: Reward_Aggregate;
    Reward_aggregate_fields: Reward_Aggregate_Fields;
    Reward_avg_fields: Reward_Avg_Fields;
    Reward_max_fields: Reward_Max_Fields;
    Reward_min_fields: Reward_Min_Fields;
    Reward_sum_fields: Reward_Sum_Fields;
    Transaction_aggregate: Transaction_Aggregate;
    Transaction_aggregate_fields: Transaction_Aggregate_Fields;
    Transaction_avg_fields: Transaction_Avg_Fields;
    Transaction_max_fields: Transaction_Max_Fields;
    Transaction_min_fields: Transaction_Min_Fields;
    Transaction_sum_fields: Transaction_Sum_Fields;
    ProtocolParams: ProtocolParams;
    Ada: Ada;
    AssetSupply: AssetSupply;
    Asset_aggregate: Asset_Aggregate;
    Asset_aggregate_fields: Asset_Aggregate_Fields;
    Cardano: Cardano;
    CardanoDbMeta: CardanoDbMeta;
    Percentage: Scalars['Percentage'];
    Epoch_aggregate: Epoch_Aggregate;
    Epoch_aggregate_fields: Epoch_Aggregate_Fields;
    Epoch_avg_fields: Epoch_Avg_Fields;
    Epoch_max_fields: Epoch_Max_Fields;
    Epoch_min_fields: Epoch_Min_Fields;
    Epoch_sum_fields: Epoch_Sum_Fields;
    Genesis: Genesis;
    AlonzoGenesis: AlonzoGenesis;
    ExecutionPrices: ExecutionPrices;
    ExecutionPrice: ExecutionPrice;
    ExecutionUnits: ExecutionUnits;
    ByronGenesis: ByronGenesis;
    Timestamp: Scalars['Timestamp'];
    ByronBlockVersionData: ByronBlockVersionData;
    ByronSoftForkRule: ByronSoftForkRule;
    ByronTxFeePolicy: ByronTxFeePolicy;
    ByronProtocolConsts: ByronProtocolConsts;
    ShelleyGenesis: ShelleyGenesis;
    ShelleyProtocolParams: ShelleyProtocolParams;
    ShelleyGenesisStaking: ShelleyGenesisStaking;
    PaymentAddress: PaymentAddress;
    PaymentAddressSummary: PaymentAddressSummary;
    AssetBalance: AssetBalance;
    Redeemer_order_by: Redeemer_Order_By;
    Redeemer_bool_exp: Redeemer_Bool_Exp;
    Redeemer_aggregate: Redeemer_Aggregate;
    Redeemer_aggregate_fields: Redeemer_Aggregate_Fields;
    Redeemer_avg_fields: Redeemer_Avg_Fields;
    Redeemer_max_fields: Redeemer_Max_Fields;
    Redeemer_min_fields: Redeemer_Min_Fields;
    Redeemer_sum_fields: Redeemer_Sum_Fields;
    Script_order_by: Script_Order_By;
    Script_aggregate: Script_Aggregate;
    Script_aggregate_fields: Script_Aggregate_Fields;
    Script_avg_fields: Script_Avg_Fields;
    Script_max_fields: Script_Max_Fields;
    Script_min_fields: Script_Min_Fields;
    Script_sum_fields: Script_Sum_Fields;
    StakeDeregistration_order_by: StakeDeregistration_Order_By;
    StakeDeregistration_bool_exp: StakeDeregistration_Bool_Exp;
    StakeDeregistration: StakeDeregistration;
    StakeDeregistration_aggregate: StakeDeregistration_Aggregate;
    StakeDeregistration_aggregate_fields: StakeDeregistration_Aggregate_Fields;
    StakePool_aggregate: StakePool_Aggregate;
    StakePool_aggregate_fields: StakePool_Aggregate_Fields;
    StakePool_avg_fields: StakePool_Avg_Fields;
    StakePool_max_fields: StakePool_Max_Fields;
    StakePool_min_fields: StakePool_Min_Fields;
    StakePool_sum_fields: StakePool_Sum_Fields;
    StakeRegistration_order_by: StakeRegistration_Order_By;
    StakeRegistration_bool_exp: StakeRegistration_Bool_Exp;
    StakeRegistration: StakeRegistration;
    StakeRegistration_aggregate: StakeRegistration_Aggregate;
    StakeRegistration_aggregate_fields: StakeRegistration_Aggregate_Fields;
    Mutation: {};
    TransactionSubmitResponse: TransactionSubmitResponse;
    AssetSupply_bool_exp: AssetSupply_Bool_Exp;
    AssetSupply_order_by: AssetSupply_Order_By;
    CollateralInput_aggregate_fields: CollateralInput_Aggregate_Fields;
    CollateralInput_avg_fields: CollateralInput_Avg_Fields;
    CollateralInput_max_fields: CollateralInput_Max_Fields;
    CollateralInput_min_fields: CollateralInput_Min_Fields;
    CollateralInput_sum_fields: CollateralInput_Sum_Fields;
    Percentage_comparison_exp: Percentage_Comparison_Exp;
}>;
export declare type ActiveStakeResolvers<ContextType = any, ParentType extends ResolversParentTypes['ActiveStake'] = ResolversParentTypes['ActiveStake']> = ResolversObject<{
    address?: Resolver<ResolversTypes['StakeAddress'], ParentType, ContextType>;
    amount?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    epoch?: Resolver<Maybe<ResolversTypes['Epoch']>, ParentType, ContextType>;
    epochNo?: Resolver<ResolversTypes['Int'], ParentType, ContextType>;
    stakePoolHash?: Resolver<ResolversTypes['Hash28Hex'], ParentType, ContextType>;
    stakePoolId?: Resolver<ResolversTypes['StakePoolID'], ParentType, ContextType>;
    registeredWith?: Resolver<ResolversTypes['StakePool'], ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type ActiveStake_AggregateResolvers<ContextType = any, ParentType extends ResolversParentTypes['ActiveStake_aggregate'] = ResolversParentTypes['ActiveStake_aggregate']> = ResolversObject<{
    aggregate?: Resolver<Maybe<ResolversTypes['ActiveStake_aggregate_fields']>, ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type ActiveStake_Aggregate_FieldsResolvers<ContextType = any, ParentType extends ResolversParentTypes['ActiveStake_aggregate_fields'] = ResolversParentTypes['ActiveStake_aggregate_fields']> = ResolversObject<{
    avg?: Resolver<ResolversTypes['ActiveStake_avg_fields'], ParentType, ContextType>;
    count?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    max?: Resolver<ResolversTypes['ActiveStake_max_fields'], ParentType, ContextType>;
    min?: Resolver<ResolversTypes['ActiveStake_min_fields'], ParentType, ContextType>;
    sum?: Resolver<ResolversTypes['ActiveStake_sum_fields'], ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type ActiveStake_Avg_FieldsResolvers<ContextType = any, ParentType extends ResolversParentTypes['ActiveStake_avg_fields'] = ResolversParentTypes['ActiveStake_avg_fields']> = ResolversObject<{
    amount?: Resolver<Maybe<ResolversTypes['Float']>, ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type ActiveStake_Max_FieldsResolvers<ContextType = any, ParentType extends ResolversParentTypes['ActiveStake_max_fields'] = ResolversParentTypes['ActiveStake_max_fields']> = ResolversObject<{
    amount?: Resolver<Maybe<ResolversTypes['String']>, ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type ActiveStake_Min_FieldsResolvers<ContextType = any, ParentType extends ResolversParentTypes['ActiveStake_min_fields'] = ResolversParentTypes['ActiveStake_min_fields']> = ResolversObject<{
    amount?: Resolver<Maybe<ResolversTypes['String']>, ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type ActiveStake_Sum_FieldsResolvers<ContextType = any, ParentType extends ResolversParentTypes['ActiveStake_sum_fields'] = ResolversParentTypes['ActiveStake_sum_fields']> = ResolversObject<{
    amount?: Resolver<Maybe<ResolversTypes['String']>, ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type AdaResolvers<ContextType = any, ParentType extends ResolversParentTypes['Ada'] = ResolversParentTypes['Ada']> = ResolversObject<{
    supply?: Resolver<ResolversTypes['AssetSupply'], ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type AdaPotsResolvers<ContextType = any, ParentType extends ResolversParentTypes['AdaPots'] = ResolversParentTypes['AdaPots']> = ResolversObject<{
    deposits?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    fees?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    reserves?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    rewards?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    slotNo?: Resolver<ResolversTypes['Int'], ParentType, ContextType>;
    treasury?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    utxo?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type AlonzoGenesisResolvers<ContextType = any, ParentType extends ResolversParentTypes['AlonzoGenesis'] = ResolversParentTypes['AlonzoGenesis']> = ResolversObject<{
    lovelacePerUTxOWord?: Resolver<ResolversTypes['Int'], ParentType, ContextType>;
    executionPrices?: Resolver<ResolversTypes['ExecutionPrices'], ParentType, ContextType>;
    maxTxExUnits?: Resolver<ResolversTypes['ExecutionUnits'], ParentType, ContextType>;
    maxBlockExUnits?: Resolver<ResolversTypes['ExecutionUnits'], ParentType, ContextType>;
    maxValueSize?: Resolver<ResolversTypes['Int'], ParentType, ContextType>;
    collateralPercentage?: Resolver<ResolversTypes['Int'], ParentType, ContextType>;
    maxCollateralInputs?: Resolver<ResolversTypes['Int'], ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type AssetResolvers<ContextType = any, ParentType extends ResolversParentTypes['Asset'] = ResolversParentTypes['Asset']> = ResolversObject<{
    assetId?: Resolver<ResolversTypes['Hex'], ParentType, ContextType>;
    assetName?: Resolver<Maybe<ResolversTypes['Hex']>, ParentType, ContextType>;
    decimals?: Resolver<Maybe<ResolversTypes['Int']>, ParentType, ContextType>;
    description?: Resolver<Maybe<ResolversTypes['String']>, ParentType, ContextType>;
    fingerprint?: Resolver<Maybe<ResolversTypes['AssetFingerprint']>, ParentType, ContextType>;
    logo?: Resolver<Maybe<ResolversTypes['String']>, ParentType, ContextType>;
    metadataHash?: Resolver<Maybe<ResolversTypes['String']>, ParentType, ContextType>;
    tokenMints?: Resolver<Array<Maybe<ResolversTypes['TokenMint']>>, ParentType, ContextType, RequireFields<AssetTokenMintsArgs, never>>;
    tokenMints_aggregate?: Resolver<ResolversTypes['TokenMint_aggregate'], ParentType, ContextType, RequireFields<AssetTokenMints_AggregateArgs, never>>;
    name?: Resolver<Maybe<ResolversTypes['String']>, ParentType, ContextType>;
    policyId?: Resolver<ResolversTypes['Hash28Hex'], ParentType, ContextType>;
    ticker?: Resolver<Maybe<ResolversTypes['String']>, ParentType, ContextType>;
    url?: Resolver<Maybe<ResolversTypes['String']>, ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type Asset_AggregateResolvers<ContextType = any, ParentType extends ResolversParentTypes['Asset_aggregate'] = ResolversParentTypes['Asset_aggregate']> = ResolversObject<{
    aggregate?: Resolver<Maybe<ResolversTypes['Asset_aggregate_fields']>, ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type Asset_Aggregate_FieldsResolvers<ContextType = any, ParentType extends ResolversParentTypes['Asset_aggregate_fields'] = ResolversParentTypes['Asset_aggregate_fields']> = ResolversObject<{
    count?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type AssetBalanceResolvers<ContextType = any, ParentType extends ResolversParentTypes['AssetBalance'] = ResolversParentTypes['AssetBalance']> = ResolversObject<{
    asset?: Resolver<ResolversTypes['Asset'], ParentType, ContextType>;
    quantity?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export interface AssetFingerprintScalarConfig extends GraphQLScalarTypeConfig<ResolversTypes['AssetFingerprint'], any> {
    name: 'AssetFingerprint';
}
export declare type AssetSupplyResolvers<ContextType = any, ParentType extends ResolversParentTypes['AssetSupply'] = ResolversParentTypes['AssetSupply']> = ResolversObject<{
    circulating?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    max?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    total?: Resolver<Maybe<ResolversTypes['String']>, ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export interface BigIntScalarConfig extends GraphQLScalarTypeConfig<ResolversTypes['BigInt'], any> {
    name: 'BigInt';
}
export declare type BlockResolvers<ContextType = any, ParentType extends ResolversParentTypes['Block'] = ResolversParentTypes['Block']> = ResolversObject<{
    epoch?: Resolver<Maybe<ResolversTypes['Epoch']>, ParentType, ContextType>;
    epochNo?: Resolver<Maybe<ResolversTypes['Int']>, ParentType, ContextType>;
    fees?: Resolver<ResolversTypes['BigInt'], ParentType, ContextType>;
    forgedAt?: Resolver<ResolversTypes['DateTime'], ParentType, ContextType>;
    slotLeader?: Resolver<ResolversTypes['SlotLeader'], ParentType, ContextType>;
    hash?: Resolver<ResolversTypes['Hash32Hex'], ParentType, ContextType>;
    number?: Resolver<Maybe<ResolversTypes['Int']>, ParentType, ContextType>;
    opCert?: Resolver<Maybe<ResolversTypes['Hash32Hex']>, ParentType, ContextType>;
    slotInEpoch?: Resolver<Maybe<ResolversTypes['Int']>, ParentType, ContextType>;
    slotNo?: Resolver<Maybe<ResolversTypes['Int']>, ParentType, ContextType>;
    previousBlock?: Resolver<Maybe<ResolversTypes['Block']>, ParentType, ContextType>;
    protocolVersion?: Resolver<Maybe<ResolversTypes['JSONObject']>, ParentType, ContextType>;
    nextBlock?: Resolver<Maybe<ResolversTypes['Block']>, ParentType, ContextType>;
    size?: Resolver<ResolversTypes['BigInt'], ParentType, ContextType>;
    transactions?: Resolver<Array<Maybe<ResolversTypes['Transaction']>>, ParentType, ContextType, RequireFields<BlockTransactionsArgs, never>>;
    transactions_aggregate?: Resolver<ResolversTypes['Transaction_aggregate'], ParentType, ContextType, RequireFields<BlockTransactions_AggregateArgs, never>>;
    transactionsCount?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    vrfKey?: Resolver<Maybe<ResolversTypes['VRFVerificationKey']>, ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type Block_AggregateResolvers<ContextType = any, ParentType extends ResolversParentTypes['Block_aggregate'] = ResolversParentTypes['Block_aggregate']> = ResolversObject<{
    aggregate?: Resolver<Maybe<ResolversTypes['Block_aggregate_fields']>, ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type Block_Aggregate_FieldsResolvers<ContextType = any, ParentType extends ResolversParentTypes['Block_aggregate_fields'] = ResolversParentTypes['Block_aggregate_fields']> = ResolversObject<{
    avg?: Resolver<ResolversTypes['Block_avg_fields'], ParentType, ContextType>;
    count?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    max?: Resolver<ResolversTypes['Block_max_fields'], ParentType, ContextType>;
    min?: Resolver<ResolversTypes['Block_min_fields'], ParentType, ContextType>;
    sum?: Resolver<ResolversTypes['Block_sum_fields'], ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type Block_Avg_FieldsResolvers<ContextType = any, ParentType extends ResolversParentTypes['Block_avg_fields'] = ResolversParentTypes['Block_avg_fields']> = ResolversObject<{
    fees?: Resolver<Maybe<ResolversTypes['Float']>, ParentType, ContextType>;
    size?: Resolver<Maybe<ResolversTypes['Float']>, ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type Block_Max_FieldsResolvers<ContextType = any, ParentType extends ResolversParentTypes['Block_max_fields'] = ResolversParentTypes['Block_max_fields']> = ResolversObject<{
    fees?: Resolver<Maybe<ResolversTypes['String']>, ParentType, ContextType>;
    size?: Resolver<Maybe<ResolversTypes['String']>, ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type Block_Min_FieldsResolvers<ContextType = any, ParentType extends ResolversParentTypes['Block_min_fields'] = ResolversParentTypes['Block_min_fields']> = ResolversObject<{
    fees?: Resolver<Maybe<ResolversTypes['String']>, ParentType, ContextType>;
    size?: Resolver<Maybe<ResolversTypes['String']>, ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type Block_Sum_FieldsResolvers<ContextType = any, ParentType extends ResolversParentTypes['Block_sum_fields'] = ResolversParentTypes['Block_sum_fields']> = ResolversObject<{
    fees?: Resolver<Maybe<ResolversTypes['String']>, ParentType, ContextType>;
    size?: Resolver<Maybe<ResolversTypes['String']>, ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type ByronBlockVersionDataResolvers<ContextType = any, ParentType extends ResolversParentTypes['ByronBlockVersionData'] = ResolversParentTypes['ByronBlockVersionData']> = ResolversObject<{
    scriptVersion?: Resolver<ResolversTypes['Int'], ParentType, ContextType>;
    slotDuration?: Resolver<ResolversTypes['Int'], ParentType, ContextType>;
    maxBlockSize?: Resolver<ResolversTypes['Int'], ParentType, ContextType>;
    maxHeaderSize?: Resolver<ResolversTypes['Int'], ParentType, ContextType>;
    maxTxSize?: Resolver<ResolversTypes['Int'], ParentType, ContextType>;
    maxProposalSize?: Resolver<ResolversTypes['Int'], ParentType, ContextType>;
    mpcThd?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    heavyDelThd?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    updateVoteThd?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    updateProposalThd?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    updateImplicit?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    softforkRule?: Resolver<ResolversTypes['ByronSoftForkRule'], ParentType, ContextType>;
    txFeePolicy?: Resolver<ResolversTypes['ByronTxFeePolicy'], ParentType, ContextType>;
    unlockStakeEpoch?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type ByronGenesisResolvers<ContextType = any, ParentType extends ResolversParentTypes['ByronGenesis'] = ResolversParentTypes['ByronGenesis']> = ResolversObject<{
    bootStakeholders?: Resolver<ResolversTypes['JSONObject'], ParentType, ContextType>;
    heavyDelegation?: Resolver<ResolversTypes['JSONObject'], ParentType, ContextType>;
    startTime?: Resolver<ResolversTypes['Timestamp'], ParentType, ContextType>;
    nonAvvmBalances?: Resolver<ResolversTypes['JSONObject'], ParentType, ContextType>;
    blockVersionData?: Resolver<ResolversTypes['ByronBlockVersionData'], ParentType, ContextType>;
    protocolConsts?: Resolver<ResolversTypes['ByronProtocolConsts'], ParentType, ContextType>;
    avvmDistr?: Resolver<ResolversTypes['JSONObject'], ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type ByronProtocolConstsResolvers<ContextType = any, ParentType extends ResolversParentTypes['ByronProtocolConsts'] = ResolversParentTypes['ByronProtocolConsts']> = ResolversObject<{
    k?: Resolver<ResolversTypes['Int'], ParentType, ContextType>;
    protocolMagic?: Resolver<Maybe<ResolversTypes['Int']>, ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type ByronSoftForkRuleResolvers<ContextType = any, ParentType extends ResolversParentTypes['ByronSoftForkRule'] = ResolversParentTypes['ByronSoftForkRule']> = ResolversObject<{
    initThd?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    minThd?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    thdDecrement?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type ByronTxFeePolicyResolvers<ContextType = any, ParentType extends ResolversParentTypes['ByronTxFeePolicy'] = ResolversParentTypes['ByronTxFeePolicy']> = ResolversObject<{
    summand?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    multiplier?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type CardanoResolvers<ContextType = any, ParentType extends ResolversParentTypes['Cardano'] = ResolversParentTypes['Cardano']> = ResolversObject<{
    tip?: Resolver<ResolversTypes['Block'], ParentType, ContextType>;
    currentEpoch?: Resolver<ResolversTypes['Epoch'], ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type CardanoDbMetaResolvers<ContextType = any, ParentType extends ResolversParentTypes['CardanoDbMeta'] = ResolversParentTypes['CardanoDbMeta']> = ResolversObject<{
    initialized?: Resolver<ResolversTypes['Boolean'], ParentType, ContextType>;
    syncPercentage?: Resolver<ResolversTypes['Percentage'], ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type CollateralInputResolvers<ContextType = any, ParentType extends ResolversParentTypes['CollateralInput'] = ResolversParentTypes['CollateralInput']> = ResolversObject<{
    address?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    sourceTransaction?: Resolver<ResolversTypes['Transaction'], ParentType, ContextType>;
    sourceTxHash?: Resolver<ResolversTypes['Hash32Hex'], ParentType, ContextType>;
    sourceTxIndex?: Resolver<ResolversTypes['Int'], ParentType, ContextType>;
    tokens?: Resolver<Array<Maybe<ResolversTypes['Token']>>, ParentType, ContextType>;
    tokens_aggregate?: Resolver<ResolversTypes['Token_aggregate'], ParentType, ContextType>;
    transaction?: Resolver<ResolversTypes['Transaction'], ParentType, ContextType>;
    txHash?: Resolver<ResolversTypes['Hash32Hex'], ParentType, ContextType>;
    value?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type CollateralInput_AggregateResolvers<ContextType = any, ParentType extends ResolversParentTypes['CollateralInput_aggregate'] = ResolversParentTypes['CollateralInput_aggregate']> = ResolversObject<{
    aggregate?: Resolver<Maybe<ResolversTypes['TransactionInput_aggregate_fields']>, ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type CollateralInput_Aggregate_FieldsResolvers<ContextType = any, ParentType extends ResolversParentTypes['CollateralInput_aggregate_fields'] = ResolversParentTypes['CollateralInput_aggregate_fields']> = ResolversObject<{
    avg?: Resolver<ResolversTypes['CollateralInput_avg_fields'], ParentType, ContextType>;
    count?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    max?: Resolver<ResolversTypes['CollateralInput_max_fields'], ParentType, ContextType>;
    min?: Resolver<ResolversTypes['CollateralInput_min_fields'], ParentType, ContextType>;
    sum?: Resolver<ResolversTypes['CollateralInput_sum_fields'], ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type CollateralInput_Avg_FieldsResolvers<ContextType = any, ParentType extends ResolversParentTypes['CollateralInput_avg_fields'] = ResolversParentTypes['CollateralInput_avg_fields']> = ResolversObject<{
    tokens?: Resolver<Maybe<ResolversTypes['Token_avg_fields']>, ParentType, ContextType>;
    value?: Resolver<Maybe<ResolversTypes['String']>, ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type CollateralInput_Max_FieldsResolvers<ContextType = any, ParentType extends ResolversParentTypes['CollateralInput_max_fields'] = ResolversParentTypes['CollateralInput_max_fields']> = ResolversObject<{
    tokens?: Resolver<Maybe<ResolversTypes['Token_max_fields']>, ParentType, ContextType>;
    value?: Resolver<Maybe<ResolversTypes['String']>, ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type CollateralInput_Min_FieldsResolvers<ContextType = any, ParentType extends ResolversParentTypes['CollateralInput_min_fields'] = ResolversParentTypes['CollateralInput_min_fields']> = ResolversObject<{
    tokens?: Resolver<Maybe<ResolversTypes['Token_min_fields']>, ParentType, ContextType>;
    value?: Resolver<Maybe<ResolversTypes['String']>, ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type CollateralInput_Sum_FieldsResolvers<ContextType = any, ParentType extends ResolversParentTypes['CollateralInput_sum_fields'] = ResolversParentTypes['CollateralInput_sum_fields']> = ResolversObject<{
    tokens?: Resolver<Maybe<ResolversTypes['Token_sum_fields']>, ParentType, ContextType>;
    value?: Resolver<Maybe<ResolversTypes['String']>, ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type CollateralOutputResolvers<ContextType = any, ParentType extends ResolversParentTypes['CollateralOutput'] = ResolversParentTypes['CollateralOutput']> = ResolversObject<{
    address?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    addressHasScript?: Resolver<ResolversTypes['Boolean'], ParentType, ContextType>;
    datum?: Resolver<Maybe<ResolversTypes['Datum']>, ParentType, ContextType>;
    index?: Resolver<ResolversTypes['Int'], ParentType, ContextType>;
    paymentCredential?: Resolver<Maybe<ResolversTypes['Hash28Hex']>, ParentType, ContextType>;
    script?: Resolver<Maybe<ResolversTypes['Script']>, ParentType, ContextType>;
    transaction?: Resolver<ResolversTypes['Transaction'], ParentType, ContextType>;
    txHash?: Resolver<ResolversTypes['Hash32Hex'], ParentType, ContextType>;
    value?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type CollateralOutput_AggregateResolvers<ContextType = any, ParentType extends ResolversParentTypes['CollateralOutput_aggregate'] = ResolversParentTypes['CollateralOutput_aggregate']> = ResolversObject<{
    aggregate?: Resolver<Maybe<ResolversTypes['CollateralOutput_aggregate_fields']>, ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type CollateralOutput_Aggregate_FieldsResolvers<ContextType = any, ParentType extends ResolversParentTypes['CollateralOutput_aggregate_fields'] = ResolversParentTypes['CollateralOutput_aggregate_fields']> = ResolversObject<{
    avg?: Resolver<ResolversTypes['CollateralOutput_avg_fields'], ParentType, ContextType>;
    count?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    max?: Resolver<ResolversTypes['CollateralOutput_max_fields'], ParentType, ContextType>;
    min?: Resolver<ResolversTypes['CollateralOutput_min_fields'], ParentType, ContextType>;
    sum?: Resolver<ResolversTypes['CollateralOutput_sum_fields'], ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type CollateralOutput_Avg_FieldsResolvers<ContextType = any, ParentType extends ResolversParentTypes['CollateralOutput_avg_fields'] = ResolversParentTypes['CollateralOutput_avg_fields']> = ResolversObject<{
    value?: Resolver<Maybe<ResolversTypes['String']>, ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type CollateralOutput_Max_FieldsResolvers<ContextType = any, ParentType extends ResolversParentTypes['CollateralOutput_max_fields'] = ResolversParentTypes['CollateralOutput_max_fields']> = ResolversObject<{
    value?: Resolver<Maybe<ResolversTypes['String']>, ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type CollateralOutput_Min_FieldsResolvers<ContextType = any, ParentType extends ResolversParentTypes['CollateralOutput_min_fields'] = ResolversParentTypes['CollateralOutput_min_fields']> = ResolversObject<{
    value?: Resolver<Maybe<ResolversTypes['String']>, ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type CollateralOutput_Sum_FieldsResolvers<ContextType = any, ParentType extends ResolversParentTypes['CollateralOutput_sum_fields'] = ResolversParentTypes['CollateralOutput_sum_fields']> = ResolversObject<{
    value?: Resolver<Maybe<ResolversTypes['String']>, ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export interface DateTimeScalarConfig extends GraphQLScalarTypeConfig<ResolversTypes['DateTime'], any> {
    name: 'DateTime';
}
export declare type DatumResolvers<ContextType = any, ParentType extends ResolversParentTypes['Datum'] = ResolversParentTypes['Datum']> = ResolversObject<{
    bytes?: Resolver<ResolversTypes['Hex'], ParentType, ContextType>;
    hash?: Resolver<ResolversTypes['Hash32Hex'], ParentType, ContextType>;
    firstIncludedIn?: Resolver<ResolversTypes['Transaction'], ParentType, ContextType>;
    value?: Resolver<ResolversTypes['JSONObject'], ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type DelegationResolvers<ContextType = any, ParentType extends ResolversParentTypes['Delegation'] = ResolversParentTypes['Delegation']> = ResolversObject<{
    address?: Resolver<ResolversTypes['StakeAddress'], ParentType, ContextType>;
    redeemer?: Resolver<Maybe<ResolversTypes['Redeemer']>, ParentType, ContextType>;
    stakePool?: Resolver<ResolversTypes['StakePool'], ParentType, ContextType>;
    stakePoolHash?: Resolver<ResolversTypes['Hash28Hex'], ParentType, ContextType>;
    stakePoolId?: Resolver<ResolversTypes['StakePoolID'], ParentType, ContextType>;
    transaction?: Resolver<Maybe<ResolversTypes['Transaction']>, ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type Delegation_AggregateResolvers<ContextType = any, ParentType extends ResolversParentTypes['Delegation_aggregate'] = ResolversParentTypes['Delegation_aggregate']> = ResolversObject<{
    aggregate?: Resolver<Maybe<ResolversTypes['Delegation_aggregate_fields']>, ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type Delegation_Aggregate_FieldsResolvers<ContextType = any, ParentType extends ResolversParentTypes['Delegation_aggregate_fields'] = ResolversParentTypes['Delegation_aggregate_fields']> = ResolversObject<{
    count?: Resolver<Maybe<ResolversTypes['String']>, ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type EpochResolvers<ContextType = any, ParentType extends ResolversParentTypes['Epoch'] = ResolversParentTypes['Epoch']> = ResolversObject<{
    activeStake?: Resolver<Maybe<Array<Maybe<ResolversTypes['ActiveStake']>>>, ParentType, ContextType>;
    activeStake_aggregate?: Resolver<Maybe<ResolversTypes['ActiveStake_aggregate']>, ParentType, ContextType>;
    adaPots?: Resolver<Maybe<ResolversTypes['AdaPots']>, ParentType, ContextType>;
    blocks?: Resolver<Array<ResolversTypes['Block']>, ParentType, ContextType, RequireFields<EpochBlocksArgs, never>>;
    blocks_aggregate?: Resolver<ResolversTypes['Block_aggregate'], ParentType, ContextType, RequireFields<EpochBlocks_AggregateArgs, never>>;
    blocksCount?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    fees?: Resolver<ResolversTypes['BigInt'], ParentType, ContextType>;
    output?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    nonce?: Resolver<Maybe<ResolversTypes['Hash32Hex']>, ParentType, ContextType>;
    number?: Resolver<ResolversTypes['Int'], ParentType, ContextType>;
    protocolParams?: Resolver<Maybe<ResolversTypes['ProtocolParams']>, ParentType, ContextType>;
    transactionsCount?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    startedAt?: Resolver<ResolversTypes['DateTime'], ParentType, ContextType>;
    lastBlockTime?: Resolver<ResolversTypes['DateTime'], ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type Epoch_AggregateResolvers<ContextType = any, ParentType extends ResolversParentTypes['Epoch_aggregate'] = ResolversParentTypes['Epoch_aggregate']> = ResolversObject<{
    aggregate?: Resolver<ResolversTypes['Epoch_aggregate_fields'], ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type Epoch_Aggregate_FieldsResolvers<ContextType = any, ParentType extends ResolversParentTypes['Epoch_aggregate_fields'] = ResolversParentTypes['Epoch_aggregate_fields']> = ResolversObject<{
    avg?: Resolver<ResolversTypes['Epoch_avg_fields'], ParentType, ContextType>;
    count?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    max?: Resolver<ResolversTypes['Epoch_max_fields'], ParentType, ContextType>;
    min?: Resolver<ResolversTypes['Epoch_min_fields'], ParentType, ContextType>;
    sum?: Resolver<ResolversTypes['Epoch_sum_fields'], ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type Epoch_Avg_FieldsResolvers<ContextType = any, ParentType extends ResolversParentTypes['Epoch_avg_fields'] = ResolversParentTypes['Epoch_avg_fields']> = ResolversObject<{
    fees?: Resolver<ResolversTypes['Float'], ParentType, ContextType>;
    output?: Resolver<ResolversTypes['Float'], ParentType, ContextType>;
    transactionsCount?: Resolver<ResolversTypes['Float'], ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type Epoch_Max_FieldsResolvers<ContextType = any, ParentType extends ResolversParentTypes['Epoch_max_fields'] = ResolversParentTypes['Epoch_max_fields']> = ResolversObject<{
    blocksCount?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    fees?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    number?: Resolver<ResolversTypes['Int'], ParentType, ContextType>;
    output?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    transactionsCount?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type Epoch_Min_FieldsResolvers<ContextType = any, ParentType extends ResolversParentTypes['Epoch_min_fields'] = ResolversParentTypes['Epoch_min_fields']> = ResolversObject<{
    blocksCount?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    fees?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    output?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    transactionsCount?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type Epoch_Sum_FieldsResolvers<ContextType = any, ParentType extends ResolversParentTypes['Epoch_sum_fields'] = ResolversParentTypes['Epoch_sum_fields']> = ResolversObject<{
    blocksCount?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    fees?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    output?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    transactionsCount?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type ExecutionPriceResolvers<ContextType = any, ParentType extends ResolversParentTypes['ExecutionPrice'] = ResolversParentTypes['ExecutionPrice']> = ResolversObject<{
    numerator?: Resolver<ResolversTypes['Int'], ParentType, ContextType>;
    denominator?: Resolver<ResolversTypes['Int'], ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type ExecutionPricesResolvers<ContextType = any, ParentType extends ResolversParentTypes['ExecutionPrices'] = ResolversParentTypes['ExecutionPrices']> = ResolversObject<{
    prSteps?: Resolver<ResolversTypes['ExecutionPrice'], ParentType, ContextType>;
    prMem?: Resolver<ResolversTypes['ExecutionPrice'], ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type ExecutionUnitsResolvers<ContextType = any, ParentType extends ResolversParentTypes['ExecutionUnits'] = ResolversParentTypes['ExecutionUnits']> = ResolversObject<{
    exUnitsMem?: Resolver<ResolversTypes['BigInt'], ParentType, ContextType>;
    exUnitsSteps?: Resolver<ResolversTypes['BigInt'], ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type GenesisResolvers<ContextType = any, ParentType extends ResolversParentTypes['Genesis'] = ResolversParentTypes['Genesis']> = ResolversObject<{
    alonzo?: Resolver<Maybe<ResolversTypes['AlonzoGenesis']>, ParentType, ContextType>;
    byron?: Resolver<Maybe<ResolversTypes['ByronGenesis']>, ParentType, ContextType>;
    shelley?: Resolver<Maybe<ResolversTypes['ShelleyGenesis']>, ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export interface Hash28HexScalarConfig extends GraphQLScalarTypeConfig<ResolversTypes['Hash28Hex'], any> {
    name: 'Hash28Hex';
}
export interface Hash32HexScalarConfig extends GraphQLScalarTypeConfig<ResolversTypes['Hash32Hex'], any> {
    name: 'Hash32Hex';
}
export interface HexScalarConfig extends GraphQLScalarTypeConfig<ResolversTypes['Hex'], any> {
    name: 'Hex';
}
export interface IPv4ScalarConfig extends GraphQLScalarTypeConfig<ResolversTypes['IPv4'], any> {
    name: 'IPv4';
}
export interface IPv6ScalarConfig extends GraphQLScalarTypeConfig<ResolversTypes['IPv6'], any> {
    name: 'IPv6';
}
export interface JsonScalarConfig extends GraphQLScalarTypeConfig<ResolversTypes['JSON'], any> {
    name: 'JSON';
}
export interface JsonObjectScalarConfig extends GraphQLScalarTypeConfig<ResolversTypes['JSONObject'], any> {
    name: 'JSONObject';
}
export declare type MutationResolvers<ContextType = any, ParentType extends ResolversParentTypes['Mutation'] = ResolversParentTypes['Mutation']> = ResolversObject<{
    submitTransaction?: Resolver<ResolversTypes['TransactionSubmitResponse'], ParentType, ContextType, RequireFields<MutationSubmitTransactionArgs, 'transaction'>>;
}>;
export declare type PaymentAddressResolvers<ContextType = any, ParentType extends ResolversParentTypes['PaymentAddress'] = ResolversParentTypes['PaymentAddress']> = ResolversObject<{
    address?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    summary?: Resolver<Maybe<ResolversTypes['PaymentAddressSummary']>, ParentType, ContextType, RequireFields<PaymentAddressSummaryArgs, never>>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type PaymentAddressSummaryResolvers<ContextType = any, ParentType extends ResolversParentTypes['PaymentAddressSummary'] = ResolversParentTypes['PaymentAddressSummary']> = ResolversObject<{
    assetBalances?: Resolver<Array<Maybe<ResolversTypes['AssetBalance']>>, ParentType, ContextType>;
    utxosCount?: Resolver<ResolversTypes['Int'], ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export interface PercentageScalarConfig extends GraphQLScalarTypeConfig<ResolversTypes['Percentage'], any> {
    name: 'Percentage';
}
export declare type ProtocolParamsResolvers<ContextType = any, ParentType extends ResolversParentTypes['ProtocolParams'] = ResolversParentTypes['ProtocolParams']> = ResolversObject<{
    a0?: Resolver<ResolversTypes['Float'], ParentType, ContextType>;
    coinsPerUtxoByte?: Resolver<Maybe<ResolversTypes['Int']>, ParentType, ContextType>;
    collateralPercent?: Resolver<Maybe<ResolversTypes['Int']>, ParentType, ContextType>;
    costModels?: Resolver<Maybe<ResolversTypes['JSONObject']>, ParentType, ContextType>;
    decentralisationParam?: Resolver<ResolversTypes['Float'], ParentType, ContextType>;
    eMax?: Resolver<ResolversTypes['Int'], ParentType, ContextType>;
    extraEntropy?: Resolver<Maybe<ResolversTypes['JSONObject']>, ParentType, ContextType>;
    keyDeposit?: Resolver<ResolversTypes['Int'], ParentType, ContextType>;
    maxBlockBodySize?: Resolver<ResolversTypes['Int'], ParentType, ContextType>;
    maxBlockExMem?: Resolver<Maybe<ResolversTypes['String']>, ParentType, ContextType>;
    maxBlockExSteps?: Resolver<Maybe<ResolversTypes['String']>, ParentType, ContextType>;
    maxBlockHeaderSize?: Resolver<ResolversTypes['Int'], ParentType, ContextType>;
    maxCollateralInputs?: Resolver<Maybe<ResolversTypes['Int']>, ParentType, ContextType>;
    maxTxExMem?: Resolver<Maybe<ResolversTypes['String']>, ParentType, ContextType>;
    maxTxExSteps?: Resolver<Maybe<ResolversTypes['String']>, ParentType, ContextType>;
    maxTxSize?: Resolver<ResolversTypes['Int'], ParentType, ContextType>;
    maxValSize?: Resolver<Maybe<ResolversTypes['String']>, ParentType, ContextType>;
    minFeeA?: Resolver<ResolversTypes['Int'], ParentType, ContextType>;
    minFeeB?: Resolver<ResolversTypes['Int'], ParentType, ContextType>;
    minPoolCost?: Resolver<ResolversTypes['Int'], ParentType, ContextType>;
    minUTxOValue?: Resolver<ResolversTypes['Int'], ParentType, ContextType>;
    nOpt?: Resolver<ResolversTypes['Int'], ParentType, ContextType>;
    poolDeposit?: Resolver<ResolversTypes['Int'], ParentType, ContextType>;
    priceMem?: Resolver<Maybe<ResolversTypes['Float']>, ParentType, ContextType>;
    priceStep?: Resolver<Maybe<ResolversTypes['Float']>, ParentType, ContextType>;
    protocolVersion?: Resolver<ResolversTypes['JSONObject'], ParentType, ContextType>;
    rho?: Resolver<ResolversTypes['Float'], ParentType, ContextType>;
    tau?: Resolver<ResolversTypes['Float'], ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type QueryResolvers<ContextType = any, ParentType extends ResolversParentTypes['Query'] = ResolversParentTypes['Query']> = ResolversObject<{
    activeStake?: Resolver<Array<Maybe<ResolversTypes['ActiveStake']>>, ParentType, ContextType, RequireFields<QueryActiveStakeArgs, never>>;
    activeStake_aggregate?: Resolver<ResolversTypes['ActiveStake_aggregate'], ParentType, ContextType, RequireFields<QueryActiveStake_AggregateArgs, never>>;
    ada?: Resolver<ResolversTypes['Ada'], ParentType, ContextType>;
    assets?: Resolver<Array<Maybe<ResolversTypes['Asset']>>, ParentType, ContextType, RequireFields<QueryAssetsArgs, never>>;
    assets_aggregate?: Resolver<ResolversTypes['Asset_aggregate'], ParentType, ContextType, RequireFields<QueryAssets_AggregateArgs, never>>;
    blocks?: Resolver<Array<Maybe<ResolversTypes['Block']>>, ParentType, ContextType, RequireFields<QueryBlocksArgs, never>>;
    blocks_aggregate?: Resolver<ResolversTypes['Block_aggregate'], ParentType, ContextType, RequireFields<QueryBlocks_AggregateArgs, never>>;
    cardano?: Resolver<ResolversTypes['Cardano'], ParentType, ContextType>;
    cardanoDbMeta?: Resolver<ResolversTypes['CardanoDbMeta'], ParentType, ContextType>;
    collateralInputs?: Resolver<Array<Maybe<ResolversTypes['CollateralInput']>>, ParentType, ContextType, RequireFields<QueryCollateralInputsArgs, never>>;
    collateralInputs_aggregate?: Resolver<ResolversTypes['CollateralInput_aggregate'], ParentType, ContextType, RequireFields<QueryCollateralInputs_AggregateArgs, never>>;
    collateralOutputs?: Resolver<Array<Maybe<ResolversTypes['CollateralOutput']>>, ParentType, ContextType, RequireFields<QueryCollateralOutputsArgs, never>>;
    collateralOutputs_aggregate?: Resolver<ResolversTypes['CollateralOutput_aggregate'], ParentType, ContextType, RequireFields<QueryCollateralOutputs_AggregateArgs, never>>;
    delegations?: Resolver<Maybe<Array<Maybe<ResolversTypes['Delegation']>>>, ParentType, ContextType, RequireFields<QueryDelegationsArgs, never>>;
    delegations_aggregate?: Resolver<Maybe<ResolversTypes['Delegation_aggregate']>, ParentType, ContextType, RequireFields<QueryDelegations_AggregateArgs, never>>;
    epochs?: Resolver<Array<Maybe<ResolversTypes['Epoch']>>, ParentType, ContextType, RequireFields<QueryEpochsArgs, never>>;
    epochs_aggregate?: Resolver<ResolversTypes['Epoch_aggregate'], ParentType, ContextType, RequireFields<QueryEpochs_AggregateArgs, never>>;
    genesis?: Resolver<ResolversTypes['Genesis'], ParentType, ContextType>;
    paymentAddresses?: Resolver<Maybe<Array<Maybe<ResolversTypes['PaymentAddress']>>>, ParentType, ContextType, RequireFields<QueryPaymentAddressesArgs, 'addresses'>>;
    redeemers?: Resolver<Array<Maybe<ResolversTypes['Redeemer']>>, ParentType, ContextType, RequireFields<QueryRedeemersArgs, never>>;
    redeemers_aggregate?: Resolver<ResolversTypes['Redeemer_aggregate'], ParentType, ContextType, RequireFields<QueryRedeemers_AggregateArgs, never>>;
    rewards?: Resolver<Array<Maybe<ResolversTypes['Reward']>>, ParentType, ContextType, RequireFields<QueryRewardsArgs, never>>;
    rewards_aggregate?: Resolver<ResolversTypes['Reward_aggregate'], ParentType, ContextType, RequireFields<QueryRewards_AggregateArgs, never>>;
    scripts?: Resolver<Array<Maybe<ResolversTypes['Script']>>, ParentType, ContextType, RequireFields<QueryScriptsArgs, never>>;
    scripts_aggregate?: Resolver<ResolversTypes['Script_aggregate'], ParentType, ContextType, RequireFields<QueryScripts_AggregateArgs, never>>;
    stakeDeregistrations?: Resolver<Maybe<Array<Maybe<ResolversTypes['StakeDeregistration']>>>, ParentType, ContextType, RequireFields<QueryStakeDeregistrationsArgs, never>>;
    stakeDeregistrations_aggregate?: Resolver<Maybe<ResolversTypes['StakeDeregistration_aggregate']>, ParentType, ContextType, RequireFields<QueryStakeDeregistrations_AggregateArgs, never>>;
    stakePools?: Resolver<Maybe<Array<Maybe<ResolversTypes['StakePool']>>>, ParentType, ContextType, RequireFields<QueryStakePoolsArgs, never>>;
    stakePools_aggregate?: Resolver<Maybe<ResolversTypes['StakePool_aggregate']>, ParentType, ContextType, RequireFields<QueryStakePools_AggregateArgs, never>>;
    stakeRegistrations?: Resolver<Maybe<Array<Maybe<ResolversTypes['StakeRegistration']>>>, ParentType, ContextType, RequireFields<QueryStakeRegistrationsArgs, never>>;
    stakeRegistrations_aggregate?: Resolver<Maybe<ResolversTypes['StakeRegistration_aggregate']>, ParentType, ContextType, RequireFields<QueryStakeRegistrations_AggregateArgs, never>>;
    tokenMints?: Resolver<Array<Maybe<ResolversTypes['TokenMint']>>, ParentType, ContextType, RequireFields<QueryTokenMintsArgs, never>>;
    tokenMints_aggregate?: Resolver<ResolversTypes['TokenMint_aggregate'], ParentType, ContextType, RequireFields<QueryTokenMints_AggregateArgs, never>>;
    transactions?: Resolver<Array<Maybe<ResolversTypes['Transaction']>>, ParentType, ContextType, RequireFields<QueryTransactionsArgs, never>>;
    transactions_aggregate?: Resolver<ResolversTypes['Transaction_aggregate'], ParentType, ContextType, RequireFields<QueryTransactions_AggregateArgs, never>>;
    utxos?: Resolver<Array<Maybe<ResolversTypes['TransactionOutput']>>, ParentType, ContextType, RequireFields<QueryUtxosArgs, never>>;
    utxos_aggregate?: Resolver<ResolversTypes['TransactionOutput_aggregate'], ParentType, ContextType, RequireFields<QueryUtxos_AggregateArgs, never>>;
    withdrawals?: Resolver<Array<Maybe<ResolversTypes['Withdrawal']>>, ParentType, ContextType, RequireFields<QueryWithdrawalsArgs, never>>;
    withdrawals_aggregate?: Resolver<Maybe<ResolversTypes['Withdrawal_aggregate']>, ParentType, ContextType, RequireFields<QueryWithdrawals_AggregateArgs, never>>;
}>;
export declare type RedeemerResolvers<ContextType = any, ParentType extends ResolversParentTypes['Redeemer'] = ResolversParentTypes['Redeemer']> = ResolversObject<{
    datum?: Resolver<Maybe<ResolversTypes['Datum']>, ParentType, ContextType>;
    fee?: Resolver<Maybe<ResolversTypes['BigInt']>, ParentType, ContextType>;
    index?: Resolver<ResolversTypes['Int'], ParentType, ContextType>;
    purpose?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    scriptHash?: Resolver<ResolversTypes['Hash28Hex'], ParentType, ContextType>;
    transaction?: Resolver<ResolversTypes['Transaction'], ParentType, ContextType>;
    unitMem?: Resolver<ResolversTypes['BigInt'], ParentType, ContextType>;
    unitSteps?: Resolver<ResolversTypes['BigInt'], ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type Redeemer_AggregateResolvers<ContextType = any, ParentType extends ResolversParentTypes['Redeemer_aggregate'] = ResolversParentTypes['Redeemer_aggregate']> = ResolversObject<{
    aggregate?: Resolver<Maybe<ResolversTypes['Redeemer_aggregate_fields']>, ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type Redeemer_Aggregate_FieldsResolvers<ContextType = any, ParentType extends ResolversParentTypes['Redeemer_aggregate_fields'] = ResolversParentTypes['Redeemer_aggregate_fields']> = ResolversObject<{
    avg?: Resolver<ResolversTypes['Redeemer_avg_fields'], ParentType, ContextType>;
    count?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    max?: Resolver<ResolversTypes['Redeemer_max_fields'], ParentType, ContextType>;
    min?: Resolver<ResolversTypes['Redeemer_min_fields'], ParentType, ContextType>;
    sum?: Resolver<ResolversTypes['Redeemer_sum_fields'], ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type Redeemer_Avg_FieldsResolvers<ContextType = any, ParentType extends ResolversParentTypes['Redeemer_avg_fields'] = ResolversParentTypes['Redeemer_avg_fields']> = ResolversObject<{
    fee?: Resolver<Maybe<ResolversTypes['Float']>, ParentType, ContextType>;
    unitMem?: Resolver<Maybe<ResolversTypes['Float']>, ParentType, ContextType>;
    unitSteps?: Resolver<Maybe<ResolversTypes['Float']>, ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type Redeemer_Max_FieldsResolvers<ContextType = any, ParentType extends ResolversParentTypes['Redeemer_max_fields'] = ResolversParentTypes['Redeemer_max_fields']> = ResolversObject<{
    fee?: Resolver<Maybe<ResolversTypes['BigInt']>, ParentType, ContextType>;
    unitMem?: Resolver<Maybe<ResolversTypes['BigInt']>, ParentType, ContextType>;
    unitSteps?: Resolver<Maybe<ResolversTypes['BigInt']>, ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type Redeemer_Min_FieldsResolvers<ContextType = any, ParentType extends ResolversParentTypes['Redeemer_min_fields'] = ResolversParentTypes['Redeemer_min_fields']> = ResolversObject<{
    fee?: Resolver<Maybe<ResolversTypes['BigInt']>, ParentType, ContextType>;
    unitMem?: Resolver<Maybe<ResolversTypes['BigInt']>, ParentType, ContextType>;
    unitSteps?: Resolver<Maybe<ResolversTypes['BigInt']>, ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type Redeemer_Sum_FieldsResolvers<ContextType = any, ParentType extends ResolversParentTypes['Redeemer_sum_fields'] = ResolversParentTypes['Redeemer_sum_fields']> = ResolversObject<{
    fee?: Resolver<Maybe<ResolversTypes['BigInt']>, ParentType, ContextType>;
    unitMem?: Resolver<Maybe<ResolversTypes['BigInt']>, ParentType, ContextType>;
    unitSteps?: Resolver<Maybe<ResolversTypes['BigInt']>, ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type RelayResolvers<ContextType = any, ParentType extends ResolversParentTypes['Relay'] = ResolversParentTypes['Relay']> = ResolversObject<{
    ipv4?: Resolver<Maybe<ResolversTypes['IPv4']>, ParentType, ContextType>;
    ipv6?: Resolver<Maybe<ResolversTypes['IPv6']>, ParentType, ContextType>;
    dnsName?: Resolver<Maybe<ResolversTypes['String']>, ParentType, ContextType>;
    dnsSrvName?: Resolver<Maybe<ResolversTypes['String']>, ParentType, ContextType>;
    port?: Resolver<Maybe<ResolversTypes['Int']>, ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type RewardResolvers<ContextType = any, ParentType extends ResolversParentTypes['Reward'] = ResolversParentTypes['Reward']> = ResolversObject<{
    address?: Resolver<ResolversTypes['StakeAddress'], ParentType, ContextType>;
    amount?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    earnedIn?: Resolver<ResolversTypes['Epoch'], ParentType, ContextType>;
    receivedIn?: Resolver<Maybe<ResolversTypes['Epoch']>, ParentType, ContextType>;
    stakePool?: Resolver<Maybe<ResolversTypes['StakePool']>, ParentType, ContextType>;
    type?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type Reward_AggregateResolvers<ContextType = any, ParentType extends ResolversParentTypes['Reward_aggregate'] = ResolversParentTypes['Reward_aggregate']> = ResolversObject<{
    aggregate?: Resolver<Maybe<ResolversTypes['Reward_aggregate_fields']>, ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type Reward_Aggregate_FieldsResolvers<ContextType = any, ParentType extends ResolversParentTypes['Reward_aggregate_fields'] = ResolversParentTypes['Reward_aggregate_fields']> = ResolversObject<{
    avg?: Resolver<ResolversTypes['Reward_avg_fields'], ParentType, ContextType>;
    count?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    max?: Resolver<ResolversTypes['Reward_max_fields'], ParentType, ContextType>;
    min?: Resolver<ResolversTypes['Reward_min_fields'], ParentType, ContextType>;
    sum?: Resolver<ResolversTypes['Reward_sum_fields'], ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type Reward_Avg_FieldsResolvers<ContextType = any, ParentType extends ResolversParentTypes['Reward_avg_fields'] = ResolversParentTypes['Reward_avg_fields']> = ResolversObject<{
    amount?: Resolver<Maybe<ResolversTypes['Float']>, ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type Reward_Max_FieldsResolvers<ContextType = any, ParentType extends ResolversParentTypes['Reward_max_fields'] = ResolversParentTypes['Reward_max_fields']> = ResolversObject<{
    amount?: Resolver<Maybe<ResolversTypes['String']>, ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type Reward_Min_FieldsResolvers<ContextType = any, ParentType extends ResolversParentTypes['Reward_min_fields'] = ResolversParentTypes['Reward_min_fields']> = ResolversObject<{
    amount?: Resolver<Maybe<ResolversTypes['String']>, ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type Reward_Sum_FieldsResolvers<ContextType = any, ParentType extends ResolversParentTypes['Reward_sum_fields'] = ResolversParentTypes['Reward_sum_fields']> = ResolversObject<{
    amount?: Resolver<Maybe<ResolversTypes['String']>, ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type ScriptResolvers<ContextType = any, ParentType extends ResolversParentTypes['Script'] = ResolversParentTypes['Script']> = ResolversObject<{
    hash?: Resolver<ResolversTypes['Hash28Hex'], ParentType, ContextType>;
    serialisedSize?: Resolver<Maybe<ResolversTypes['BigInt']>, ParentType, ContextType>;
    transaction?: Resolver<ResolversTypes['Transaction'], ParentType, ContextType>;
    type?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type Script_AggregateResolvers<ContextType = any, ParentType extends ResolversParentTypes['Script_aggregate'] = ResolversParentTypes['Script_aggregate']> = ResolversObject<{
    aggregate?: Resolver<Maybe<ResolversTypes['Script_aggregate_fields']>, ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type Script_Aggregate_FieldsResolvers<ContextType = any, ParentType extends ResolversParentTypes['Script_aggregate_fields'] = ResolversParentTypes['Script_aggregate_fields']> = ResolversObject<{
    avg?: Resolver<ResolversTypes['Script_avg_fields'], ParentType, ContextType>;
    count?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    max?: Resolver<ResolversTypes['Script_max_fields'], ParentType, ContextType>;
    min?: Resolver<ResolversTypes['Script_min_fields'], ParentType, ContextType>;
    sum?: Resolver<ResolversTypes['Script_sum_fields'], ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type Script_Avg_FieldsResolvers<ContextType = any, ParentType extends ResolversParentTypes['Script_avg_fields'] = ResolversParentTypes['Script_avg_fields']> = ResolversObject<{
    serialisedSize?: Resolver<Maybe<ResolversTypes['Float']>, ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type Script_Max_FieldsResolvers<ContextType = any, ParentType extends ResolversParentTypes['Script_max_fields'] = ResolversParentTypes['Script_max_fields']> = ResolversObject<{
    serialisedSize?: Resolver<Maybe<ResolversTypes['BigInt']>, ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type Script_Min_FieldsResolvers<ContextType = any, ParentType extends ResolversParentTypes['Script_min_fields'] = ResolversParentTypes['Script_min_fields']> = ResolversObject<{
    serialisedSize?: Resolver<Maybe<ResolversTypes['BigInt']>, ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type Script_Sum_FieldsResolvers<ContextType = any, ParentType extends ResolversParentTypes['Script_sum_fields'] = ResolversParentTypes['Script_sum_fields']> = ResolversObject<{
    serialisedSize?: Resolver<Maybe<ResolversTypes['BigInt']>, ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type ShelleyGenesisResolvers<ContextType = any, ParentType extends ResolversParentTypes['ShelleyGenesis'] = ResolversParentTypes['ShelleyGenesis']> = ResolversObject<{
    activeSlotsCoeff?: Resolver<ResolversTypes['Float'], ParentType, ContextType>;
    epochLength?: Resolver<ResolversTypes['Int'], ParentType, ContextType>;
    genDelegs?: Resolver<Maybe<ResolversTypes['JSONObject']>, ParentType, ContextType>;
    initialFunds?: Resolver<ResolversTypes['JSONObject'], ParentType, ContextType>;
    maxKESEvolutions?: Resolver<ResolversTypes['Int'], ParentType, ContextType>;
    maxLovelaceSupply?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    networkId?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    networkMagic?: Resolver<ResolversTypes['Int'], ParentType, ContextType>;
    protocolParams?: Resolver<ResolversTypes['ShelleyProtocolParams'], ParentType, ContextType>;
    securityParam?: Resolver<ResolversTypes['Int'], ParentType, ContextType>;
    slotLength?: Resolver<ResolversTypes['Int'], ParentType, ContextType>;
    slotsPerKESPeriod?: Resolver<ResolversTypes['Int'], ParentType, ContextType>;
    staking?: Resolver<Maybe<ResolversTypes['ShelleyGenesisStaking']>, ParentType, ContextType>;
    systemStart?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    updateQuorum?: Resolver<ResolversTypes['Int'], ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type ShelleyGenesisStakingResolvers<ContextType = any, ParentType extends ResolversParentTypes['ShelleyGenesisStaking'] = ResolversParentTypes['ShelleyGenesisStaking']> = ResolversObject<{
    pools?: Resolver<ResolversTypes['JSONObject'], ParentType, ContextType>;
    stake?: Resolver<ResolversTypes['JSONObject'], ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type ShelleyProtocolParamsResolvers<ContextType = any, ParentType extends ResolversParentTypes['ShelleyProtocolParams'] = ResolversParentTypes['ShelleyProtocolParams']> = ResolversObject<{
    a0?: Resolver<ResolversTypes['Float'], ParentType, ContextType>;
    decentralisationParam?: Resolver<ResolversTypes['Float'], ParentType, ContextType>;
    eMax?: Resolver<ResolversTypes['Int'], ParentType, ContextType>;
    extraEntropy?: Resolver<Maybe<ResolversTypes['JSONObject']>, ParentType, ContextType>;
    keyDeposit?: Resolver<ResolversTypes['Int'], ParentType, ContextType>;
    maxBlockBodySize?: Resolver<ResolversTypes['Int'], ParentType, ContextType>;
    maxBlockHeaderSize?: Resolver<ResolversTypes['Int'], ParentType, ContextType>;
    maxTxSize?: Resolver<ResolversTypes['Int'], ParentType, ContextType>;
    minFeeA?: Resolver<ResolversTypes['Int'], ParentType, ContextType>;
    minFeeB?: Resolver<ResolversTypes['Int'], ParentType, ContextType>;
    minPoolCost?: Resolver<ResolversTypes['Int'], ParentType, ContextType>;
    minUTxOValue?: Resolver<ResolversTypes['Int'], ParentType, ContextType>;
    nOpt?: Resolver<ResolversTypes['Int'], ParentType, ContextType>;
    poolDeposit?: Resolver<ResolversTypes['Int'], ParentType, ContextType>;
    protocolVersion?: Resolver<ResolversTypes['JSONObject'], ParentType, ContextType>;
    rho?: Resolver<ResolversTypes['Float'], ParentType, ContextType>;
    tau?: Resolver<ResolversTypes['Float'], ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type SlotLeaderResolvers<ContextType = any, ParentType extends ResolversParentTypes['SlotLeader'] = ResolversParentTypes['SlotLeader']> = ResolversObject<{
    description?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    hash?: Resolver<ResolversTypes['Hash28Hex'], ParentType, ContextType>;
    stakePool?: Resolver<Maybe<ResolversTypes['StakePool']>, ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export interface StakeAddressScalarConfig extends GraphQLScalarTypeConfig<ResolversTypes['StakeAddress'], any> {
    name: 'StakeAddress';
}
export declare type StakeDeregistrationResolvers<ContextType = any, ParentType extends ResolversParentTypes['StakeDeregistration'] = ResolversParentTypes['StakeDeregistration']> = ResolversObject<{
    address?: Resolver<ResolversTypes['StakeAddress'], ParentType, ContextType>;
    redeemer?: Resolver<Maybe<ResolversTypes['Redeemer']>, ParentType, ContextType>;
    transaction?: Resolver<ResolversTypes['Transaction'], ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type StakeDeregistration_AggregateResolvers<ContextType = any, ParentType extends ResolversParentTypes['StakeDeregistration_aggregate'] = ResolversParentTypes['StakeDeregistration_aggregate']> = ResolversObject<{
    aggregate?: Resolver<Maybe<ResolversTypes['StakeDeregistration_aggregate_fields']>, ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type StakeDeregistration_Aggregate_FieldsResolvers<ContextType = any, ParentType extends ResolversParentTypes['StakeDeregistration_aggregate_fields'] = ResolversParentTypes['StakeDeregistration_aggregate_fields']> = ResolversObject<{
    count?: Resolver<Maybe<ResolversTypes['String']>, ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type StakePoolResolvers<ContextType = any, ParentType extends ResolversParentTypes['StakePool'] = ResolversParentTypes['StakePool']> = ResolversObject<{
    activeStake?: Resolver<Array<Maybe<ResolversTypes['ActiveStake']>>, ParentType, ContextType, RequireFields<StakePoolActiveStakeArgs, never>>;
    activeStake_aggregate?: Resolver<ResolversTypes['ActiveStake_aggregate'], ParentType, ContextType, RequireFields<StakePoolActiveStake_AggregateArgs, never>>;
    blocks?: Resolver<Array<ResolversTypes['Block']>, ParentType, ContextType, RequireFields<StakePoolBlocksArgs, never>>;
    blocks_aggregate?: Resolver<ResolversTypes['Block_aggregate'], ParentType, ContextType, RequireFields<StakePoolBlocks_AggregateArgs, never>>;
    delegators?: Resolver<Array<Maybe<ResolversTypes['Delegation']>>, ParentType, ContextType, RequireFields<StakePoolDelegatorsArgs, never>>;
    delegators_aggregate?: Resolver<ResolversTypes['Delegation_aggregate'], ParentType, ContextType, RequireFields<StakePoolDelegators_AggregateArgs, never>>;
    fixedCost?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    hash?: Resolver<ResolversTypes['Hash28Hex'], ParentType, ContextType>;
    id?: Resolver<ResolversTypes['StakePoolID'], ParentType, ContextType>;
    margin?: Resolver<ResolversTypes['Float'], ParentType, ContextType>;
    metadataHash?: Resolver<Maybe<ResolversTypes['Hash32Hex']>, ParentType, ContextType>;
    owners?: Resolver<Array<ResolversTypes['StakePoolOwner']>, ParentType, ContextType>;
    pledge?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    relays?: Resolver<Maybe<Array<Maybe<ResolversTypes['Relay']>>>, ParentType, ContextType>;
    retirements?: Resolver<Maybe<Array<Maybe<ResolversTypes['StakePoolRetirement']>>>, ParentType, ContextType>;
    rewardAddress?: Resolver<ResolversTypes['StakeAddress'], ParentType, ContextType>;
    rewards?: Resolver<Array<Maybe<ResolversTypes['Reward']>>, ParentType, ContextType>;
    rewards_aggregate?: Resolver<ResolversTypes['Reward_aggregate'], ParentType, ContextType, RequireFields<StakePoolRewards_AggregateArgs, never>>;
    updatedIn?: Resolver<ResolversTypes['Transaction'], ParentType, ContextType>;
    url?: Resolver<Maybe<ResolversTypes['String']>, ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type StakePool_AggregateResolvers<ContextType = any, ParentType extends ResolversParentTypes['StakePool_aggregate'] = ResolversParentTypes['StakePool_aggregate']> = ResolversObject<{
    aggregate?: Resolver<Maybe<ResolversTypes['StakePool_aggregate_fields']>, ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type StakePool_Aggregate_FieldsResolvers<ContextType = any, ParentType extends ResolversParentTypes['StakePool_aggregate_fields'] = ResolversParentTypes['StakePool_aggregate_fields']> = ResolversObject<{
    avg?: Resolver<ResolversTypes['StakePool_avg_fields'], ParentType, ContextType>;
    count?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    max?: Resolver<ResolversTypes['StakePool_max_fields'], ParentType, ContextType>;
    min?: Resolver<ResolversTypes['StakePool_min_fields'], ParentType, ContextType>;
    sum?: Resolver<ResolversTypes['StakePool_sum_fields'], ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type StakePool_Avg_FieldsResolvers<ContextType = any, ParentType extends ResolversParentTypes['StakePool_avg_fields'] = ResolversParentTypes['StakePool_avg_fields']> = ResolversObject<{
    fixedCost?: Resolver<Maybe<ResolversTypes['String']>, ParentType, ContextType>;
    margin?: Resolver<Maybe<ResolversTypes['Float']>, ParentType, ContextType>;
    pledge?: Resolver<Maybe<ResolversTypes['String']>, ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type StakePool_Max_FieldsResolvers<ContextType = any, ParentType extends ResolversParentTypes['StakePool_max_fields'] = ResolversParentTypes['StakePool_max_fields']> = ResolversObject<{
    fixedCost?: Resolver<Maybe<ResolversTypes['String']>, ParentType, ContextType>;
    margin?: Resolver<Maybe<ResolversTypes['Float']>, ParentType, ContextType>;
    pledge?: Resolver<Maybe<ResolversTypes['String']>, ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type StakePool_Min_FieldsResolvers<ContextType = any, ParentType extends ResolversParentTypes['StakePool_min_fields'] = ResolversParentTypes['StakePool_min_fields']> = ResolversObject<{
    fixedCost?: Resolver<Maybe<ResolversTypes['String']>, ParentType, ContextType>;
    margin?: Resolver<Maybe<ResolversTypes['Float']>, ParentType, ContextType>;
    pledge?: Resolver<Maybe<ResolversTypes['String']>, ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type StakePool_Sum_FieldsResolvers<ContextType = any, ParentType extends ResolversParentTypes['StakePool_sum_fields'] = ResolversParentTypes['StakePool_sum_fields']> = ResolversObject<{
    fixedCost?: Resolver<Maybe<ResolversTypes['String']>, ParentType, ContextType>;
    margin?: Resolver<Maybe<ResolversTypes['Float']>, ParentType, ContextType>;
    pledge?: Resolver<Maybe<ResolversTypes['String']>, ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export interface StakePoolIdScalarConfig extends GraphQLScalarTypeConfig<ResolversTypes['StakePoolID'], any> {
    name: 'StakePoolID';
}
export declare type StakePoolOwnerResolvers<ContextType = any, ParentType extends ResolversParentTypes['StakePoolOwner'] = ResolversParentTypes['StakePoolOwner']> = ResolversObject<{
    hash?: Resolver<ResolversTypes['Hash28Hex'], ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type StakePoolRetirementResolvers<ContextType = any, ParentType extends ResolversParentTypes['StakePoolRetirement'] = ResolversParentTypes['StakePoolRetirement']> = ResolversObject<{
    announcedIn?: Resolver<Maybe<ResolversTypes['Transaction']>, ParentType, ContextType>;
    inEffectFrom?: Resolver<ResolversTypes['Int'], ParentType, ContextType>;
    retiredInEpoch?: Resolver<Maybe<ResolversTypes['Epoch']>, ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type StakeRegistrationResolvers<ContextType = any, ParentType extends ResolversParentTypes['StakeRegistration'] = ResolversParentTypes['StakeRegistration']> = ResolversObject<{
    address?: Resolver<ResolversTypes['StakeAddress'], ParentType, ContextType>;
    transaction?: Resolver<ResolversTypes['Transaction'], ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type StakeRegistration_AggregateResolvers<ContextType = any, ParentType extends ResolversParentTypes['StakeRegistration_aggregate'] = ResolversParentTypes['StakeRegistration_aggregate']> = ResolversObject<{
    aggregate?: Resolver<Maybe<ResolversTypes['StakeRegistration_aggregate_fields']>, ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type StakeRegistration_Aggregate_FieldsResolvers<ContextType = any, ParentType extends ResolversParentTypes['StakeRegistration_aggregate_fields'] = ResolversParentTypes['StakeRegistration_aggregate_fields']> = ResolversObject<{
    count?: Resolver<Maybe<ResolversTypes['String']>, ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export interface TimestampScalarConfig extends GraphQLScalarTypeConfig<ResolversTypes['Timestamp'], any> {
    name: 'Timestamp';
}
export declare type TokenResolvers<ContextType = any, ParentType extends ResolversParentTypes['Token'] = ResolversParentTypes['Token']> = ResolversObject<{
    asset?: Resolver<ResolversTypes['Asset'], ParentType, ContextType>;
    quantity?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    transactionOutput?: Resolver<ResolversTypes['TransactionOutput'], ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type Token_AggregateResolvers<ContextType = any, ParentType extends ResolversParentTypes['Token_aggregate'] = ResolversParentTypes['Token_aggregate']> = ResolversObject<{
    aggregate?: Resolver<Maybe<ResolversTypes['Token_aggregate_fields']>, ParentType, ContextType>;
    nodes?: Resolver<Array<ResolversTypes['Token']>, ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type Token_Aggregate_FieldsResolvers<ContextType = any, ParentType extends ResolversParentTypes['Token_aggregate_fields'] = ResolversParentTypes['Token_aggregate_fields']> = ResolversObject<{
    avg?: Resolver<ResolversTypes['Token_avg_fields'], ParentType, ContextType>;
    count?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    max?: Resolver<ResolversTypes['Token_max_fields'], ParentType, ContextType>;
    min?: Resolver<ResolversTypes['Token_min_fields'], ParentType, ContextType>;
    sum?: Resolver<ResolversTypes['Token_sum_fields'], ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type Token_Avg_FieldsResolvers<ContextType = any, ParentType extends ResolversParentTypes['Token_avg_fields'] = ResolversParentTypes['Token_avg_fields']> = ResolversObject<{
    quantity?: Resolver<Maybe<ResolversTypes['String']>, ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type Token_Max_FieldsResolvers<ContextType = any, ParentType extends ResolversParentTypes['Token_max_fields'] = ResolversParentTypes['Token_max_fields']> = ResolversObject<{
    quantity?: Resolver<Maybe<ResolversTypes['String']>, ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type Token_Min_FieldsResolvers<ContextType = any, ParentType extends ResolversParentTypes['Token_min_fields'] = ResolversParentTypes['Token_min_fields']> = ResolversObject<{
    quantity?: Resolver<Maybe<ResolversTypes['String']>, ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type Token_Sum_FieldsResolvers<ContextType = any, ParentType extends ResolversParentTypes['Token_sum_fields'] = ResolversParentTypes['Token_sum_fields']> = ResolversObject<{
    quantity?: Resolver<Maybe<ResolversTypes['String']>, ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type TokenMintResolvers<ContextType = any, ParentType extends ResolversParentTypes['TokenMint'] = ResolversParentTypes['TokenMint']> = ResolversObject<{
    asset?: Resolver<ResolversTypes['Asset'], ParentType, ContextType>;
    quantity?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    transaction?: Resolver<ResolversTypes['Transaction'], ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type TokenMint_AggregateResolvers<ContextType = any, ParentType extends ResolversParentTypes['TokenMint_aggregate'] = ResolversParentTypes['TokenMint_aggregate']> = ResolversObject<{
    aggregate?: Resolver<Maybe<ResolversTypes['TokenMint_aggregate_fields']>, ParentType, ContextType>;
    nodes?: Resolver<Array<ResolversTypes['TokenMint']>, ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type TokenMint_Aggregate_FieldsResolvers<ContextType = any, ParentType extends ResolversParentTypes['TokenMint_aggregate_fields'] = ResolversParentTypes['TokenMint_aggregate_fields']> = ResolversObject<{
    avg?: Resolver<ResolversTypes['TokenMint_avg_fields'], ParentType, ContextType>;
    count?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    max?: Resolver<ResolversTypes['TokenMint_max_fields'], ParentType, ContextType>;
    min?: Resolver<ResolversTypes['TokenMint_min_fields'], ParentType, ContextType>;
    sum?: Resolver<ResolversTypes['TokenMint_sum_fields'], ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type TokenMint_Avg_FieldsResolvers<ContextType = any, ParentType extends ResolversParentTypes['TokenMint_avg_fields'] = ResolversParentTypes['TokenMint_avg_fields']> = ResolversObject<{
    quantity?: Resolver<Maybe<ResolversTypes['String']>, ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type TokenMint_Max_FieldsResolvers<ContextType = any, ParentType extends ResolversParentTypes['TokenMint_max_fields'] = ResolversParentTypes['TokenMint_max_fields']> = ResolversObject<{
    quantity?: Resolver<Maybe<ResolversTypes['String']>, ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type TokenMint_Min_FieldsResolvers<ContextType = any, ParentType extends ResolversParentTypes['TokenMint_min_fields'] = ResolversParentTypes['TokenMint_min_fields']> = ResolversObject<{
    quantity?: Resolver<Maybe<ResolversTypes['String']>, ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type TokenMint_Sum_FieldsResolvers<ContextType = any, ParentType extends ResolversParentTypes['TokenMint_sum_fields'] = ResolversParentTypes['TokenMint_sum_fields']> = ResolversObject<{
    quantity?: Resolver<Maybe<ResolversTypes['String']>, ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type TransactionResolvers<ContextType = any, ParentType extends ResolversParentTypes['Transaction'] = ResolversParentTypes['Transaction']> = ResolversObject<{
    block?: Resolver<Maybe<ResolversTypes['Block']>, ParentType, ContextType>;
    blockIndex?: Resolver<ResolversTypes['Int'], ParentType, ContextType>;
    collateralInputs?: Resolver<Maybe<Array<Maybe<ResolversTypes['CollateralInput']>>>, ParentType, ContextType, RequireFields<TransactionCollateralInputsArgs, never>>;
    collateralInputs_aggregate?: Resolver<ResolversTypes['CollateralInput_aggregate'], ParentType, ContextType, RequireFields<TransactionCollateralInputs_AggregateArgs, never>>;
    collateralOutputs?: Resolver<Maybe<Array<Maybe<ResolversTypes['CollateralOutput']>>>, ParentType, ContextType, RequireFields<TransactionCollateralOutputsArgs, never>>;
    collateralOutputs_aggregate?: Resolver<ResolversTypes['CollateralOutput_aggregate'], ParentType, ContextType, RequireFields<TransactionCollateralOutputs_AggregateArgs, never>>;
    deposit?: Resolver<ResolversTypes['BigInt'], ParentType, ContextType>;
    fee?: Resolver<ResolversTypes['BigInt'], ParentType, ContextType>;
    hash?: Resolver<ResolversTypes['Hash32Hex'], ParentType, ContextType>;
    inputs?: Resolver<Array<ResolversTypes['TransactionInput']>, ParentType, ContextType, RequireFields<TransactionInputsArgs, never>>;
    inputs_aggregate?: Resolver<ResolversTypes['TransactionInput_aggregate'], ParentType, ContextType, RequireFields<TransactionInputs_AggregateArgs, never>>;
    invalidBefore?: Resolver<Maybe<ResolversTypes['String']>, ParentType, ContextType>;
    invalidHereafter?: Resolver<Maybe<ResolversTypes['String']>, ParentType, ContextType>;
    metadata?: Resolver<Maybe<Array<Maybe<ResolversTypes['TransactionMetadata']>>>, ParentType, ContextType>;
    mint?: Resolver<Array<ResolversTypes['Token']>, ParentType, ContextType, RequireFields<TransactionMintArgs, never>>;
    mint_aggregate?: Resolver<ResolversTypes['Token_aggregate'], ParentType, ContextType, RequireFields<TransactionMint_AggregateArgs, never>>;
    outputs?: Resolver<Array<Maybe<ResolversTypes['TransactionOutput']>>, ParentType, ContextType, RequireFields<TransactionOutputsArgs, never>>;
    outputs_aggregate?: Resolver<ResolversTypes['TransactionOutput_aggregate'], ParentType, ContextType, RequireFields<TransactionOutputs_AggregateArgs, never>>;
    redeemers?: Resolver<Maybe<Array<Maybe<ResolversTypes['Redeemer']>>>, ParentType, ContextType>;
    referenceInputs?: Resolver<Array<ResolversTypes['TransactionInput']>, ParentType, ContextType, RequireFields<TransactionReferenceInputsArgs, never>>;
    referenceInputs_aggregate?: Resolver<ResolversTypes['TransactionInput_aggregate'], ParentType, ContextType, RequireFields<TransactionReferenceInputs_AggregateArgs, never>>;
    scripts?: Resolver<Maybe<Array<Maybe<ResolversTypes['Script']>>>, ParentType, ContextType>;
    scriptSize?: Resolver<ResolversTypes['Int'], ParentType, ContextType>;
    size?: Resolver<ResolversTypes['BigInt'], ParentType, ContextType>;
    totalOutput?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    includedAt?: Resolver<ResolversTypes['DateTime'], ParentType, ContextType>;
    validContract?: Resolver<ResolversTypes['Boolean'], ParentType, ContextType>;
    withdrawals?: Resolver<Array<Maybe<ResolversTypes['Withdrawal']>>, ParentType, ContextType>;
    withdrawals_aggregate?: Resolver<ResolversTypes['Withdrawal_aggregate'], ParentType, ContextType, RequireFields<TransactionWithdrawals_AggregateArgs, never>>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type Transaction_AggregateResolvers<ContextType = any, ParentType extends ResolversParentTypes['Transaction_aggregate'] = ResolversParentTypes['Transaction_aggregate']> = ResolversObject<{
    aggregate?: Resolver<Maybe<ResolversTypes['Transaction_aggregate_fields']>, ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type Transaction_Aggregate_FieldsResolvers<ContextType = any, ParentType extends ResolversParentTypes['Transaction_aggregate_fields'] = ResolversParentTypes['Transaction_aggregate_fields']> = ResolversObject<{
    avg?: Resolver<ResolversTypes['Transaction_avg_fields'], ParentType, ContextType>;
    count?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    max?: Resolver<ResolversTypes['Transaction_max_fields'], ParentType, ContextType>;
    min?: Resolver<ResolversTypes['Transaction_min_fields'], ParentType, ContextType>;
    sum?: Resolver<ResolversTypes['Transaction_sum_fields'], ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type Transaction_Avg_FieldsResolvers<ContextType = any, ParentType extends ResolversParentTypes['Transaction_avg_fields'] = ResolversParentTypes['Transaction_avg_fields']> = ResolversObject<{
    deposit?: Resolver<Maybe<ResolversTypes['Float']>, ParentType, ContextType>;
    fee?: Resolver<Maybe<ResolversTypes['Float']>, ParentType, ContextType>;
    mint?: Resolver<Maybe<ResolversTypes['Token_avg_fields']>, ParentType, ContextType>;
    scriptSize?: Resolver<Maybe<ResolversTypes['Float']>, ParentType, ContextType>;
    size?: Resolver<Maybe<ResolversTypes['Float']>, ParentType, ContextType>;
    totalOutput?: Resolver<Maybe<ResolversTypes['Float']>, ParentType, ContextType>;
    withdrawals?: Resolver<Maybe<ResolversTypes['Withdrawal_avg_fields']>, ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type Transaction_Max_FieldsResolvers<ContextType = any, ParentType extends ResolversParentTypes['Transaction_max_fields'] = ResolversParentTypes['Transaction_max_fields']> = ResolversObject<{
    deposit?: Resolver<Maybe<ResolversTypes['String']>, ParentType, ContextType>;
    fee?: Resolver<Maybe<ResolversTypes['String']>, ParentType, ContextType>;
    invalidBefore?: Resolver<Maybe<ResolversTypes['String']>, ParentType, ContextType>;
    invalidHereafter?: Resolver<Maybe<ResolversTypes['String']>, ParentType, ContextType>;
    mint?: Resolver<Maybe<ResolversTypes['Token_max_fields']>, ParentType, ContextType>;
    scriptSize?: Resolver<Maybe<ResolversTypes['Int']>, ParentType, ContextType>;
    size?: Resolver<Maybe<ResolversTypes['String']>, ParentType, ContextType>;
    totalOutput?: Resolver<Maybe<ResolversTypes['String']>, ParentType, ContextType>;
    withdrawals?: Resolver<Maybe<ResolversTypes['Withdrawal_max_fields']>, ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type Transaction_Min_FieldsResolvers<ContextType = any, ParentType extends ResolversParentTypes['Transaction_min_fields'] = ResolversParentTypes['Transaction_min_fields']> = ResolversObject<{
    deposit?: Resolver<Maybe<ResolversTypes['String']>, ParentType, ContextType>;
    fee?: Resolver<Maybe<ResolversTypes['String']>, ParentType, ContextType>;
    invalidBefore?: Resolver<Maybe<ResolversTypes['String']>, ParentType, ContextType>;
    invalidHereafter?: Resolver<Maybe<ResolversTypes['String']>, ParentType, ContextType>;
    mint?: Resolver<Maybe<ResolversTypes['Token_min_fields']>, ParentType, ContextType>;
    scriptSize?: Resolver<Maybe<ResolversTypes['Int']>, ParentType, ContextType>;
    size?: Resolver<Maybe<ResolversTypes['String']>, ParentType, ContextType>;
    totalOutput?: Resolver<Maybe<ResolversTypes['String']>, ParentType, ContextType>;
    withdrawals?: Resolver<Maybe<ResolversTypes['Withdrawal_min_fields']>, ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type Transaction_Sum_FieldsResolvers<ContextType = any, ParentType extends ResolversParentTypes['Transaction_sum_fields'] = ResolversParentTypes['Transaction_sum_fields']> = ResolversObject<{
    deposit?: Resolver<Maybe<ResolversTypes['String']>, ParentType, ContextType>;
    fee?: Resolver<Maybe<ResolversTypes['String']>, ParentType, ContextType>;
    mint?: Resolver<Maybe<ResolversTypes['Token_sum_fields']>, ParentType, ContextType>;
    scriptSize?: Resolver<Maybe<ResolversTypes['BigInt']>, ParentType, ContextType>;
    size?: Resolver<Maybe<ResolversTypes['String']>, ParentType, ContextType>;
    totalOutput?: Resolver<Maybe<ResolversTypes['String']>, ParentType, ContextType>;
    withdrawals?: Resolver<Maybe<ResolversTypes['Withdrawal_sum_fields']>, ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type TransactionInputResolvers<ContextType = any, ParentType extends ResolversParentTypes['TransactionInput'] = ResolversParentTypes['TransactionInput']> = ResolversObject<{
    address?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    redeemer?: Resolver<Maybe<ResolversTypes['Redeemer']>, ParentType, ContextType>;
    sourceTransaction?: Resolver<ResolversTypes['Transaction'], ParentType, ContextType>;
    sourceTxHash?: Resolver<ResolversTypes['Hash32Hex'], ParentType, ContextType>;
    sourceTxIndex?: Resolver<ResolversTypes['Int'], ParentType, ContextType>;
    tokens?: Resolver<Array<Maybe<ResolversTypes['Token']>>, ParentType, ContextType>;
    tokens_aggregate?: Resolver<ResolversTypes['Token_aggregate'], ParentType, ContextType>;
    transaction?: Resolver<ResolversTypes['Transaction'], ParentType, ContextType>;
    txHash?: Resolver<ResolversTypes['Hash32Hex'], ParentType, ContextType>;
    value?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type TransactionInput_AggregateResolvers<ContextType = any, ParentType extends ResolversParentTypes['TransactionInput_aggregate'] = ResolversParentTypes['TransactionInput_aggregate']> = ResolversObject<{
    aggregate?: Resolver<Maybe<ResolversTypes['TransactionInput_aggregate_fields']>, ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type TransactionInput_Aggregate_FieldsResolvers<ContextType = any, ParentType extends ResolversParentTypes['TransactionInput_aggregate_fields'] = ResolversParentTypes['TransactionInput_aggregate_fields']> = ResolversObject<{
    avg?: Resolver<ResolversTypes['TransactionInput_avg_fields'], ParentType, ContextType>;
    count?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    max?: Resolver<ResolversTypes['TransactionInput_max_fields'], ParentType, ContextType>;
    min?: Resolver<ResolversTypes['TransactionInput_min_fields'], ParentType, ContextType>;
    sum?: Resolver<ResolversTypes['TransactionInput_sum_fields'], ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type TransactionInput_Avg_FieldsResolvers<ContextType = any, ParentType extends ResolversParentTypes['TransactionInput_avg_fields'] = ResolversParentTypes['TransactionInput_avg_fields']> = ResolversObject<{
    tokens?: Resolver<Maybe<ResolversTypes['Token_avg_fields']>, ParentType, ContextType>;
    value?: Resolver<Maybe<ResolversTypes['String']>, ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type TransactionInput_Max_FieldsResolvers<ContextType = any, ParentType extends ResolversParentTypes['TransactionInput_max_fields'] = ResolversParentTypes['TransactionInput_max_fields']> = ResolversObject<{
    tokens?: Resolver<Maybe<ResolversTypes['Token_max_fields']>, ParentType, ContextType>;
    value?: Resolver<Maybe<ResolversTypes['String']>, ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type TransactionInput_Min_FieldsResolvers<ContextType = any, ParentType extends ResolversParentTypes['TransactionInput_min_fields'] = ResolversParentTypes['TransactionInput_min_fields']> = ResolversObject<{
    tokens?: Resolver<Maybe<ResolversTypes['Token_min_fields']>, ParentType, ContextType>;
    value?: Resolver<Maybe<ResolversTypes['String']>, ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type TransactionInput_Sum_FieldsResolvers<ContextType = any, ParentType extends ResolversParentTypes['TransactionInput_sum_fields'] = ResolversParentTypes['TransactionInput_sum_fields']> = ResolversObject<{
    tokens?: Resolver<Maybe<ResolversTypes['Token_sum_fields']>, ParentType, ContextType>;
    value?: Resolver<Maybe<ResolversTypes['String']>, ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type TransactionMetadataResolvers<ContextType = any, ParentType extends ResolversParentTypes['TransactionMetadata'] = ResolversParentTypes['TransactionMetadata']> = ResolversObject<{
    key?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    value?: Resolver<ResolversTypes['JSON'], ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type TransactionOutputResolvers<ContextType = any, ParentType extends ResolversParentTypes['TransactionOutput'] = ResolversParentTypes['TransactionOutput']> = ResolversObject<{
    address?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    addressHasScript?: Resolver<ResolversTypes['Boolean'], ParentType, ContextType>;
    datum?: Resolver<Maybe<ResolversTypes['Datum']>, ParentType, ContextType>;
    index?: Resolver<ResolversTypes['Int'], ParentType, ContextType>;
    paymentCredential?: Resolver<Maybe<ResolversTypes['Hash28Hex']>, ParentType, ContextType>;
    script?: Resolver<Maybe<ResolversTypes['Script']>, ParentType, ContextType>;
    transaction?: Resolver<ResolversTypes['Transaction'], ParentType, ContextType>;
    txHash?: Resolver<ResolversTypes['Hash32Hex'], ParentType, ContextType>;
    tokens?: Resolver<Array<ResolversTypes['Token']>, ParentType, ContextType>;
    tokens_aggregate?: Resolver<ResolversTypes['Token_aggregate'], ParentType, ContextType>;
    value?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type TransactionOutput_AggregateResolvers<ContextType = any, ParentType extends ResolversParentTypes['TransactionOutput_aggregate'] = ResolversParentTypes['TransactionOutput_aggregate']> = ResolversObject<{
    aggregate?: Resolver<Maybe<ResolversTypes['TransactionOutput_aggregate_fields']>, ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type TransactionOutput_Aggregate_FieldsResolvers<ContextType = any, ParentType extends ResolversParentTypes['TransactionOutput_aggregate_fields'] = ResolversParentTypes['TransactionOutput_aggregate_fields']> = ResolversObject<{
    avg?: Resolver<ResolversTypes['TransactionOutput_avg_fields'], ParentType, ContextType>;
    count?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    max?: Resolver<ResolversTypes['TransactionOutput_max_fields'], ParentType, ContextType>;
    min?: Resolver<ResolversTypes['TransactionOutput_min_fields'], ParentType, ContextType>;
    sum?: Resolver<ResolversTypes['TransactionOutput_sum_fields'], ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type TransactionOutput_Avg_FieldsResolvers<ContextType = any, ParentType extends ResolversParentTypes['TransactionOutput_avg_fields'] = ResolversParentTypes['TransactionOutput_avg_fields']> = ResolversObject<{
    tokens?: Resolver<Maybe<ResolversTypes['Token_avg_fields']>, ParentType, ContextType>;
    value?: Resolver<Maybe<ResolversTypes['String']>, ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type TransactionOutput_Max_FieldsResolvers<ContextType = any, ParentType extends ResolversParentTypes['TransactionOutput_max_fields'] = ResolversParentTypes['TransactionOutput_max_fields']> = ResolversObject<{
    tokens?: Resolver<Maybe<ResolversTypes['Token_max_fields']>, ParentType, ContextType>;
    value?: Resolver<Maybe<ResolversTypes['String']>, ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type TransactionOutput_Min_FieldsResolvers<ContextType = any, ParentType extends ResolversParentTypes['TransactionOutput_min_fields'] = ResolversParentTypes['TransactionOutput_min_fields']> = ResolversObject<{
    tokens?: Resolver<Maybe<ResolversTypes['Token_min_fields']>, ParentType, ContextType>;
    value?: Resolver<Maybe<ResolversTypes['String']>, ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type TransactionOutput_Sum_FieldsResolvers<ContextType = any, ParentType extends ResolversParentTypes['TransactionOutput_sum_fields'] = ResolversParentTypes['TransactionOutput_sum_fields']> = ResolversObject<{
    tokens?: Resolver<Maybe<ResolversTypes['Token_sum_fields']>, ParentType, ContextType>;
    value?: Resolver<Maybe<ResolversTypes['String']>, ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type TransactionSubmitResponseResolvers<ContextType = any, ParentType extends ResolversParentTypes['TransactionSubmitResponse'] = ResolversParentTypes['TransactionSubmitResponse']> = ResolversObject<{
    hash?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export interface VrfVerificationKeyScalarConfig extends GraphQLScalarTypeConfig<ResolversTypes['VRFVerificationKey'], any> {
    name: 'VRFVerificationKey';
}
export declare type WithdrawalResolvers<ContextType = any, ParentType extends ResolversParentTypes['Withdrawal'] = ResolversParentTypes['Withdrawal']> = ResolversObject<{
    address?: Resolver<ResolversTypes['StakeAddress'], ParentType, ContextType>;
    amount?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    redeemer?: Resolver<Maybe<ResolversTypes['Redeemer']>, ParentType, ContextType>;
    transaction?: Resolver<ResolversTypes['Transaction'], ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type Withdrawal_AggregateResolvers<ContextType = any, ParentType extends ResolversParentTypes['Withdrawal_aggregate'] = ResolversParentTypes['Withdrawal_aggregate']> = ResolversObject<{
    aggregate?: Resolver<ResolversTypes['Withdrawal_aggregate_fields'], ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type Withdrawal_Aggregate_FieldsResolvers<ContextType = any, ParentType extends ResolversParentTypes['Withdrawal_aggregate_fields'] = ResolversParentTypes['Withdrawal_aggregate_fields']> = ResolversObject<{
    count?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    avg?: Resolver<ResolversTypes['Withdrawal_avg_fields'], ParentType, ContextType>;
    max?: Resolver<ResolversTypes['Withdrawal_max_fields'], ParentType, ContextType>;
    min?: Resolver<ResolversTypes['Withdrawal_min_fields'], ParentType, ContextType>;
    sum?: Resolver<ResolversTypes['Withdrawal_sum_fields'], ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type Withdrawal_Avg_FieldsResolvers<ContextType = any, ParentType extends ResolversParentTypes['Withdrawal_avg_fields'] = ResolversParentTypes['Withdrawal_avg_fields']> = ResolversObject<{
    amount?: Resolver<Maybe<ResolversTypes['String']>, ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type Withdrawal_Max_FieldsResolvers<ContextType = any, ParentType extends ResolversParentTypes['Withdrawal_max_fields'] = ResolversParentTypes['Withdrawal_max_fields']> = ResolversObject<{
    amount?: Resolver<Maybe<ResolversTypes['String']>, ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type Withdrawal_Min_FieldsResolvers<ContextType = any, ParentType extends ResolversParentTypes['Withdrawal_min_fields'] = ResolversParentTypes['Withdrawal_min_fields']> = ResolversObject<{
    amount?: Resolver<Maybe<ResolversTypes['String']>, ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type Withdrawal_Sum_FieldsResolvers<ContextType = any, ParentType extends ResolversParentTypes['Withdrawal_sum_fields'] = ResolversParentTypes['Withdrawal_sum_fields']> = ResolversObject<{
    amount?: Resolver<Maybe<ResolversTypes['String']>, ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type Resolvers<ContextType = any> = ResolversObject<{
    ActiveStake?: ActiveStakeResolvers<ContextType>;
    ActiveStake_aggregate?: ActiveStake_AggregateResolvers<ContextType>;
    ActiveStake_aggregate_fields?: ActiveStake_Aggregate_FieldsResolvers<ContextType>;
    ActiveStake_avg_fields?: ActiveStake_Avg_FieldsResolvers<ContextType>;
    ActiveStake_max_fields?: ActiveStake_Max_FieldsResolvers<ContextType>;
    ActiveStake_min_fields?: ActiveStake_Min_FieldsResolvers<ContextType>;
    ActiveStake_sum_fields?: ActiveStake_Sum_FieldsResolvers<ContextType>;
    Ada?: AdaResolvers<ContextType>;
    AdaPots?: AdaPotsResolvers<ContextType>;
    AlonzoGenesis?: AlonzoGenesisResolvers<ContextType>;
    Asset?: AssetResolvers<ContextType>;
    Asset_aggregate?: Asset_AggregateResolvers<ContextType>;
    Asset_aggregate_fields?: Asset_Aggregate_FieldsResolvers<ContextType>;
    AssetBalance?: AssetBalanceResolvers<ContextType>;
    AssetFingerprint?: GraphQLScalarType;
    AssetSupply?: AssetSupplyResolvers<ContextType>;
    BigInt?: GraphQLScalarType;
    Block?: BlockResolvers<ContextType>;
    Block_aggregate?: Block_AggregateResolvers<ContextType>;
    Block_aggregate_fields?: Block_Aggregate_FieldsResolvers<ContextType>;
    Block_avg_fields?: Block_Avg_FieldsResolvers<ContextType>;
    Block_max_fields?: Block_Max_FieldsResolvers<ContextType>;
    Block_min_fields?: Block_Min_FieldsResolvers<ContextType>;
    Block_sum_fields?: Block_Sum_FieldsResolvers<ContextType>;
    ByronBlockVersionData?: ByronBlockVersionDataResolvers<ContextType>;
    ByronGenesis?: ByronGenesisResolvers<ContextType>;
    ByronProtocolConsts?: ByronProtocolConstsResolvers<ContextType>;
    ByronSoftForkRule?: ByronSoftForkRuleResolvers<ContextType>;
    ByronTxFeePolicy?: ByronTxFeePolicyResolvers<ContextType>;
    Cardano?: CardanoResolvers<ContextType>;
    CardanoDbMeta?: CardanoDbMetaResolvers<ContextType>;
    CollateralInput?: CollateralInputResolvers<ContextType>;
    CollateralInput_aggregate?: CollateralInput_AggregateResolvers<ContextType>;
    CollateralInput_aggregate_fields?: CollateralInput_Aggregate_FieldsResolvers<ContextType>;
    CollateralInput_avg_fields?: CollateralInput_Avg_FieldsResolvers<ContextType>;
    CollateralInput_max_fields?: CollateralInput_Max_FieldsResolvers<ContextType>;
    CollateralInput_min_fields?: CollateralInput_Min_FieldsResolvers<ContextType>;
    CollateralInput_sum_fields?: CollateralInput_Sum_FieldsResolvers<ContextType>;
    CollateralOutput?: CollateralOutputResolvers<ContextType>;
    CollateralOutput_aggregate?: CollateralOutput_AggregateResolvers<ContextType>;
    CollateralOutput_aggregate_fields?: CollateralOutput_Aggregate_FieldsResolvers<ContextType>;
    CollateralOutput_avg_fields?: CollateralOutput_Avg_FieldsResolvers<ContextType>;
    CollateralOutput_max_fields?: CollateralOutput_Max_FieldsResolvers<ContextType>;
    CollateralOutput_min_fields?: CollateralOutput_Min_FieldsResolvers<ContextType>;
    CollateralOutput_sum_fields?: CollateralOutput_Sum_FieldsResolvers<ContextType>;
    DateTime?: GraphQLScalarType;
    Datum?: DatumResolvers<ContextType>;
    Delegation?: DelegationResolvers<ContextType>;
    Delegation_aggregate?: Delegation_AggregateResolvers<ContextType>;
    Delegation_aggregate_fields?: Delegation_Aggregate_FieldsResolvers<ContextType>;
    Epoch?: EpochResolvers<ContextType>;
    Epoch_aggregate?: Epoch_AggregateResolvers<ContextType>;
    Epoch_aggregate_fields?: Epoch_Aggregate_FieldsResolvers<ContextType>;
    Epoch_avg_fields?: Epoch_Avg_FieldsResolvers<ContextType>;
    Epoch_max_fields?: Epoch_Max_FieldsResolvers<ContextType>;
    Epoch_min_fields?: Epoch_Min_FieldsResolvers<ContextType>;
    Epoch_sum_fields?: Epoch_Sum_FieldsResolvers<ContextType>;
    ExecutionPrice?: ExecutionPriceResolvers<ContextType>;
    ExecutionPrices?: ExecutionPricesResolvers<ContextType>;
    ExecutionUnits?: ExecutionUnitsResolvers<ContextType>;
    Genesis?: GenesisResolvers<ContextType>;
    Hash28Hex?: GraphQLScalarType;
    Hash32Hex?: GraphQLScalarType;
    Hex?: GraphQLScalarType;
    IPv4?: GraphQLScalarType;
    IPv6?: GraphQLScalarType;
    JSON?: GraphQLScalarType;
    JSONObject?: GraphQLScalarType;
    Mutation?: MutationResolvers<ContextType>;
    PaymentAddress?: PaymentAddressResolvers<ContextType>;
    PaymentAddressSummary?: PaymentAddressSummaryResolvers<ContextType>;
    Percentage?: GraphQLScalarType;
    ProtocolParams?: ProtocolParamsResolvers<ContextType>;
    Query?: QueryResolvers<ContextType>;
    Redeemer?: RedeemerResolvers<ContextType>;
    Redeemer_aggregate?: Redeemer_AggregateResolvers<ContextType>;
    Redeemer_aggregate_fields?: Redeemer_Aggregate_FieldsResolvers<ContextType>;
    Redeemer_avg_fields?: Redeemer_Avg_FieldsResolvers<ContextType>;
    Redeemer_max_fields?: Redeemer_Max_FieldsResolvers<ContextType>;
    Redeemer_min_fields?: Redeemer_Min_FieldsResolvers<ContextType>;
    Redeemer_sum_fields?: Redeemer_Sum_FieldsResolvers<ContextType>;
    Relay?: RelayResolvers<ContextType>;
    Reward?: RewardResolvers<ContextType>;
    Reward_aggregate?: Reward_AggregateResolvers<ContextType>;
    Reward_aggregate_fields?: Reward_Aggregate_FieldsResolvers<ContextType>;
    Reward_avg_fields?: Reward_Avg_FieldsResolvers<ContextType>;
    Reward_max_fields?: Reward_Max_FieldsResolvers<ContextType>;
    Reward_min_fields?: Reward_Min_FieldsResolvers<ContextType>;
    Reward_sum_fields?: Reward_Sum_FieldsResolvers<ContextType>;
    Script?: ScriptResolvers<ContextType>;
    Script_aggregate?: Script_AggregateResolvers<ContextType>;
    Script_aggregate_fields?: Script_Aggregate_FieldsResolvers<ContextType>;
    Script_avg_fields?: Script_Avg_FieldsResolvers<ContextType>;
    Script_max_fields?: Script_Max_FieldsResolvers<ContextType>;
    Script_min_fields?: Script_Min_FieldsResolvers<ContextType>;
    Script_sum_fields?: Script_Sum_FieldsResolvers<ContextType>;
    ShelleyGenesis?: ShelleyGenesisResolvers<ContextType>;
    ShelleyGenesisStaking?: ShelleyGenesisStakingResolvers<ContextType>;
    ShelleyProtocolParams?: ShelleyProtocolParamsResolvers<ContextType>;
    SlotLeader?: SlotLeaderResolvers<ContextType>;
    StakeAddress?: GraphQLScalarType;
    StakeDeregistration?: StakeDeregistrationResolvers<ContextType>;
    StakeDeregistration_aggregate?: StakeDeregistration_AggregateResolvers<ContextType>;
    StakeDeregistration_aggregate_fields?: StakeDeregistration_Aggregate_FieldsResolvers<ContextType>;
    StakePool?: StakePoolResolvers<ContextType>;
    StakePool_aggregate?: StakePool_AggregateResolvers<ContextType>;
    StakePool_aggregate_fields?: StakePool_Aggregate_FieldsResolvers<ContextType>;
    StakePool_avg_fields?: StakePool_Avg_FieldsResolvers<ContextType>;
    StakePool_max_fields?: StakePool_Max_FieldsResolvers<ContextType>;
    StakePool_min_fields?: StakePool_Min_FieldsResolvers<ContextType>;
    StakePool_sum_fields?: StakePool_Sum_FieldsResolvers<ContextType>;
    StakePoolID?: GraphQLScalarType;
    StakePoolOwner?: StakePoolOwnerResolvers<ContextType>;
    StakePoolRetirement?: StakePoolRetirementResolvers<ContextType>;
    StakeRegistration?: StakeRegistrationResolvers<ContextType>;
    StakeRegistration_aggregate?: StakeRegistration_AggregateResolvers<ContextType>;
    StakeRegistration_aggregate_fields?: StakeRegistration_Aggregate_FieldsResolvers<ContextType>;
    Timestamp?: GraphQLScalarType;
    Token?: TokenResolvers<ContextType>;
    Token_aggregate?: Token_AggregateResolvers<ContextType>;
    Token_aggregate_fields?: Token_Aggregate_FieldsResolvers<ContextType>;
    Token_avg_fields?: Token_Avg_FieldsResolvers<ContextType>;
    Token_max_fields?: Token_Max_FieldsResolvers<ContextType>;
    Token_min_fields?: Token_Min_FieldsResolvers<ContextType>;
    Token_sum_fields?: Token_Sum_FieldsResolvers<ContextType>;
    TokenMint?: TokenMintResolvers<ContextType>;
    TokenMint_aggregate?: TokenMint_AggregateResolvers<ContextType>;
    TokenMint_aggregate_fields?: TokenMint_Aggregate_FieldsResolvers<ContextType>;
    TokenMint_avg_fields?: TokenMint_Avg_FieldsResolvers<ContextType>;
    TokenMint_max_fields?: TokenMint_Max_FieldsResolvers<ContextType>;
    TokenMint_min_fields?: TokenMint_Min_FieldsResolvers<ContextType>;
    TokenMint_sum_fields?: TokenMint_Sum_FieldsResolvers<ContextType>;
    Transaction?: TransactionResolvers<ContextType>;
    Transaction_aggregate?: Transaction_AggregateResolvers<ContextType>;
    Transaction_aggregate_fields?: Transaction_Aggregate_FieldsResolvers<ContextType>;
    Transaction_avg_fields?: Transaction_Avg_FieldsResolvers<ContextType>;
    Transaction_max_fields?: Transaction_Max_FieldsResolvers<ContextType>;
    Transaction_min_fields?: Transaction_Min_FieldsResolvers<ContextType>;
    Transaction_sum_fields?: Transaction_Sum_FieldsResolvers<ContextType>;
    TransactionInput?: TransactionInputResolvers<ContextType>;
    TransactionInput_aggregate?: TransactionInput_AggregateResolvers<ContextType>;
    TransactionInput_aggregate_fields?: TransactionInput_Aggregate_FieldsResolvers<ContextType>;
    TransactionInput_avg_fields?: TransactionInput_Avg_FieldsResolvers<ContextType>;
    TransactionInput_max_fields?: TransactionInput_Max_FieldsResolvers<ContextType>;
    TransactionInput_min_fields?: TransactionInput_Min_FieldsResolvers<ContextType>;
    TransactionInput_sum_fields?: TransactionInput_Sum_FieldsResolvers<ContextType>;
    TransactionMetadata?: TransactionMetadataResolvers<ContextType>;
    TransactionOutput?: TransactionOutputResolvers<ContextType>;
    TransactionOutput_aggregate?: TransactionOutput_AggregateResolvers<ContextType>;
    TransactionOutput_aggregate_fields?: TransactionOutput_Aggregate_FieldsResolvers<ContextType>;
    TransactionOutput_avg_fields?: TransactionOutput_Avg_FieldsResolvers<ContextType>;
    TransactionOutput_max_fields?: TransactionOutput_Max_FieldsResolvers<ContextType>;
    TransactionOutput_min_fields?: TransactionOutput_Min_FieldsResolvers<ContextType>;
    TransactionOutput_sum_fields?: TransactionOutput_Sum_FieldsResolvers<ContextType>;
    TransactionSubmitResponse?: TransactionSubmitResponseResolvers<ContextType>;
    VRFVerificationKey?: GraphQLScalarType;
    Withdrawal?: WithdrawalResolvers<ContextType>;
    Withdrawal_aggregate?: Withdrawal_AggregateResolvers<ContextType>;
    Withdrawal_aggregate_fields?: Withdrawal_Aggregate_FieldsResolvers<ContextType>;
    Withdrawal_avg_fields?: Withdrawal_Avg_FieldsResolvers<ContextType>;
    Withdrawal_max_fields?: Withdrawal_Max_FieldsResolvers<ContextType>;
    Withdrawal_min_fields?: Withdrawal_Min_FieldsResolvers<ContextType>;
    Withdrawal_sum_fields?: Withdrawal_Sum_FieldsResolvers<ContextType>;
}>;
export declare type IResolvers<ContextType = any> = Resolvers<ContextType>;
//# sourceMappingURL=graphql_types.d.ts.map